# Čo je nové v NVDA

## 2024.4

Táto verzia obsahuje vylepšenia pre Microsoft Office, v podpore brailového výstupu, a formátovania dokumentov.

V aplikáciách Word alebo Excel je teraz možné gesto na čítanie komentára stlačiť rýchlo dva krát za sebou a text komentára alebo poznámky sa zobrazí v režime prehliadania.
Cez výber textu prezeracieho kurzora je teraz možné vyberať text v prezentáciách programu PowerPoint.
NVDA nezobrazuje nadbitočné znaky na brailovom riadku pre texty hlavičiek riadkov a stĺpcov pri staršom spôsobe sprístupnenia obsahu dokumentu v aplikácii Microsoft Word cez objektové modely.

Oznamovanie vlastností písma je možné nastaviť zvlášť pre hlasový výstup a zvlášť pre brailovo písmo.

Bolo pridané nastavenie, ktorým je možné určiť časový limit pre vykonávanie vstupných príkazov s viacnásobným stlačením ako je napríklad oznamovanie času a dátumu.

Odteraz je možné nastaviť ako NVDA zobrazuje vlastnosti formátovania textu v brailovom písme vrátane zobrazovania začiatkov odseku.
Pri používaní smerových tlačidiel brailového riadku NVDA môže prečítať znak na pozícii kurzora.
Smerovanie kurzora bolo celkovo vylepšené a pridaná bola aj podpora pre smerovanie kurzora v aplikácii PowerPoint.
Pri používaní viacriadkových brailových zobrazovačov cez protokol HID braille sa správne použijú všetky brailové bunky.
NVDA viac nestratí stabilitu po reštarte počas automatického zisťovania brailových riadkov cez Bluetooth.

Minimálna požadovaná verzia aplikácie Poedit, ktorá dobre funguje s NVDA je 3.5.

Aktualizovaná verzia hlasového výstupu eSpeak NG pridáva podporu pre jazyky Faerčina a xextánčina.

Aktualizovaná verzia prekladača brailového písma LibLouis pridáva nové brailové tabuľky Thaičina a medzinárodná Gréčtina (jednobunkový zápis znakov s diakritikou).

Urobených bolo množstvo opráv, vrátane opravy sledovania kurzora myši v aplikácii Firefox a opráv pre režim reči na vyžiadanie.

### Nové vlastnosti

* nové vlastnosti podpory Brailovho písma:
  * Odteraz je možné zmeniť spôsob, akým NVDA v brailovom písme zobrazuje niektoré formátovacie vlastnosti textu.
    Dostupné možnosti sú:
    * Liblouis (predvolené): používa formátovacie značky definované vo vybratej brailovej tabuľke.
    * Značky: Používa začiatočné a koncové značky na označenie, kde sa začínajú a kde končia konkrétne vlastnosti písma. (#16864)
  * Keď je zapnutá voľba "Čítať po odsekoch", NVDA je možné nastaviť, aby začiatok odseku znázorňoval aj v brailovom písme. (#16895, @nvdaes)
  * Pri používaní smerových tlačidiel brailového riadku, NVDA dokáže automaticky prečítať znak na pozícii kurzora. (#8072, @LeonarddeR)
    * Toto nastavenie je v predvolenej konfigurácii vypnuté.
      Môžete aktivovať nastavenie "Vyslovovať znaky pri posúvaní kurzora smerovými tlačidlami brailového riadku" v nastaveniach NVDA, v časti Brailovo písmo.
* Príkaz na prečítanie komentára v aplikácii Microsoft Word a príkaz na prečítanie poznámok v aplikácii Microsoft Excel je odteraz možné stlačiť dva krát rýchlo za sebou, čo zobrazí obsah komentára alebo poznámky v režime prehliadania. (#16800, #16878, @Cary-Rowen)
* Oznamovanie vlastností písma je možné nastaviť zvlášť pre hlasový výstup a zvlášť pre brailovo písmo. (#16755)
* Odteraz je možné nastaviť časový limit na vykonávanie vstupných príkazov vyžadujúcich viacnásobné stlačenie, čo môže byť užitočné pre používateľov s poruchami jemnej motoriky. (#11929, @CyrilleB79)

### Zmeny

* Parametre príkazového riadka `-c`/`--config-path` a `--disable-addons` sa uplatnia aj pri spustení procesu aktualizácie z ponuky NVDA. (#16937)
* Aktualizácie komponentov:
  * Aktualizovaný prekladač brailovho písma LibLouis na verziu [3.31.0](https://github.com/liblouis/liblouis/releases/tag/v3.31.0). (#17080, @LeonarddeR, @codeofdusk)
    * Opravený preklad číslic v Španielskom braili.
    * Nové tabuľky brailovho písma:
      * Thaičina plnopis
      * Medzinárodná Gréčtina (jednobunkový zápis znakov s diakritikou)
    * Premenované tabuľky:
      * Tabuľka "Thaičina 6 bodový plnopis" bola premenovaná na "Thaičina plnopis" z dôvodu konzistencie.
      * Existujúca "Grécka medzinárodná tabuľka" bola s cieľom vysvetliť rozdielny systém zápisu v gréčtine premenovaná na "Medzinárodná Gréčtina (dvojbunkový zápis znakov s diakritikou)".
  * Hlasový výstup eSpeak NG bol aktualizovaný na verziu 1.52-dev commit `961454ff`. (#16775)
    * Pridaná podpora pre nové jazyky Faerčina a xextánčina.
* Pri používaní viacriadkových brailových zobrazovačov cez protokol HID braille sa správne použijú všetky brailové bunky. (#16993, @alexmoon)
* Vylepšená stabilita podpory pre aplikáciu Poedit, vedľajším efektom čoho je fakt, že minimálna požadovaná verzia aplikácie Poedit je verzia 3.5. (#16889, @LeonarddeR)

### Opravy

* Opravy podpory brailovho písma:
  * Smerové tlačidlá brailového riadka je možné používať na presúvanie textového kurzora v aplikácii Microsoft PowerPoint. (#9101)
  * Pri používaní aplikácie Microsoft Word s vypnutou podporou UI Automation, NVDA viac nevypisuje nezmyselné znaky namiesto používateľom definovaných hlavičiek riadkov a stĺpcov tabuľky. (#7212)
  * Ovládač brailového zápisníka  Seika odteraz správne generuje vstupné príkazy keď gesto obsahuje stlačenia medzerníka, backspace a bodov v kombináciách s klávesmi medzerník / backspace. (#16642, @school510587)
  * Presúvanie textového kurzora smerovými tlačidlami je odteraz omnoho spoľahlivejšie v situáciách, keď sú na riadku zobrazené unicode znaky s viacerými variantami alebo rozloženými tvarmi. (#10960, @mltony, @LeonarddeR)
  * Nedochádza viac ku chybe pri posúvaní brailového riadku vpred v niektorých prázdnych editovateľných ovládacích prvkoch. (#12885)
  * NVDA viac nestratí stabilitu po reštarte počas automatického zisťovania brailových riadkov cez Bluetooth. (#16933)
* Cez výber textu prezeracieho kurzora je teraz možné vyberať text v prezentáciách programu Microsoft PowerPoint. (#17004)
* S aktívnym režimom reči na vyžiadanie, NVDA viac nečíta pri otvorení správy v aplikácii Outlook, pri načítaní novej stránky vo webovom prehliadači alebo pri zobrazení novej snímky prezentácie v aplikácii PowerPoint. (#16825, @CyrilleB79)
* V aplikácii Mozilla Firefox je text pod kurzorom myši čítaný spoľahlivo aj pri prechádzaní textom tesne pred alebo tesne za odkazom. (#15990, @jcsteh)
* NVDA viac sporadicky nezlyhá pri otváraní správ v režime prehliadania (napríklad pri stlačení `NVDA+f` dva krát rýchlo za sebou). (#16806, @LeonarddeR)
* Inštalácia aktualizácie NVDA počas čakajúcich aktualizácií doplnkov viac neskončí nežiadúcim odstránením dotknutých doplnkov. (#16837)
* Odteraz je možné ovládať zoznamy kontroly údajov v programe Microsoft Excel 365. (#15138)
* NVDA viac nie je veľmi spomalený pri navigácii po riadkoch vo veľkých súboroch v aplikácii VS Code. (#17039)
* NVDA viac nezamŕza pri pridržaní stlačeného ktoréhokoľvek kurzorového klávesu v režime prehliadania, predovšetkým v aplikáciách Microsoft Word a Microsoft Outlook. (#16812)
* NVDA správne prečíta predposledný riadok namiesto posledného riadku vo viacriadkových editovateľných prvkoch aplikácií Java, ak sa kurzor nachádza na predposlednom riadku. (#17027)

### Zmeny pre vývojárov (anglicky)

Please refer to [the developer guide](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#API) for information on NVDA's API deprecation and removal process.

* Component updates:
  * Updated py2exe to 0.13.0.2 (#16907, @dpy013)
  * Updated setuptools to 72.0 (#16907, @dpy013)
  * Updated Ruff to 0.5.6. (#16868, @LeonarddeR)
  * Updated nh3 to 0.2.18 (#17020, @dpy013)
* Added a `.editorconfig` file to NVDA's repository in order for several IDEs to pick up basic NVDA code style rules by default. (#16795, @LeonarddeR)
* Added support for custom speech symbol dictionaries. (#16739, #16823, @LeonarddeR)
  * Dictionaries can be provided in locale specific folders in an add-on package, e.g. `locale\en`.
  * Dictionary metadata can be added to an optional `symbolDictionaries` section in the add-on manifest.
  * Please consult the [Custom speech symbol dictionaries section in the developer guide](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#AddonSymbolDictionaries) for more details.
* It is now possible to redirect objects retrieved from on-screen coordinates, by using the `NVDAObject.objectFromPointRedirect` method. (#16788, @Emil-18)
* Running SCons with the parameter `--all-cores` will automatically pick the maximum number of available CPU cores. (#16943, #16868, @LeonarddeR)
* Developer info now includes information on app architecture (such as AMD64) for the navigator object. (#16488, @josephsl)

#### Deprecations

* The `bool` configuration key `[documentFormatting][reportFontAttributes]` is deprecated for removal in 2025.1, instead use `[fontAttributeReporting]`. (#16748)
  * The new key has an `int` value matching an `OutputMode` `enum` with options for speech, braille, speech and braille and off.
  * API consumers can use the `bool` value as previously, or check the `OutputMode` if handling speech or braille specifically.
  * These keys are currently synchronized until 2025.1.
* `NVDAObjects.UIA.InaccurateTextChangeEventEmittingEditableText` is deprecated with no replacement. (#16817, @LeonarddeR)

## 2024.3.1

Toto je drobná aktualizácia, kde je opravená chyba týkajúca sa upozornení na aktualizácie doplnkov.

### Opravy

* Počas automatickej kontroly aktualizácie doplnkov NVDA viac nezamŕza, keď je na internet pripojený cez nestabilné pripojenie. (#17036)

## 2024.3

NVDA odteraz môže upozorňovať na dostupné aktualizácie doplnkov.

Odteraz je možné použiť normalizovanie znakov unicode pri čítaní na braillovom riadku aj pri používaní hlasového výstupu.
Toto je užitočné pri čítaní znakov, ktoré hlasový výstup alebo brailová tabuľka nedokáže interpretovať. Tučné verzie znakov a verzie znakov s kurzívou, ktoré sú súčasťou štandardu Unicode a bežne sa používajú v príspevkoch uverejňovaných na sociálnych sieťach, sú normalizované na ich najbežnejší kompatibilný ekvivalent.
Normalizovanie znakov tiež umožňuje čítať rovnice v programe MS Word.

Pridaná podpora pre brailové riadky Help Tech Activator Pro.

Pridali sme skratky na pohyb kolieskom myši v horizontálnom i vertikálnom smere.

Opravili sme problémy v Emoji panely Windows 11 a histórii schránky.
Pri prezeraní webového obsahu bolo opravené oznamovanie chýb, ilustrácií, popisov tabuliek, a položiek v menu, ktoré sú začiarkávacími poliami alebo prepínačmi.

Aktualizovali sme brailovú prekladovú tabuľku LibLouis, kde sú pridané nové tabuľky pre Srbskú azbuku, Jidiš, viacero starovekých jazykov, turečtinu a medzinárodnú fonetickú abecedu (IPA).
Tiež sme aktualizovali hlasový výstup eSpeak, čo prinieslo podporu pre Karakalpačtinu.
Napokon bola aktualizovaná aj databáza znakov Unicode CLDR.

### Nové vlastnosti

* Nové klávesové skratky:
  * Pridané príkazy na pohyb kolieska myši hore, dole, doprava a doľava. Toto môže zlepšiť navigáciu vo webových dokumentoch a aplikáciách s dynamickým obsahom, ako napríklad Dism++. (#16462, @Cary-Rowen)
* Pridaná možnosť normalizácie Unicode znakov rovnako pre hlasový výstup aj brailové riadky. (#11570, #16466 @LeonarddeR).
  * Toto je užitočné pri čítaní znakov, ktoré hlasový výstup alebo brailová tabuľka nedokáže interpretovať. Tučné verzie znakov a verzie znakov s kurzívou, ktoré sú súčasťou štandardu Unicode a bežne sa používajú v príspevkoch uverejňovaných na sociálnych sieťach, sú normalizované na ich najbežnejší kompatibilný ekvivalent.
  * Normalizovanie znakov tiež umožňuje čítať rovnice v programe MS Word. (#4631)
  * Normalizovanie znakov je možné zapnúť samostatne pre reč aj brailový výstup v príslušných kategóriách nastavení.
* Po štarte NVDA budete odteraz informovaní, ak sú dostupné aktualizácie doplnkov, ktoré používate. (#15035)
  * Toto je možné vypnúť v kategórii "Katalóg s doplnkami" v nastaveniach NVDA.
  * NVDA kontroluje dostupnosť aktualizácii denne.
  * Kontrolované sú len aktualizácie v konkrétnom kanály. Ak máte teda nainštalovaný doplnok vo verzii Beta, NVDA bude kontrolovať len nové beta verzie.
* Pridaná podpora pre brailové riadky Help Tech Activator Pro. (#16668)

### Zmeny

* Aktualizované komponenty:
  * Hlasový výstup eSpeak NG aktualizovaný na verziu 1.52-dev commit `54ee11a79`. (#16495)
    * Pridaný nový jazyk Karakalpačtina.
  * Databáza znakov Unicode CLDR aktualizovaná na verziu 45.0. (#16507, @OzancanKaratas)
  * Aktualizované fast_diff_match_patch (používa sa na identifikáciu zmien v termináloch a pri inom dynamickom obsahu) na verziu 2.1.0. (#16508, @codeofdusk)
  * Brailová prekladová tabuľka LibLouis aktualizovaná na verziu [3.30.0](https://github.com/liblouis/liblouis/releases/tag/v3.30.0). (#16652, @codeofdusk)
    * Nové brailové tabuľky:
      * Srbská azbuka.
      * Jidiš.
      * Viaceré staroveké jazyky: Biblická Hebrejčina, Akkadčina, Sýrčina, ugaritština a klynové písmo.
      * Turečtina skratkopis (#16735)
      * Medzinárodná fonetická abeceda (IPA). (#16773)
  * NSIS aktualizovaný na verziu 3.10 (#16674, @dpy013)
  * markdown aktualizovaný na verziu  3.6 (#16725, @dpy013)
  * nh3 aktualizovaný na verziu 0.2.17 (#16725, @dpy013)
* Ak nie je dostupná zvolená vstupná prekladová brailová tabuľka, zvolí sa tá istá, ktorá sa predvolene používa ako výstupná, konkrétne jednotný anglický brail plnopis. (#9863, @JulienCochuyt, @LeonarddeR)
* NVDA odteraz oznamuje ilustrácie, aj ak nemajú podradený objekt s popisom, ale majú popis. (#14514)
* Pri čítaní po riadkoch NVDA viac neoznamuje slovo "popis" pri každom riadku, ak je popis tabuľky alebo ilustrácie dlhší. (#14874)
* Posledný nespustený príkaz v Python konzole sa viac nestratí pri pohybe po histórii vstupu. (#16653, @CyrilleB79)
* Pri zasielaní štatistík sa odteraz posiela anonymizované ID. (#16266)
* Predvolene sa odteraz pri vytváraní prenosnej verzie vytvára nový priečinok.
NVDA upozorní, ak sa pokúsite vytvoriť prenosnú verziu v priečinku, ktorý nie je prázdny. (#16686)

### Opravy

* Opravy pre Windows 11:
  * NVDA sa viac nezasekne pri zatváraní Emoji panela a histórie schránky. (#16346, #16347, @josephsl)
  * NVDA opäť oznamuje návrhy pri použití rozhrania IME. (#14023, @josephsl)
  * NVDA viac neoznamuje "história schránky" dvakrát, pri navigácii v emoji panely. (#16532, @josephsl)
  * NVDA viac neprerušuje reč a výstup na brailovom riadku pri prechádzaní znakov kaomoji a symbolov v emoji panely. (#16533, @josephsl)
* Opravy pre webové prehliadače:
  * NVDA v prehliadačoch Mozilla Firefox a Google Chrome oznamuje chyby, ak sú označené `aria-errormessage`. (#8318)
  * V prehliadači Mozilla Firefox NVDA ako názov tabuľky použije `aria-labelledby`, ak je uvedené. (#5183)
  * NVDA odteraz správne oznamuje začiarkávacie polia a prepínače pri vstupe do podmenu v prehliadačoh Google Chrome a Mozilla Firefox. (#14550)
  * Vyhľadávanie v režime prehliadania je presné, aj ak dokument obsahuje emoji. (#16317, @LeonarddeR)
  * NVDA v prehliadači Mozilla Firefox správne oznamuje znaky, slová a riadky, ak sa kurzor nachádza na mieste vloženia na konci riadka. (#3156, @jcsteh)
  * NVDA viac nespôsobí pád Google Chrome pri zatvorení dokumentu alebo ukončení prehliadača. (#16893)
* NVDA odteraz správne oznamuje návrhy pri dopĺňaní v Eclipse a iných prostrediach postavených na Eclipse v systéme Windows 11. (#16416, @thgcode)
* Zlepšená presnosť pri automatickom čítaní textu v termináloch. (#15850, #16027, @Danstiv)
* Opäť je možné resetovať nastavenia NVDA na predvolené hodnoty. (#16755, @Emil-18)
* NVDA správne oznamuje výber pri úpravách buniek v MS Excely. (#15843)
* V aplikáciách postavených na Java Access Bridge, NVDA správne oznamuje posledný prázdny riadok a neopakuje opätovne predchádzajúci riadok. (#9376, @dmitrii-drobotov)
* V LibreOffice Writer (od verzie 24.8), NVDA oznamuje nastavené  formátovanie textu po použití príslušných skratiek (napríklad tučné zapnuté, tučné vypnuté, kurzíva zapnuté, kurzíva vypnuté...) (#4248, @michaelweghorn)
* Pri navigácii v aplikáciách, ktoré využívajú UI Automation, NVDA viac neoznamuje nesprávny znak, slovo a pod. (#16711, @jcsteh)
* Pri prilepení obsahu do kalkulačky v systéme Windows 10/11, NVDA oznámi celé vložené číslo. (#16573, @TristanBurchett)
* NVDA viac neostane ticho po odpojení a opätovnom pripojení k vzdialenej pracovnej ploche. (#16722, @jcsteh)
* Pridaná podpora pre príkazy na čítanie textu v názvoch objektov v aplikácii Visual Studio Code. (#16248, @Cary-Rowen)
* Prehrávanie zvukov NVDA viac nezlyhá, ak je zariadenie mono. (#16770, @jcsteh)
* NVDA oznamuje mailové adresy pri pohybe po adresách na outlook.com / modernom Outlooku. (#16856)
* NVDA lepšie zvláda prípadné zlyhania inštalácie doplnkov. (#16704)

### Zmeny pre vývojárov (anglicky)

* NVDA now uses Ruff instead of flake8 for linting. (#14817)
* Fixed NVDA's build system to work properly when using Visual Studio 2022 version 17.10 and above. (#16480, @LeonarddeR)
* A fixed width font is now used in Log Viewer and in the NVDA Python Console so that the cursor remains in the same column during vertical navigation.
It is especially useful to read the error location markers in tracebacks. (#16321, @CyrilleB79)
* Support for custom braille tables has been added. (#3304, #16208, @JulienCochuyt, @LeonarddeR)
  * Tables can be provided in the `brailleTables` folder in an add-on package.
  * Table metadata can be added to an optional `brailleTables` section in the add-on manifest or to a `.ini` file with the same format found in the brailleTables subdirectory of the scratchpad directory.
  * Please consult the [braille translation tables section in the developer guide](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#BrailleTables) for more details.
* When a `gainFocus` event is queued with an object that has a valid `focusRedirect` property, the object pointed to by the `focusRedirect` property is now held by `eventHandler.lastQueuedFocusObject`, rather than the originally queued object. (#15843)
* NVDA will log its executable architecture (x86) at startup. (#16432, @josephsl)
* `wx.CallAfter`, which is wrapped in `monkeyPatches/wxMonkeyPatches.py`, now includes proper `functools.wraps` indication. (#16520, @XLTechie)
* There is a new module for scheduling tasks `utils.schedule`, using the pip module `schedule`. (#16636)
  * You can use `scheduleThread.scheduleDailyJobAtStartUp` to automatically schedule a job that happens after NVDA starts, and every 24 hours after that.
  Jobs are scheduled with a delay to avoid conflicts.
  * `scheduleThread.scheduleDailyJob` and `scheduleJob` can be used to schedule jobs at custom times, where a `JobClashError` will be raised on a known job scheduling clash.
* It is now possible to create app modules for apps hosting Edge WebView2 (msedgewebview2.exe) controls. (#16705, @josephsl)

## 2024.2

Táto verzia prináša novú funkciu, oddelenie zvukov a hlasového výstupu.
Odteraz je možné nastaviť NVDA tak, aby hlasový výstup bol v jednom kanály (napríklad v pravom) a ostatné zvuky aplikácií v druhom (napríklad v ľavom).

Pribudli nové klávesové skratky, ktoré umožňujú v kruhu nastavení hlasového výstupu prejsť na prvú a poslednú hodnotu nastavenia a tiež meniť nastavenia po väčších krokoch.
Odteraz je tiež možné definovať si skratky v režime prehliadania na prechod po textových odsekoch, vertikálne zarovnaných odsekoch, text s rovnakým alebo rôznym formátovaním, položky menu, prepínacie tlačidlá, posuvníky, ilustrácie a matematický obsah.

Pribudli tiež novinky v oblasti brailovho písma.
Pridali sme možnosť zobrazovať na brailovom riadku to, čo zvyčajne hovorí hlasový výstup.
V tomto prípade sa na riadku zobrazuje to, čo NVDA hovorí resp. posiela na hlasový výstup aj v prípade, že je režim reči nastavený na ticho.
Pridali sme tiež podporu pre riadky BrailleEdgeS2 a BrailleEdgeS3.
Aktualizovali sme brailovú prekladovú tabuľku LibLouis, čím pribudli detailné tabuľky pre bieloruštinu, a Ukrajinčinu, tiež Laoštinu a Španielčinu s podporou pre grécke znaky.

Hlasový výstup eSpeak NG bol tiež aktualizovaný a odteraz podporuje jazyk Tigrinya.

Opravili sme viaceré chyby hlásené v aplikáciách Thunderbird, Adobe Reader, webových prehliadačoch, Nudi a Geekbench.

### Nové vlastnosti

* Nové klávesové skratky:
  * Nová skratka `p` na prechod po textových odsekoch v režime prehliadania. (#15998, @mltony)
  * Nové, predvolene nedefinované skratky, ktoré je možné použiť na prechod po:
    * Ilustráciách (#10826)
    * Vertikálne zarovnaných odsekoch (#15999, @mltony)
    * Položkách menu (#16001, @mltony)
    * Prepínacích tlačidlách (#16001, @mltony)
    * posuvníkoch (#16001, @mltony)
    * matematickom obsahu (#16001, @mltony)
    * text s rovnakým formátovaním (#16000, @mltony)
    * text s odlišným formátovaním (#16000, @mltony)
  * Pridané skratky na prechod na prvú a poslednú hodnotu a tiež na rýchly prechod po väčších úsekoch v kruhu nastavení hlasového výstupu. (#13768, #16095, @rmcpantoja)
    * Nastavenie prvej a poslednej hodnoty nemá predvolene definovanú skratku. (#13768)
    * Zvýšiť a znížiť hodnoty po väčších krokoch je možné nasledovne: (#13768):
      * Desktop: `NVDA+ctrl+pageUp` a `NVDA+ctrl+pageDown`.
      * Laptop: `NVDA+ctrl+shift+pageUp` a `NVDA+ctrl+shift+pageDown`.
  * Pridaná možnosť definovať skratku, ktorá zapína a vypína oznamovanie ilustrácií a ich popisov. (#10826, #14349)
* Brailový výstup:
  * Pridaná podpora pre riadky BrailleEdgeS2 a BrailleEdgeS3. (#16033, #16279, @EdKweon)
  * Pridaný nový režim zobrazovania na brailovom riadku s názvom "sledovanie reči". (#15898, @Emil-18)
    * Po aktivovaní tohto režimu sa na riadku zobrazuje presne to, čo NVDA hovorí.
    * Režimi je možné prepínať skratkou `NVDA+alt+t`, alebo v nastaveniach brailu.
* Oddelenie zvuku: (#12985, @mltony)
  * Umožňuje hlasový výstup poslať do jedného kanálu (napríklad ľavého) a ostatné zvuky do druhého kanálu (napríklad pravého).
  * Na prepínanie režimu použite skratku `NVDA+alt+s`.
* Oznamovanie hlavičiek riadkov a stĺpcov tabuľky je odteraz oznamované aj v html editovateľných prvkoch. (#14113)
* V nastaveniach čítania textu sme pridali možnosť zapnúť a vypnúť oznamovanie ilustrácií a ich popisov. (#10826, #14349)
* V systéme Windows 11, NVDA oznamuje návrhy a odporúčania pri diktovaní hlasom a tiež odporúčané akcie vrátane prvého návrhu pri kopírovaní dát, ako napríklad telefónne čísla skopírované do schránky.  (vyžaduje Windows 11 od verzie 2022). (#16009, @josephsl)
* NVDA udržiava zvukové zariadenie aktívne aj po tom, ako hlasový výstup dočíta text, čím zabraňuje oneskorenej odozve a odsekávaniu začiatkov a koncov fráz pri Bluetooth zariadeniach a niektorých notebookoch. (#14386, @jcsteh, @mltony)
* Pridaná podpora pre HP Secure Browser. (#16377)

### zmeny

* Katalóg s doplnkami:
  * Minimálna požadovaná a naposledy testovaná verzia doplnku je zobrazovaná v podrobnostiach o doplnku. (#15776, @Nael-Sayegh)
  * Recenzie komunity sú dostupné na všetkých záložkách. (#16179, @nvdaes)
* Aktualizácie komponentov:
  * Brailová prekladová tabuľka LibLouis aktualizovaná na verziu [3.29.0](https://github.com/liblouis/liblouis/releases/tag/v3.29.0). (#16259, @codeofdusk)
    * Pridané nové detailné tabuľky (s indikovaním veľkých písmen) pre Bieloruštinu a Ukrajinčinu.
    * Pridaná nová Španielska tabuľka pre čítanie gréckych textov.
    * Pridaná tabuľka Laoština plnopis. (#16470)
  * Hlasový výstup eSpeak NG aktualizovaný na verziu 1.52-dev commit `cb62d93fd7`. (#15913)
    * Pridaný nový jazyk Tigrinya.
* Zmenili sme viacero skratiek na zariadeniach BrailleSense, aby nedochádzalo ku konfliktom pri písaní vo Francúzštine. (#15306)
  * `alt+ľavá šípka` je odteraz namapovaná na `bod2+bod7+medzera`
  * `alt+pravá šípka` je namapovaná na `bod5+bod7+medzera`
  * `alt+šípka hore` je namapovaná na `bod2+bod3+bod7+medzera`
  * `alt+šípka dole` je namapovaná na `bod5+bod6+bod7+medzera`
* Oddeľovacie bodky, ktoré sa často používajú pri tvorbe obsahov, viac nie sú oznamované pri nízkych úrovniach interpunkcie. (#15845, @CyrilleB79)

### Opravy

* Opravy pre Windows 11:
  * NVDA opäť oznamuje návrhy pri písaní na hardwarovej klávesnici. (#16283, @josephsl)
  * V rýchlych nastaveniach vo verzii 24H2 (aktualizácia 2024 a Windows Server 2025), je možné používať myš a dotykové gestá. (#16348, @josephsl)
* Katalóg s doplnkami:
  * Po stlačení `ctrl+tab`, zameranie sa správne presunie na novú záložku. (#14986, @ABuffEr)
  * NVDA sa viac nereštartuje, ak dočasné súbory nie sú správne. (#16362, @nvdaes)
* Opravy pre prehliadače postavené na Chromium v rozhraní UIA:
  * Opravené problémy spôsobujúce mrznutie NVDA. (#16393, #16394)
  * Kláves backspace správne funguje v prihlasovacích formulároch Gmailu. (#16395)
* Kláves Backspace správne funguje v aplikácii Nudi 6.1 ak je zapnutá funkcia spracovať vstup z externých programov. (#15822, @jcsteh)
* NVDA viac neprehráva súradnice kurzora myši, ak je NVDA v režime spánku. (#8059, @hwf1324)
* V adobe readery NVDA viac neignoruje alternatívny text nastavený vo vzorcoch. (#12715)
* Opravená chyba, ktorá spôsobovala, že NVDA nečítal ribbon ponuky a možnosti v aplikácii Geekbench. (#16251, @mzanm)
* Opravená chyba, ktorá v ojedinelých prípadoch spôsobovala, že pri ukladaní nastavení sa neuložili profily. (#16343, @CyrilleB79)
* V prehliadačoch Firefox a prehliadačoch postavených na Chromium, NVDA správne prepne do režimu fokusu, ak stlačíte enter v zoznamoch (ul / ol) vo vnútri editovateľného obsahu. (#16325)
* NVDA správne oznamuje zmenu stavu stĺpca v zozname správ v aplikácii Thunderbird. (#16323)
* Opäť správne na príkazovom riadku funguje parameter `-h`/`--help` (#16522, @XLTechie)
* NVDA podporuje poedit od verzie 3.4 aj v prípade, že prekladáte v jazykoch, ktoré majú viacero foriem množného čísla (napríklad Poľština, Čínština a Slovenčina).

### Zmeny pre vývojárov (anglicky)

Please refer to [the developer guide](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#API) for information on NVDA's API deprecation and removal process.

* Instantiating `winVersion.WinVersion` objects with unknown Windows versions above 10.0.22000 such as 10.0.25398 returns "Windows 11 unknown" instead of "Windows 10 unknown" for release name. (#15992, @josephsl)
* Make the AppVeyor build process easier for NVDA forks, by adding configurable variables in appveyor.yml to disable or modify NV Access specific portions of the build scripts. (#16216, @XLTechie)
* Added a how-to document, explaining the process of building NVDA forks on AppVeyor. (#16293, @XLTechie)

## 2024.1

Pridaný nový režim reči, reč na vyžiadanie.
Keď je aktívny tento režim reči, NVDA nehovorí automaticky pri zmene fokusu a nečíta upozornenia. Reaguje však na príkazy, ktorých cieľom je niečo oznámiť, napríklad prečíta názov okna.
V nastaveniach reči je teraz možné vypnúť tie režimi reči, ktoré nepoužívate, takže nie sú viac dostupné pri prepínaný skratkou `NVDA+s`.

Pridali sme novú možnosť označovania textu, tzv. formátovaný výber. Tento je možné aktivovať v prehliadači Mozilla Firefox, skratkou `NVDA+shift+F10`.
Keď je tento režim zapnutý, označenie textu vykonáva priamo prehliadač.
Kopírovanie textu pomocou `ctrl+c` tak do schránky skopíruje formátovanú verziu textu. V štandardnom režime sa kopíruje len čistý text.

V katalógu s doplnkami je teraz možné doplnky hromadne inštalovať, aktualizovať aj odstraňovať. Stačí označiť príslušné doplnky a zvoliť možnosť z kontextovej ponuky.
Pridali sme tiež možnosť zobraziť si komentáre a recenzie komunity.

Z dialógu hlasový výstup sme odstránili položky pre nastavenie zvukového zariadenia a automatického stišovania.
Nastavenia sú presunuté do vetvy zvuk, ktorá je dostupná z nastavení NVDA a tiež skratkou `NVDA+ctrl+u`.

Aktualizovali sme hlasový výstup eSpeak-NG, prekladovú tabuľku LibLouis a databázu symbolov Unicode CLDR.
Pridali sme nové tabuľky pre Filipínčinu, Thaičinu a Rumúnčinu.

V tejto verzii je opravené množstvo chýb v katalógu s doplnkami, problémy s brailovými riadkami, Libre Office, Microsoft Office a zvukom.

### Dôležité poznámky

* Staršie doplnky viac nie sú kompatibilné s touto verziou.
* NVDA viac nepodporuje Windows 7 a 8.
NVDA je odteraz možné nainštalovať v systéme Windows od verzie 8.1.

### Nové vlastnosti

* Katalóg s doplnkami:
  * V katalógu s doplnkami je odteraz možné označiť viacero doplnkov a hromadne ich inštalovať, aktualizovať či odstrániť. (#15350, #15623, @CyrilleB79)
  * V kontextovej ponuke doplnkov pribudla možnosť otvoriť stránku s komentármi a recenziami. (#15576, @nvdaes)
* Pridaná podpora pre pripájanie brailových riadkov pomocou štandardu Bluetooth Low Energy HID. (#15470)
* Pridali sme novú možnosť označovania textu, tzv. formátovaný výber. Tento je možné aktivovať v prehliadači Mozilla Firefox, skratkou `NVDA+shift+F10`.
Keď je tento režim zapnutý, označenie textu vykonáva priamo prehliadač.
Kopírovanie textu pomocou `ctrl+c` tak do schránky skopíruje formátovanú verziu textu. V štandardnom režime sa kopíruje len čistý text.
Keďže kopírovanie spracúva prehliadač, NVDA neoznámi, že text bol skopírovaný. (#15830)
* Pri kopírovaní textu v MS Worde v režime prehliadania je do schránky skopírované aj formátovanie.
Upozorňujeme, že NVDA po stlačení `ctrl+c` neoznámi, že "text bol skopírovaný do schránky", nakoľko sa o kopírovanie stará Word resp. webové zobrazenie v outlooku. (#16129)
* Pridaný nový režim reči, reč na vyžiadanie.
Keď je aktívny tento režim reči, NVDA nehovorí automaticky pri zmene fokusu a nečíta upozornenia. Reaguje však na príkazy, ktorých cieľom je niečo oznámiť, napríklad prečíta názov okna. (#481, @CyrilleB79)
* V nastaveniach reči je teraz možné vypnúť tie režimi reči, ktoré nepoužívate, takže nie sú viac dostupné pri prepínaní skratkou `NVDA+s`. (#15806, @lukaszgo1)
  * Ak ste doposiaľ používali doplnok NoBeepsSpeechMode (režim reči bez pípania), odporúčame vám tento doplnok odstrániť a následne vypnúť režimi reči "na vyžiadanie" a "pípanie".

### Zmeny

* NVDA viac nepodporuje operačné systémy Windows 7 a 8.
NVDA je odteraz možné používať v systéme Windows od verzie 8.1. (#15544)
* Aktualizácie komponentov:
  * Brailová prekladová tabuľka LibLouis aktualizovaná na verziu [3.28.0](https://github.com/liblouis/liblouis/releases/tag/v3.28.0). (#15435, #15876, @codeofdusk)
    * Pridané tabuľky pre Thajčinu, Rumúnčinu a filipínčinu.
  * Hlasový výstup eSpeak NG aktualizovaný na verziu 1.52-dev commit `530bf0abf`. (#15036)
  * Databáza symbolov a špeciálnych znakov emoji CLDR bola aktualizovaná na verziu 44.0. (#15712, @OzancanKaratas)
  * Java Access Bridge aktualizované na verziu 17.0.9+8Zulu (17.46.19). (#15744)
* Klávesové skratky:
  * Nasledujúce príkazy podporujú dvojité stlačenie, ktoré vyhláskuje obsah, a trojité stlačenie, čo foneticky vyhláskuje oznámený obsah. Oznámiť výber, oznámiť obsah schránky, oznámiť zameraný objekt. (#15449, @CyrilleB79)
  * Pridaná skratka na prepínanie tienenia obrazovky `NVDA+ctrl+escape`. (#10560, @CyrilleB79)
  * Príkaz na oznámenie výberu po štvoritom stlačení zobrazí výber v režime prehliadania. (#15858, @Emil-18)
* Microsoft Office:
  * Pri oznamovaní informácie o formátovaní v bunkách MS Excelu, NVDA oznamuje pozadie a orámovanie len ak sú tieto atribúty nastavené. (#15560, @CyrilleB79)
  * NVDA opäť viac neoznamuje neoznačené skupiny v ponukách MS Office 365. (#15638)
* Z dialógu hlasový výstup sme odstránili položky pre nastavenie zvukového zariadenia a automatického stišovania.
Nastavenia sú presunuté do vetvy zvuk, ktorá je dostupná z nastavení NVDA a tiež skratkou `NVDA+ctrl+u`. (#15512, @codeofdusk)
* Možnosť "Oznámiť stav kurzora myši" bola premenovaná na "Oznámiť prvok zameraný kurzorom myši".
Odteraz táto funkcia oznamuje okrem objektu aj jeho stav (stlačený, začiarknutý) a tiež napríklad súradnice, ak ide o tabuľku. (#15420, @LeonarddeR)
* V menu pomocník sú odteraz nové položky, ktoré smerujú na anglické stránky NV Access s obchodom a ďalšími materiálmi. (#14631)
* Vylepšená podpora pre program [Poedit](https://poedit.net) od verzie 3.
Používateľom, ktorý používajú verziu 1, odporúčame aktualizovať na najnovšiu verziu, aby mohli aj naďalej využívať klávesové skratky na čítanie komentárov a poznámok pre prekladateľov. (#15313, #7303, @LeonarddeR)
* Zobrazovač reči a braillu viac nie je dostupný v bezpečnom režime. (#15680)
* V objektovej navigácii je možné prechádzať aj cez objekty, ktoré sú nedostupné. (#15477, @CyrilleB79)
* V dokumente so zoznamom skratiek bol pridaný obsah. (#16106)

### Opravy

* Katalóg s doplnkami:
  * Ak sa zmení stav zameraného doplnku (napríklad zo "sťahuje sa" na "stiahnuté"), NVDA tieto zmeny oznamuje správne. (#15859, @LeonarddeR)
  * Počas inštalácie doplnkov nie sú okná s inštaláciou prekrývané oknami s výzvou na reštart NVDA. (#15613, @lukaszgo1)
  * Pri preinštalovaní nekompatibilného doplnku, tento nie je viac zakázaný. (#15584, @lukaszgo1)
  * Odteraz je možné aktualizovať aj zakázané doplnky. (#15568, #15029)
  * NVDA odteraz upozorní, ak nebolo možné doplnok stiahnuť. (#15796)
  * NVDA je opäť možné reštartovať po zatvorení a opätovnom otvorení katalógu s doplnkami.
* Zvuk:
  * NVDA viac nezamrzne, ak sa cez zvukové zariadenie prehráva viacero zvukov súčasne alebo tesne za sebou. (#15311, #15757, @jcsteh)
  * Ak je vybraté zvukové zariadenie iné ako predvolené a súčasne je nedostupné, NVDA automaticky začne opätovne používať toto zariadenie, keď bude dostupné. (#15759, @jcsteh)
  * NVDA opäť dokáže používať zvukové zariadenie, ktorého nastavenia sa zmenili, alebo ktoré bolo uvoľnené inou aplikáciou, ktorá ho používala vo výhradnom režime. (#15758, #15775, @jcsteh)
* Brailovo písmo:
  * Viacriadkové zobrazovače nespôsobujú pád ovládača BRLTTY a sú považované za jednoriadkové. (#15386)
  * Na brailovom riadku sa zobrazuje viacero objektov, ktoré obsahujú užitočný text. (#15605)
  * Opäť správne funguje písanie v skratkopise. (#15773, @aaclause)
  * Zobrazenie na riadku sa lepšie aktualizuje pri pohybe medzi bunkami tabuľky. (#15755, @Emil-18)
  * Na brailovom riadku sa odteraz zobrazuje informácia pri použití skratiek na oznámenie fokusu, navigačného objektu a výberu. (#15844, @Emil-18)
  * Ovládač Albatross viac nespracuje Esp32 microcontroller ako zobrazovač Albatross (#15671)
* LibreOffice:
  * Slová odstránené skratkou `ctrl+backspace` sú správne oznámené aj v prípade, že za slovom nasleduje biely znak (napríklad medzera alebo tab). (#15436, @michaelweghorn)
  * Oznámenie stavového riadku cez klávesovú skratku `NVDA+end` funguje aj v dialógoch Libre Office od verzie 24.2 (#15591, @michaelweghorn)
  * Všetky textové atribúty sú podporované v Libre Office od verzie 24.2.
  Odteraz tak NVDA dokáže oznamovať pravopisné chyby pri čítaní po riadkoch v Libre Office writeri. (#15648, @michaelweghorn)
  * NVDA správne oznamuje nadpisy v Libre Office od verzie 24.2. (#15881, @michaelweghorn)
* Microsoft Office:
  * V MS Excely pri vypnutom UIA je aktívna bunka oznámená a zobrazená na brailovom riadku po použití skratiek `ctrl+y`, `ctrl+z` alebo `alt+backspace`. (#15547)
  * V MS worde pri vypnutom UIA sa zobrazia zmeny na brailovom riadku po použití skratiek `ctrl+v`, `ctrl+x`, `ctrl+y`, `ctrl+z`, `alt+backspace`, `backspace` alebo `ctrl+backspace`.
  Zmeny sa zobrazujú aj pri zapnutom UIA, ak je brailový kurzor zviazaný s prezeracím kurzorom a prezerací kurzor sleduje systémový kurzor. (#3276)
  * V MS Worde NVDA správne oznamuje bunky, pri použití skratiek `alt+home`, `alt+end`, `alt+pageUp` a `alt+pageDown`. (#15805, @CyrilleB79)
* Vylepšené oznamovanie klávesových skratiek objektov. (#10807, #15816, @CyrilleB79)
* Hlasový výstup sapi4 podporuje zmeny hlasitosti, výšky a rýchlosti reči integrované do reči. (#15271, @LeonarddeR)
* Riadkovanie je správne oznamované v aplikáciách postavených na Java Access Bridge. (#14609)
* NVDA oznamuje obsah dialógov vo viacerých oknách Windows 10 a 11. (#15729, @josephsl)
* NVDA viac nezamrzne pri pokuse načítať dokument v MS Edge pri aktívnom UIA. (#15736)
* Pri plynulom čítaní alebo hláskovaní sa viac postupne neskracujú pauzy medzi vetami a znakmi. (#15739, @jcsteh)
* NVDA viac nezamrzne pri čítaní veľkého množstva textu. (#15752, @jcsteh)
* Pri Používaní MS Edge cez UIA, NVDA dokáže aktivovať oveľa viac prvkov v režime prehliadania. (#14612)
* Ak je poškodený súbor s nastaveniami, NVDA viac nezamrzne, ale obnoví továrne nastavenia, tak ako to bolo aj v minulosti. (#15690, @CyrilleB79)
* Opravená podpora pre prvky System List view (`SysListView32`) používané v aplikáciách Windows Forms. (#15283, @LeonarddeR)
* Odteraz viac nie je možné prepísať históriu v Python Konzole. (#15792, @CyrilleB79)
* NVDA viac nemrzne pri spracovaní veľkého množstva UIA udalostí, napríklad v terminálových oknách alebo pri prehrávaní správ cez Whatsapp. (#14888, #15169)
  * Toto správanie je možné ovplyvniť nastavením "pokročilé spracovanie udalostí" v pokročilých nastaveniach.
* NVDA opäť dokáže sledovať fokus v aplikáciáh bežiacich pod Windows Defender Application Guard (WDAG). (#15164)
* Text v zobrazovači reči sa viac neaktualizuje, ak cezeň prechádza myš. (#15952, @hwf1324)
* NVDA opäť prechádza do režimu prehliadania, ak zatvoríte zoznamový rámik skratkou `escape` alebo `alt+šípka hore` v prehliadačoch Firefox a Chrome. (#15653)
* Pohyb šípkami v zoznamových rámikoch Itunes viac neprepína NVDa do režimu prehliadania. (#15653)

### Zmeny pre vývojárov (anglicky)

Please refer to [the developer guide](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#API) for information on NVDA's API deprecation and removal process.

* Note: this is an Add-on API compatibility breaking release.
Add-ons will need to be re-tested and have their manifest updated.
* Building NVDA now requires Visual Studio 2022.
Please refer to the [NVDA docs](https://github.com/nvaccess/nvda/blob/release-2024.1/projectDocs/dev/createDevEnvironment.md) for the specific list of Visual Studio components. (#14313)
* Added the following extension points:
  * `treeInterceptorHandler.post_browseModeStateChange`. (#14969, @nvdaes)
  * `speech.speechCanceled`. (#15700, @LeonarddeR)
  * `_onErrorSoundRequested` (should be retrieved calling `logHandler.getOnErrorSoundRequested()`) (#15691, @CyrilleB79)
* It is now possible to use plural forms in an add-on's translations. (#15661, @beqabeqa473)
* Included python3.dll in the binary distribution for use by add-ons with external libraries utilizing the [stable ABI](https://docs.python.org/3.11/c-api/stable.html). (#15674, @mzanm)
* The `BrailleDisplayDriver` base class now has `numRows` and `numCols` properties to provide information about multi line braille displays.
Setting `numCells` is still supported for single line braille displays and `numCells` will return the total number of cells for multi line braille displays. (#15386)
* Updated BrlAPI for BRLTTY to version 0.8.5, and its corresponding python module to a Python 3.11 compatible build. (#15652, @LeonarddeR)
* Added the `speech.speakSsml` function, which allows you to write NVDA speech sequences using [SSML](https://www.w3.org/TR/speech-synthesis11/). (#15699, @LeonarddeR)
  * The following tags are currently supported and translated to appropriate NVDA speech commands:
    * `Prosody` (`pitch`, `rate` and `volume`). Only multiplication (e.g. `200%` are supported.
    * `say-as` with the `interpret` attribute set to `characters`
    * `voice` with the `xml:lang` set to an XML language
    * `break` with the `time` attribute set to a value in milliseconds, e.g. `200ms`
    * `mark` with the `name` attribute set to a mark name, e.g. `mark1`, requires providing a callback
  * Example: `speech.speakSsml('&lt;speak&gt;&lt;prosody pitch="200%"&gt;hello&lt;/prosody&gt;&lt;break time="500ms" /&gt;&lt;prosody rate="50%"&gt;John&lt;/prosody&gt;&lt;/speak&gt;')`
  * The SSML parsing capabilities are backed by the `SsmlParser` class in the `speechXml` module.
* Changes to the NVDA Controller Client library:
  * The file names of the library no longer contain a suffix denoting the architecture, i.e. `nvdaControllerClient32/64.dll` are now called `nvdaControllerClient.dll`. (#15718, #15717, @LeonarddeR)
  * Added an example to demonstrate using nvdaControllerClient.dll from Rust. (#15771, @LeonarddeR)
  * Added the following functions to the controller client: (#15734, #11028, #5638, @LeonarddeR)
    * `nvdaController_getProcessId`: To get the process id (PID) of the current instance of NVDA the controller client is using.
    * `nvdaController_speakSsml`: To instruct NVDA to speak according to the given SSML. This function also supports:
      * Providing the symbol level.
      * Providing the priority of speech to be spoken.
      * Speaking both synchronously (blocking) and asynchronously (instant return).
    * `nvdaController_setOnSsmlMarkReachedCallback`: To register a callback of type `onSsmlMarkReachedFuncType` that is called in synchronous mode for every `&lt;mark /&gt;` tag encountered in the SSML sequence provided to `nvdaController_speakSsml`.
  * Note: the new functions in the controller client only support NVDA 2024.1 and above.
* Updated `include` dependencies:
  * detours to `4b8c659f549b0ab21cf649377c7a84eb708f5e68`. (#15695)
  * ia2 to `3d8c7f0b833453f761ded6b12d8be431507bfe0b`. (#15695)
  * sonic to `8694c596378c24e340c09ff2cd47c065494233f1`. (#15695)
  * w3c-aria-practices to `9a5e55ccbeb0f1bf92b6127c9865da8426d1c864`. (#15695)
  * wil to `5e9be7b2d2fe3834a7107f430f7d4c0631f69833`. (#15695)
* Device info yielded by `hwPortUtils.listUsbDevices` now contain the bus reported description of the USB device (key `busReportedDeviceDescription`). (#15764, @LeonarddeR)
* For USB serial devices, `bdDetect.getConnectedUsbDevicesForDriver` and `bdDetect.getDriversForConnectedUsbDevices` now yield device matches containing a `deviceInfo` dictionary enriched with data about the USB device, such as `busReportedDeviceDescription`. (#15764, @LeonarddeR)
* When the configuration file `nvda.ini` is corrupted, a backup copy is saved before it is reinitialized. (#15779, @CyrilleB79)
* When defining a script with the script decorator, the `speakOnDemand` boolean argument can be specified to control if a script should speak while in "on-demand" speech mode. (#481, @CyrilleB79)
  * Scripts that provide information (e.g. say window title, report time/date) should speak in the "on-demand" mode.
  * Scripts that perform an action (e.g. move the cursor, change a parameter) should not speak in the "on-demand" mode.
* Fixed bug where deleting git-tracked files during `scons -c` resulted in missing UIA COM interfaces on rebuild. (#7070, #10833, @hwf1324)
* Fix a bug where some code changes were not detected when building `dist`, that prevented a new build from being triggered.
Now `dist` always rebuilds. (#13372, @hwf1324)
* A `gui.nvdaControls.MessageDialog` with default type of standard, no longer throws a None conversion exception because no sound is assigned. (#16223, @XLTechie)

#### API Breaking Changes

These are breaking API changes.
Please open a GitHub issue if your Add-on has an issue with updating to the new API.

* NVDA is now built with Python 3.11. (#12064)
* Updated pip dependencies:
  * configobj to 5.1.0dev commit `e2ba4457c4651fa54f8d59d8dcdd3da950e956b8`. (#15544)
  * Comtypes to 1.2.0. (#15513, @codeofdusk)
  * Flake8 to 4.0.1. (#15636, @lukaszgo1)
  * py2exe to 0.13.0.1dev commit `4e7b2b2c60face592e67cb1bc935172a20fa371d`. (#15544)
  * robotframework to 6.1.1. (#15544)
  * SCons to 4.5.2. (#15529, @LeonarddeR)
  * sphinx to 7.2.6. (#15544)
  * wxPython to 4.2.2a commit `0205c7c1b9022a5de3e3543f9304cfe53a32b488`. (#12551, #16257)
* Removed pip dependencies:
  * typing_extensions, these should be supported natively in Python 3.11 (#15544)
  * nose, instead unittest-xml-reporting is used to generate XML reports. (#15544)
* `IAccessibleHandler.SecureDesktopNVDAObject` has been removed.
Instead, when NVDA is running on the user profile, track the existence of the secure desktop with the extension point: `winAPI.secureDesktop.post_secureDesktopStateChange`. (#14488)
* `braille.BrailleHandler.handlePendingCaretUpdate` has been removed with no public replacement. (#15163, @LeonarddeR)
* `bdDetect.addUsbDevices and bdDetect.addBluetoothDevices` have been removed.
Braille display drivers should implement the `registerAutomaticDetection` class method instead.
That method receives a `DriverRegistrar` object on which the `addUsbDevices` and `addBluetoothDevices` methods can be used. (#15200, @LeonarddeR)
* The default implementation of the check method on `BrailleDisplayDriver` now requires both the `threadSafe` and `supportsAutomaticDetection` attributes to be set to `True`. (#15200, @LeonarddeR)
* Passing lambda functions to `hwIo.ioThread.IoThread.queueAsApc` is no longer possible, as functions should be weakly referenceable. (#14627, @LeonarddeR)
* `IoThread.autoDeleteApcReference` has been removed. (#14924, @LeonarddeR)
* To support capital pitch changes, synthesizers must now explicitly declare their support for the `PitchCommand` in the `supportedCommands` attribute on the driver. (#15433, @LeonarddeR)
* `speechDictHandler.speechDictVars` has been removed. Use `NVDAState.WritePaths.speechDictsDir` instead of `speechDictHandler.speechDictVars.speechDictsPath`. (#15614, @lukaszgo1)
* `languageHandler.makeNpgettext` and `languageHandler.makePgettext` have been removed.
`npgettext` and `pgettext` are supported natively now. (#15546)
* The app module for [Poedit](https://poedit.net) has been changed significantly. The `fetchObject` function has been removed. (#15313, #7303, @LeonarddeR)
* The following redundant types and constants have been removed from `hwPortUtils`: (#15764, @LeonarddeR)
  * `PCWSTR`
  * `HWND` (replaced by `ctypes.wintypes.HWND`)
  * `ULONG_PTR`
  * `ULONGLONG`
  * `NULL`
  * `GUID` (replaced by `comtypes.GUID`)
* `gui.addonGui.AddonsDialog` has been removed. (#15834)
* `touchHandler.TouchInputGesture.multiFingerActionLabel` has been removed with no replacement. (#15864, @CyrilleB79)
* `NVDAObjects.IAccessible.winword.WordDocument.script_reportCurrentHeaders` has been removed with no replacement. (#15904, @CyrilleB79)
* The following app modules are removed.
Code which imports from one of them, should instead import from the replacement module. (#15618, @lukaszgo1)

| Removed module name |Replacement module|
|---|---|
|`azardi-2.0` |`azardi20`|
|`azuredatastudio` |`code`|
|`azuredatastudio-insiders` |`code`|
|`calculatorapp` |`calculator`|
|`code - insiders` |`code`|
|`commsapps` |`hxmail`|
|`dbeaver` |`eclipse`|
|`digitaleditionspreview` |`digitaleditions`|
|`esybraille` |`esysuite`|
|`hxoutlook` |`hxmail`|
|`miranda64` |`miranda32`|
|`mpc-hc` |`mplayerc`|
|`mpc-hc64` |`mplayerc`|
|`notepad++` |`notepadPlusPlus`|
|`searchapp` |`searchui`|
|`searchhost` |`searchui`|
|`springtoolsuite4` |`eclipse`|
|`sts` |`eclipse`|
|`teamtalk3` |`teamtalk4classic`|
|`textinputhost` |`windowsinternal_composableshell_experiences_textinput_inputapp`|
|`totalcmd64` |`totalcmd`|
|`win32calc` |`calc`|
|`winmail` |`msimn`|
|`zend-eclipse-php` |`eclipse`|
|`zendstudio` |`eclipse`|

#### Deprecations

* Using `watchdog.getFormattedStacksForAllThreads` is deprecated - please use `logHandler.getFormattedStacksForAllThreads` instead. (#15616, @lukaszgo1)
* `easeOfAccess.canConfigTerminateOnDesktopSwitch` has been deprecated, as it became obsolete since Windows 7 is no longer supported. (#15644, @LeonarddeR)
* `winVersion.isFullScreenMagnificationAvailable` has been deprecated - use `visionEnhancementProviders.screenCurtain.ScreenCurtainProvider.canStart` instead. (#15664, @josephsl)
* The following Windows release constants has been deprecated from winVersion module (#15647, @josephsl):
  * `winVersion.WIN7`
  * `winVersion.WIN7_SP1`
  * `winVersion.WIN8`
* The `bdDetect.KEY_*` constants have been deprecated.
Use `bdDetect.DeviceType.*` instead. (#15772, @LeonarddeR).
* The `bdDetect.DETECT_USB` and `bdDetect.DETECT_BLUETOOTH` constants have been deprecated with no public replacement. (#15772, @LeonarddeR).
* Using `gui.ExecAndPump` is deprecated - please use `systemUtils.ExecAndPump` instead. (#15852, @lukaszgo1)

## 2023.3.4

Táto drobná aktualizácia opravuje problémy s inštaláciou a prináša bezpečnostnú záplatu.
Bezpečnostné chyby prosím zodpovedne nahlasujte pomocou [Inštrukcií o bezpečnosti (anglicky)](https://github.com/nvaccess/nvda/blob/master/security.md).

### Bezpečnostné záplaty

* Nie je viac možné spustiť vlastné nastavenia, ak je vynútený bezpečný režim.
([GHSA-727q-h8j2-6p45](https://github.com/nvaccess/nvda/security/advisories/GHSA-727q-h8j2-6p45))

### Opravy

* Opravená chyba, ktorá spôsobovala, že sa správne neukončil proces NVDA. (#16123)
* Opravená chyba, ktorá spôsobovala, že nebolo možné nainštalovať NVDA, ak nebol správne ukončený predchádzajúci proces. (#16122)

## 2023.3.3

Táto aktualizácia prináša bezpečnostnú záplatu.
Bezpečnostné chyby prosím zodpovedne nahlasujte pomocou [Inštrukcií o bezpečnosti (anglicky)](https://github.com/nvaccess/nvda/blob/master/security.md).

### Bezpečnostné záplaty

* Nie je viac možné vkladať do html kódu reťazce, ktoré spôsobia spúšťanie aplikácií v režime prehliadania NVDA.
([GHSA-xg6w-23rw-39r8](https://github.com/nvaccess/nvda/security/advisories/GHSA-xg6w-23rw-39r8))

## 2023.3.2

Táto aktualizácia prináša bezpečnostnú záplatu.
Chyba z verzie 2023.3.1 nebola opravená správne.
Bezpečnostné chyby prosím zodpovedne nahlasujte pomocou [Inštrukcií o bezpečnosti (anglicky)](https://github.com/nvaccess/nvda/blob/master/security.md).

### Bezpečnostné záplaty

* Chyba z verzie 2023.3.1 nebola opravená správne.
Odteraz viac nie je umožnené neoprávnenému používateľovi pristupovať k systému a spúšťať vlastný kód.
([GHSA-h7pp-6jqw-g3pj](https://github.com/nvaccess/nvda/security/advisories/GHSA-h7pp-6jqw-g3pj))

## 2023.3.1

Táto aktualizácia prináša bezpečnostnú záplatu.
Bezpečnostné chyby prosím zodpovedne nahlasujte pomocou [Inštrukcií o bezpečnosti (anglicky)](https://github.com/nvaccess/nvda/blob/master/security.md).

### Bezpečnostné záplaty

* Odteraz viac nie je umožnené neoprávnenému používateľovi pristupovať k systému a spúšťať vlastný kód.
([GHSA-h7pp-6jqw-g3pj](https://github.com/nvaccess/nvda/security/advisories/GHSA-h7pp-6jqw-g3pj))

## 2023.3

Táto verzia obsahuje vylepšenie stability a rýchlosti hlasového výstupu a zvukov NVDA.
Pridali sme možnosti samostatne regulovať hlasitosť hlasového výstupu a zvukov NVDA, alebo prispôsobenie hlasitosti zvukov NVDA podľa hlasitosti hlasového výstupu.

NVDA odteraz dokáže automaticky obnovovať okno s rozpoznaným textom OCR a čítať nový text.
Toto je možné nastaviť v nastaveniach NVDA, v kategórii rozpoznávanie textu Windows.

Došlo k opravám chýb týkajúcich sa spracovania braillovho písma, konkrétne bola vylepšená detekcia brailových riadkov a detekcia pohybu systémového kurzora.
Odteraz je možné vylúčiť ovládače z automatického detegovania brailových riadkov, čo môže zrýchlyť odozvu.
Pribudli tiež nové príkazy pre ovládač BRLTTY.

Opravili sme chyby v katalógu s doplnkami, aplikáciách Microsoft Office, kontextových ponukách Microsoft Edge, a v kalkulačke.

### Nové vlastnosti

* Vylepšená správa zvuku:
  * V nastaveniach pribudla nová kategória s označením zvuk:
    * Klávesová skratka je `NVDA+ctrl+u`. (#15497)
    * Odteraz je možné určiť, že hlasitosť reči a hlasitosť zvukov NVDA bude rovnaká (#1409)
    * Tiež je možné oddeliť hlasitosť zvukov NVDA a hlasitosť hlasového výstupu. (#1409, #15038)
    * Nastavenia výstupného zariadenia a automatického stišovania boli presunuté do kategórie zvuk.
    Možnosti odstránime z dialógu Nastavenia hlasového výstupu vo verzii 2024.1. (#15486, #8711)
  * NVDA odteraz predvolene používa zvukové rozhranie Windows Audio Session API (WASAPI), čo zrýchľuje stabilitu a odozvu výstupu reči a zvukov NVDA. (#14697, #11169, #11615, #5096, #10185, #11061)
  * Upozorňujeme, že WASAPI nie je kompatibilné s niektorými doplnkami.
  Sú však dostupné aktualizácie, preto prosím najprv aktualizujte doplnky a následne aktualizujte NVDA.
  Nekompatibilné doplnky budú po aktualizácii zakázané. Ide o doplnky:
    * Tony's Enhancements do verzie 1.15. (#15402)
    * NVDA global commands extension do verzie 12.0.8. (#15443)
* NVDA odteraz dokáže pri používaní rozpoznávania textu Windows automaticky aktualizovať rozpoznaný text a prečítať zmeny. (#2797)
  * Ak chcete túto možnosť využívať, začiarknite v nastaveniach Rozpoznávania textu Windows možnosť Pravidelne obnovovať rozpoznaný text.
  * Keď je táto možnosť zapnutá, oznamovanie zmien v rozpoznanom texte je možné ovplyvniť nastavením oznamovať dynamicky menený obsah (`NVDA+5`).
* Ak používate automatickú detekciu brailových riadkov, môžete určiť riadky, ktoré nebudú pri detekcii zohľadnené. (#15196)
* V nastaveniach čítania textu pribudla nová možnosť "Ignorovať prázdne riadky pre oznamovanie odsadenia". (#13394)
* Do režimu prehliadania pribudol nový príkaz na prechod medzi záložkami. (#15046)

### Zmeny

* Braille:
  * Ak sa v terminály zmení text a zároveň sa nezmení pozícia systémového kurzora, zmení sa aj text na brailovom riadku.
  Toto sa dialo v situáciách, keď bol brailový riadok zviazaný s prezeracím kurzorom. (#15115)
  * Pridané nové príkazy BRLTTY. (#6483):
    * `learn`: Zapína a vypína nápovedu vstupu
    * `prefmenu`: Otvorí ponuku NVDA
    * `prefload`/`prefsave`: Načítať / uložiť nastavenia NVDA
    * `time`: Zobraziť čas
    * `say_line`: Prečíta riadok pod kurzorom
    * `say_below`: Plynulé čítanie
  * Ovládač BRLTTY je dostupný len ak je spustená inštancia BRLTTY s povoleným BrlAPI (#15335)
  * Odstránená možnosť zapnúť a vypnúť podporu pre štandard HID, zároveň bola pridaná nová možnosť.
  Odteraz je možné vylúčiť ovládače, ktoré nemajú byť detegované pri automatickej detekcii brailových riadkov. (#15196)
* Katalóg s doplnkami: Nainštalované doplnky sú zobrazované aj v časti dostupné doplnky, ak pochádzajú z katalógu. (#15374)
* Aktualizované niektoré klávesové skratky v ponuke NVDA (týka sa len anglickej lokalizácie). (#15364)

### Opravy

* Microsoft Office:
  * MS Word viac nespadne, ak sú v nastaveniach čítania textu vypnuté možnosti oznamovať nadpisy a oznamovať anotácie. (#15019)
  * V aplikáciách Word a Excel je správne oznamované zarovnanie vo viacerých situáciách. (#15206, #15220)
  * Opravené oznamovanie formátovania pri použití skratiek v Excely. (#15527)
* Microsoft Edge:
  * NVDA viac neskočí na predošlú pozíciu v režime prehliadania po zatvorení kontextovej ponuky. (#15309)
  * NVDA opäť správne dokáže čítať kontextovú ponuku pri stiahnutých položkách. (#14916)
* Braille:
  * Brailový kurzor a vyznačenie vybratého textu sa správne zobrazuje aj vtedy, ak skratkami prepínate zobrazenie kurzora a vybratého textu. (#15115)
  * Opravená chyba, ktorá spôsobovala, že riadky Albatross sa pokúšali inicializovať, hoci už bol pripojený iný riadok. (#15226)
* Katalóg s doplnkami:
  * Ak odčiarknete možnosť nekompatibilné doplnky, nezobrazia sa nekompatibilné doplnky ani v katalógu. (#15411)
  * Filtrovanie zakázaných a povolených doplnkov správne zobrazuje alebo vylučuje nekompatibilné doplnky. (#15416)
  * Odteraz je možné aktualizovať z externého zdroja doplnok, ktorý je nekompatibilný. (#15417)
  * NVDA viac neprestane hovoriť po inštalácii doplnkov. (#14525)
  * Odteraz je možné inštalovať doplnky aj v prípade, že predošlé sťahovanie zlyhalo alebo bolo prerušené. (#15469)
  * Opravené problémy so spracovaním nekompatibilných doplnkov počas aktualizácie NVDA. (#15414, #15412, #15437)
* NVDA opäť oznamuje výsledky výpočtov v kalkulačke v 32-bitových verziách Windows Server, LTSC a LTSB. (#15230)
* NVDA viac neignoruje zmenu fokusu, ak získa fokus včlenené okno. (#15432)
* Odstránené potenciálne problémy, ktoré mohli spôsobiť pád NVDA pri štarte. (#15517)

### Zmeny pre vývojárov (anglicky)

Please refer to [the developer guide](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#API) for information on NVDA's API deprecation and removal process.

* `braille.handler.handleUpdate` and `braille.handler.handleReviewMove` have been changed in order not to update instantly.
Before this change, when either of these methods was called very often, this would drain many resources.
These methods now queue an update at the end of every core cycle instead.
They should also be thread safe, making it possible to call them from background threads. (#15163)
* Added official support to register custom braille display drivers in the automatic braille display detection process.
Consult the `braille.BrailleDisplayDriver` class documentation for more details.
Most notably, the `supportsAutomaticDetection` attribute must be set to `True` and the `registerAutomaticDetection` `classmethod` must be implemented.  (#15196)

#### Deprecations

* `braille.BrailleHandler.handlePendingCaretUpdate` is now deprecated with no public replacement.
It will be removed in 2024.1. (#15163)
* Importing the constants `xlCenter`, `xlJustify`, `xlLeft`, `xlRight`, `xlDistributed`, `xlBottom`, `xlTop` from `NVDAObjects.window.excel` is deprecated.
Use `XlHAlign` or `XlVAlign` enumerations instead. (#15205)
* The mapping `NVDAObjects.window.excel.alignmentLabels` is deprecated.
Use the `displayString` methods of `XlHAlign` or `XlVAlign` enumerations instead. (#15205)
* `bdDetect.addUsbDevices` and `bdDetect.addBluetoothDevices` have been deprecated.
Braille display drivers should implement the `registerAutomaticDetection` classmethod instead.
That method receives a `DriverRegistrar` object on which the `addUsbDevices` and `addBluetoothDevices` methods can be used. (#15200)
* The default implementation of the check method on `BrailleDisplayDriver` uses `bdDetect.driverHasPossibleDevices` for devices that are marked as thread safe.
Starting from NVDA 2024.1, in order for the base method to use `bdDetect.driverHasPossibleDevices`, the `supportsAutomaticDetection` attribute must be set to `True` as well. (#15200)

## 2023.2

V tejto verzii je predstavený katalóg s doplnkami, ktorý nahrádza pôvodného správcu doplnkov.
V katalógu doplnkov je možné prechádzať, vyhľadávať, inštalovať a aktualizovať doplnky.
Odteraz je možné inštalovať nekompatibilné doplnky aj po varovaní, avšak na vlastné riziko.

Pridané nové možnosti pre používateľov brailových riadkov, konkrétne bola pridaná podpora pre nové riadky, nové príkazy a  funkcie.
Tiež boli pridané nové príkazy pre OCR a plošné prezeranie.
Vylepšili sme navigáciu a oznamovanie formátovania v dokumentoch MS Office.

Opravené množstvo chýb v ovládačoch brailových riadkov, Microsoft Office, webových prehliadačoch a Windows 11.

Aktualizovali sme hlasový výstup eSpeak-NG, brailovú prekladovú tabuľku LibLouis a databázu Unicode CLDR.

### Nové vlastnosti

* Pridaný katalóg s doplnkami. (#13985)
  * Umožňuje prezeranie, vyhľadávanie a inštaláciu doplnkov.
  * Umožňuje na vlastné riziko inštalovať aj nekompatibilné doplnky.
  * Katalóg s doplnkami nahrádza doterajšieho správcu doplnkov.
  * Podrobnosti je možné nájsť v aktualizovanej používateľskej príručke.
* Pridané nové klávesové skratky:
  * Nedefinovaná skratka pre prepínanie medzi dostupnými jazykmi OCR v operačnom systéme Windows. (#13036)
  * Nedefinovaná klávesová skratka, ktorá umožňuje prepínať zobrazovanie správ na brailovom riadku. (#14864)
  * Nedefinovaná klávesová skratka, ktorá umožňuje prepínať ukazovanie výberu na brailovom riadku. (#14948)
  * Pridané definované klávesové skratky na prechod na nasledujúci a predchádzajúci objekt v plošnom prezeraní. (#15053)
    * Desktop: `NVDA+numerická9` a `NVDA+numerická3` slúžia na prechádzanie na nasledujúci a predchádzajúci objekt.
    * Laptop: `shift+NVDA+[` a `shift+NVDA+]` slúžia na prechod na predchádzajúci a nasledujúci objekt.
* Nové funkcie pre brailové riadky:
  * Pridaná podpora pre brailový riadok Help Tech Activator (#14917)
  * Pridaná možnosť zapnúť a vypnúť ukazovanie výberu bodmi 7 a 8. (#14948)
  * Pridaná možnosť posúvať prezerací a systémový kurzor smerovými tlačidlami. (#14885, #3166)
  * Ak trikrát za sebou stlačíte `numerickú 2` pre zistenie numerickej hodnoty znaku pod prezeracím kurzorom, informácia sa zobrazí aj na brailovom riadku. (#14826)
  * Pridaná podpora pre prvok `aria-brailleroledescription` ARIA 1.3, čo umožňuje autorom webových dokumentov zamedziť zobrazeniu určitému typu prvkov na brailovom riadku. (#14748)
  * Pre riadky Baum boli pridané klávesové skratky, takže je možné priamo na riadku vyvolať kombinácie `windows+d` a `alt+tab`.
  Celý zoznam skratiek je uvedený v používateľskej príručke NVDA. (#14714)
* Pridaná výslovnosť pre nasledujúce Unicode symboly:
  * Brailové symboly, ako napríklad `⠐⠣⠃⠗⠇⠐⠜`. (#13778)
  * Symbol klávesu option pre počítače mac `⌥`. (#14682)
* Pridané nové skratky pre brailové riadky. (#14844, #15002):
  * Zobrazenie vetvy Brailovo písmo v nastaveniach NVDA
  * Zobrazenie stavového riadka
  * Prepínanie tvaru brailového kurzora
  * Prepínanie zobrazovania správ
  * Prepínanie zobrazenia brailového kurzora
  * Prepínanie ukazovania výberu
  * Prepínanie posúvania kurzora smerovými tlačidlami
* Novinky v aplikáciách Microsoft Office:
  * Ak je zapnuté v nastaveniach formátovania oznamovanie vyznačeného textu, NVDA oznamuje v dokumentoch MS Word aj farbu vyznačeného textu. (#7396, #12101, #5866)
  * Ak je v nastaveniach formátovania zapnuté oznamovanie farieb, NVDA v dokumentoch MS Word oznamuje aj farbu pozadia. (#5866)
  * Automaticky sú oznamované zmeny stavu počas prepínania formátovania v bunkách MS Excel (kurzíva, tučné a pod). (#14923)
* Pridané experimentálne možnosti pre zvukový výstup:
  * NVDA teraz dokáže posielať zvuk cez rozhranie Windows Audio Session API (WASAPI), čo môže zvýšiť stabilitu a odozvu hlasového výstupu a zvukov. (#14697)
  * Toto je možné aktivovať v pokročilých nastaveniach.
  Ak je zapnuté používanie WASAPI, potom sú dostupné aj tieto možnosti:
    * Možnosť spoločného regulovania hlasitosti hlasového výstupu syntézy reči a zvukov NVDA. (#1409)
    * Možnosť regulovať samostatne hlasitosť zvukov a hlasového výstupu. (#1409, #15038)
  * Sú známe prípady, keď NVDA padá pri použití WASAPI. (#15150)
* V prehliadačoch Mozilla Firefox a Google Chrome NVDA odteraz oznamuje, že prvok otvára dialóg (napríklad mriežku, zoznam alebo stromové zobrazenie). Správne to funguje v prípade, že autor dokumentu špecifikuje správne vlastnosti cez `aria-haspopup`. (#8235)
* Pri vytváraní prenosnej verzie NVDA je možné v ceste použiť systémové premenné, ako `%temp%` alebo `%homepath%`. (#14680)
* V systéme Windows 10 od verzie May 2019 NVDA oznamuje názov pracovnej plochy pri jej otvorení, zmene a zatvorení. (#5641)
* Pridaný parameter, ktorý umožňuje vynútiť spustenie NVDA v bezpečnom režime. (#10018)

### Zmeny

* Aktualizácie komponentov:
  * Hlasový výstup eSpeak NG aktualizovanýna verziu 1.52-dev commit `ed9a7bcf`. (#15036)
  * Brailová prekladová tabuľka  LibLouis aktualizovaná na verziu [3.26.0](https://github.com/liblouis/liblouis/releases/tag/v3.26.0). (#14970)
  * Databáza CLDR aktualizovaná na verziu 43.0. (#14918)
* Zmeny pre Libre Office:
  * V LibreOffice Writer od verzie 7.6 skratka na oznámenie pozície kurzora oznamuje pozíciu relatívne k aktuálnej strane, rovnako ako v MS Worde. (#11696)
  * Správne funguje oznamovanie stavového riadka (po stlačení `NVDA+end`). (#11698)
  * Pri presunutí kurzora do inej bunky v LibreOffice Calc NVDA viac neoznamuje súradnice predchádzajúcej zameranej bunky, ak je vypnuté oznamovanie súradníc. (#15098)
* Zmeny pre brailové riadky:
  * Ak sa používa brailový riadok cez štandardné HID rozhranie, je možné použiť dpad na emuláciu šípok a klávesu enter.
  Taktiež `medzera+bod1` a `medzera+bod4` sa dajú použiť ako šípka hore a dole. (#14713)
  * Dynamické zmeny oznamované cez ARIA live region môžu byť zobrazované aj na brailovom riadku.
  Toto je možné vypnúť v pokročilých nastaveniach.
* Do hlasového výstupu sú odteraz vždy odosielané symboly spojovník a dlhá pomlčka. (#13830)
* Oznamovanie vzdialenosti v dokumentoch MS Word sa teraz riadi nastavením jednotiek v nastaveniach MS Word, a to aj v prípade, že sa na prístup k dokumentu používa UIA. (#14542)
* NVDA reaguje rýchlejšie pri posúvaní kurzora v editačných poliach. (#14708)
* Klávesová skratka na oznámenie URL adresy oznamuje adresu pre zameraný prvok a nie pre navigačný objekt. (#14659)
* Cesta na uloženie prenosnej verzie viac nemusí nutne obsahovať písmeno jednotky. (#14680)
* Ak sa na systémovom panely zobrazujú hodiny aj so sekundami, skratka `NVDA+f12` zohľadňuje toto nastavenie a prečíta aj sekundy. (#14742)
* NVDA odteraz oznamuje nepopísané zoskupenia, ak majú užitočnú informáciu o pozícii. Toto je užitočné napríklad v menu v najnovších verziách Microsoft Office 365. (#14878)

### Opravy

* Brailové riadky:
  * Vylepšená stabilita pre vstup a výstup z brailových riadkov, čo spôsobuje menej časté mrznutie a padanie NVDA. (#14627)
  * NVDA viac počas automatickej detekcie brailových riadkov neprepína často na možnosť  "žiadny zobrazovač". Záznam je tak čistejší a redukuje sa tým aj záťaž. (#14524)
  * NVDA automaticky prepne na USB, ak deteguje zariadenie HID Bluetooth a zároveň je dostupná možnosť USB (týka sa riadkov HumanWare Brailliant alebo APH Mantis).
  Doteraz toto fungovalo len pre pripojenie Bluetooth cez sériový port. (#14524)
  * Ak nie je pripojený žiadny brailový riadok a súčasne zatvoríte zobrazovač braillu stlačením `alt+f4` alebo kliknutím na tlačidlo zatvoriť, veľkosť zobrazenia v brailovom subsystéme je nastavená na 0 buniek. (#15214)
* Webové prehliadače:
  * NVDA viac nespôsobuje občasné pády a zamrznutia prehliadača Mozilla Firefox. (#14647)
  * NVDA viac v prehliadačoch Mozilla Firefox a Google Chrome neoznamuje napísané znaky v niektorých editačných poliach, ak je oznamovanie napísaných znakov vypnuté. (#8442)
  * Odteraz je možné používať režim prehliadania vo vnorených prvkoch Chromium aj na miestach, kde to doteraz nebolo možné. (#13493, #8553)
  * Ak v prehliadači Mozila Firefox prejdete myšou na text za odkazom, NVDA správne oznamuje text. (#9235)
  * Cieľ obrázka v odkazoch je presnejšie oznamovaný v prehliadačoch Chrome a Edge. (#14783)
  * NVDA viac neostane ticho, ak sa pokúsite zistiť URL adresu odkazu, ktorý nemá atribút a href.
  NVDA upozorní, že odkaz nemá definovaný cieľ. (#14723)
  * NVDA v režime prehliadania viac neignoruje zmenu fokusu pri prechode na rodičovský alebo podradený prvok, napríklad pri prechode z prvku na nadradenú položku v zozname alebo bunku v mriežke. (#14611)
    * Toto správne funguje len v prípade, že je vypnuté automatické presúvanie fokusu na zamerané prvky.
* Opravy pre Windows 11:
  * NVDA opäť dokáže oznamovať stavový riadok poznámkového bloku. (#14573)
  * Prepínanie záložiek v prieskumníkovi a poznámkovom bloku oznamuje názov a pozíciu. (#14587, #14388)
  * NVDA opäť oznamuje návrhy pri písaní v Japončine a Čínštine. (#14509)
  * Opäť je možné z pomocníka NVDA zobraziť mená spolupracovníkov a Licenciu. (#14725)
* Opravy pre Microsoft office:
  * Pri rýchlom prechode cez bunky NVDA s menšou pravdepodobnosťou oznamuje nesprávnu bunku alebo výber. (#14983, #12200, #12108)
  * Ak bol fokus mimo tabuľky a následne sa presunie do bunky v tabuľke, zobrazovač fokusu a zobrazenie na brailovom riadku neostane na predchádzajúcom objekte. (#15136)
  * NVDA dokáže oznamovať zamerané heslové polia v Microsoft Excely a Outlooku. (#14839)
* Ak NVDA narazí na symbol, ktorý nemá popis v aktuálnej lokalizácii, použije anglické označenie aj úroveň oznamovania symbolu. (#14558, #14417)
* Pri nastavovaní definovaní výslovnosti v slovníku je možné použiť znak opačná lomka aj v prípade, že nie je začiarknutá možnosť regulárny výraz. (#14556)
* V kalkulačke Windows 10 a 11 funguje správne zadávanie výrazov aj v prípade, že je použitá prenosná verzia NVDA a kalkulačka je nastavená v kompaktnom režime. (#14679)
* NVDA lepšie zvláda pády aplikácií, ktoré neodpovedajú. (#14759)
* Opravené problémy, ktoré spôsobovali zamrznutie NVDA a zahltenie logu pri použití UIA v termináloch.
* NVDA viac neodmietne uloženie nastavení po ich obnovení. (#13187)
* NVDA sa viac nepokúša uložiť konfiguráciu, ak je spustená dočasná kópia. (#14914)
* Zrýchlená odozva na zadávané príkazy a zmeny fokusu. (#14928)
* Zobrazenie nastavení OCR viac v niektorých prípadoch nepadá. (#15017)
* Opravené problémy s ukladaním a načítavaním konfigurácie v kombinácii s prepínaním hlasových výstupov. (#14760)
* Opravená chyba, ktorá spôsobila, že švihnutie hore spôsobilo presun kurzora o celú stranu. (#15127)

### Zmeny pre vývojárov (anglicky)

Please refer to [the developer guide](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#API) for information on NVDA's API deprecation and removal process.

* Suggested conventions have been added to the add-on manifest specification.
These are optional for NVDA compatibility, but are encouraged or required for submitting to the Add-on Store. (#14754)
  * Use `lowerCamelCase` for the name field.
  * Use `&lt;major&gt;.&lt;minor&gt;.&lt;patch&gt;` format for the version field (required for add-on datastore).
  * Use `https://` as the schema for the url field (required for add-on datastore).
* Added a new extension point type called `Chain`, which can be used to iterate over iterables returned by registered handlers. (#14531)
* Added the `bdDetect.scanForDevices` extension point.
Handlers can be registered that yield `BrailleDisplayDriver/DeviceMatch` pairs that don't fit in existing categories, like USB or Bluetooth. (#14531)
* Added extension point: `synthDriverHandler.synthChanged`. (#14618)
* The NVDA Synth Settings Ring now caches available setting values the first time they're needed, rather than when loading the synthesizer. (#14704)
* You can now call the export method on a gesture map to export it to a dictionary.
This dictionary can be imported in another gesture by passing it either to the constructor of `GlobalGestureMap` or to the update method on an existing map. (#14582)
* `hwIo.base.IoBase` and its derivatives now have a new constructor parameter to take a `hwIo.ioThread.IoThread`.
If not provided, the default thread is used. (#14627)
* `hwIo.ioThread.IoThread` now has a `setWaitableTimer` method to set a waitable timer using a python function.
Similarly, the new `getCompletionRoutine` method allows you to convert a python method into a completion routine safely. (#14627)
* `offsets.OffsetsTextInfo._get_boundingRects` should now always return `List[locationHelper.rectLTWH]` as expected for a subclass of `textInfos.TextInfo`. (#12424)
* `highlight-color` is now a format field attribute. (#14610)
* NVDA should more accurately determine if a logged message is coming from NVDA core. (#14812)
* NVDA will no longer log inaccurate warnings or errors about deprecated appModules. (#14806)
* All NVDA extension points are now briefly described in a new, dedicated chapter in the Developer Guide. (#14648)
* `scons checkpot` will no longer check the `userConfig` subfolder anymore. (#14820)
* Translatable strings can now be defined with a singular and a plural form using `ngettext` and `npgettext`. (#12445)

#### Deprecations

* Passing lambda functions to `hwIo.ioThread.IoThread.queueAsApc` is deprecated.
Instead, functions should be weakly referenceable. (#14627)
* Importing `LPOVERLAPPED_COMPLETION_ROUTINE` from `hwIo.base` is deprecated.
Instead import from `hwIo.ioThread`. (#14627)
* `IoThread.autoDeleteApcReference` is deprecated.
It was introduced in NVDA 2023.1 and was never meant to be part of the public API.
Until removal, it behaves as a no-op, i.e. a context manager yielding nothing. (#14924)
* `gui.MainFrame.onAddonsManagerCommand` is deprecated, use `gui.MainFrame.onAddonStoreCommand` instead. (#13985)
* `speechDictHandler.speechDictVars.speechDictsPath` is deprecated, use `NVDAState.WritePaths.speechDictsDir` instead. (#15021)
* Importing `voiceDictsPath` and `voiceDictsBackupPath` from `speechDictHandler.dictFormatUpgrade` is deprecated.
Instead use `WritePaths.voiceDictsDir` and `WritePaths.voiceDictsBackupDir` from `NVDAState`. (#15048)
* `config.CONFIG_IN_LOCAL_APPDATA_SUBKEY` is deprecated.
Instead use `config.RegistryKey.CONFIG_IN_LOCAL_APPDATA_SUBKEY`. (#15049)

## 2023.1

Pridané nové nastavenie, ktoré umožňuje určiť, ako sú definované odseky. Pozrite Nastavenia, časť navigácia v dokumente.
Aktuálne je teda možné používať navigáciu po odsekoch aj v aplikáciách, ktoré ju natívne nepodporujú, ako napríklad Notepad and Notepad++.

Pridaná nová klávesová skratka, ktorá umožňuje zisťiť URL adresu odkazu, na ktorom je kurzor. Skratka je predvolene `NVDA+k`.

Vylepšená podpora pre anotácie vo webových dokumentoch (komentáre a poznámky).
Ak NVDA ohlási, že prvok má komentár alebo poznámku, je možné si prečítať podrobnosti skratkou `NVDA+d`.

Pridaná podpora pre braillové riadky Tivomatic Caiku Albatross 46/80.

Vylepšená podpora pre operačné systémy Windows vo variantoch ARM64 a AMD64.

Mnohé opravy sa týkajú hlavne systému Windows 11.

Aktualizované knižnice eSpeak, LibLouis, funkcionalita dvojnásobnej rýchlosti a databáza Unicode CLDR.
Pridané nové braillové tabuľky pre jazyky Gruzínčina, Svahilčina (Keňa) a Chichewa (Malawi).

Upozornenie:

* Táto verzia nie je kompatibilná so staršími doplnkami.

### Nové vlastnosti

* Podpora pre MS Excel cez rozhranie UIA: Pridané automatické oznamovanie hlavičiek riadkov a stĺpcov tabuľky. (#14228)
  * Upozorňujeme, že toto sa týka len tabuliek, ktoré sú formátované cez panel tabuľka v rybbon menu.
  Je potrebné správne nastaviť "Prvý stĺpec" a "riadok hlavičky" v časti "Možnosti štýlu tabuľky".
  * Toto sa netýka možnosti definovať hlavičky pre čítače obrazovky. Toto v súčasnosti cez UIA nie je podporované.
* Automatické fonetické hláskovanie je aktuálne možné zapínať a vypínať aj pomocou klávesovej skratky. Skratka nie je predvolene definovaná a je ju možné nastaviť v dialógu klávesové skratky. (#14267)
* Pridaná možnosť automatického oznamovania nového textu v konzolách Windows terminálu cez rozhranie UIA, čo zlepšuje odozvu a stabilitu. (#13781)
  * Podrobnosti a nedostatky sú vysvetlené v používateľskej príručke NVDA.
* V systéme Windows 11 vo variante ARM64 je možné používať režim prehliadania v aplikáciách AMD64, ako Firefox, Google Chrome a 1Password. (#14397)
* Pridaná nová sekcia Navigácia v dokumentoch a aktuálne jedno nové nastavenie: Za odsek považovať.
umožňuje nastaviť, čo je považované za odseky. Možnosti sú jeden alebo viacero zlomov riadka.
Takto je možné prechádzať po odsekoch aj v aplikáciách, ktoré to predvolene nepodporujú, ako napríklad Poznámkový blok a Notepad++. (#13797)
* Ak je dostupných viacero anotácií, NVDA na túto skutočnosť upozorní.
Skratkou `NVDA+d` je možné postupne prečítať všetky dostupné anotácie pre zameraný prvok.
Napríklad ak text obsahuje komentár a poznámku pod čiarou. (#14507, #14480)
* Pridaná podpora pre brailový riadok Tivomatic Caiku Albatross 46/80. (#13045)
* Nová klávesová skratka: Oznámiť URL adresu zameraného odkazu (`NVDA+k`).
Oznámi resp. zobrazí na braillovom riadku URL adresu odkazu, na ktorom je navigačný objekt.
Stlačené dvakrát zobrazí URL adresu v samostatnom okne, v ktorom je možné adresu podrobne prezerať.
* Pribudla tiež možnosť definovať klávesovú skratku, ktorá zobrazí URL adresu hneď v samostatnom okne. Skratku je potrebné definovať v dialógu klávesové skratky.
Funkcia je rovnaká, ako keď stlačíte `NVDA+k` dvakrát za sebou, ale definovanie novej skratky môže byť užitočné pre používateľov braillových riadkov. (#14583)

### Zmeny

* Braillová prekladová tabuľka LibLouis aktualizovaná na verziu [3.24.0](https://github.com/liblouis/liblouis/releases/tag/v3.24.0). (#14436)
  * Aktualizované tabuľky pre Maďarčinu, UEB a tiež čínske znaky bopomofo.
  * Pridaná podpora pre dánsky Braillový štandard 2022.
  * Pridané nové braillové tabuľky pre Gruzínsky kodifikovaný braill, Svahilčinu (Keňa) a Chichewa (Malawi).
* Aktualizovaná knižnica Sonic rate boost na zdvojnásobenie rýchlosti na commit `1d70513`. (#14180)
* Databáza Unicode znakov CLDR aktualizovaná na 42.0. (#14273)
* Hlasový výstup eSpeak NG aktualizovaný na 1.52-dev commit `f520fecb`. (#14281, #14675)
  * Opravené oznamovanie veľkých čísel. (#14241)
* V Java aplikáciách s prvkami, ktoré majú možnosť výberu oznamuje NVDA stav, keď položka nie je vybratá a nie, keď je položka vybratá. (#14336)

### Opravy

* Opravy pre Windows 11:
  * NVDA oznamuje návrhy vyhľadávania po otvorení menu štart. (#13841)
  * V architektúre ARM nie sú viac 64-bitové aplikácie identifikované ako aplikácie ARM64. (#14403)
  * Odteraz je možné dostať sa k funkciám v menu histórie schránky, ako napríklad pripnúť položku. (#14508)
  * Vo Windows 11 od verzie 22H2 je možné používať ovládanie myšy a dotykové ovládanie aj v oknách systémového panela a dialógu otvoriť v programe. (#14538, #14539)
* V MS Excely sú zobrazované návrhy mien používateľov na spomenutie, ak do poľa s komentárom napíšete znak @. (#13764)
* V panely s adresou Google Chrome sú oznamované po zameraní dostupné prvky (napríklad prechod na záložku, odstrániť návrh a podobne). (#13522)
* Pri oznamovaní formátovania sú farby správne oznamované aj v aplikáciách Wordpad alebo zobrazovač logu. (#13959)
* V prehliadači Firefox na stránke Gidhub, správne funguje aktivovanie tlačidla Show options (zobraziť možnosti). (#14269)
* Prvky na výber dátumu v MS Outlooku 2016/365 v pokročilých možnostiach hľadania správne oznamujú popis a hodnoty. (#12726)
* Aria začiarkávacie tlačidlá sú v prehliadačoch Edge, Chrome a Firefox oznamované ako začiarkávacie tlačidlá a nie začiarkávacie políčka. (#11310)
* NVDA odteraz automaticky oznamuje zoradenie v hlavičkách v HTML tabuľkách, ak zmeníte spôsob zoradenia stlačením príslušného tlačidla. (#10890)
* Oblasť stránky alebo orientačný bod je oznámený, ak pomocou rýchlej navigácie alebo fokusu prejdete do vnútra oblasti alebo orientačného bodu. (#13307)
* Ak je zapnuté oznamovanie veľkých písmen slovom "veľké" alebo pípnutím, NVDA viac nepípa a neoznamuje "veľké" aj pri automatickom fonetickom hláskovaní. (#14239)
* Prvky v tabuľkách v Java aplikáciách sú odteraz oznamované presnejšie. (#14347)
* Niektoré nastavenia viac nie sú rôzne pri používaní viacerých profilov. (#14170)
  * Týka sa to konkrétne týchto nastavení:
    * Oznamovanie zarovnania riadka v nastaveniach čítania textu.
    * Oznamovanie orámovania buniek tabuľky v nastaveniach čítania textu.
    * Interval zobrazovania správ v nastaveniach braillu.
    * Braillový kurzor zviazaný s v nastaveniach braillu.
  * Môže sa stať, že tieto nastavenia budú zmenené po inštalácii tejto verzie NVDA.
  * Po aktualizácii NVDA odporúčame skontrolovať vyššie spomenuté nastavenia.
* Oznamovanie symbolov Emoji je odteraz podporované v ďalších jazykoch. (#14433)
* Informácia o dostupných anotáciách je zobrazená vždy aj na braillovom riadku. (#13815)
* Opravené problémy s ukladaním nastavení, ak bola vybratá predvolená možnosť a následne bola vybratá tá istá možnosť priamo. (#14133)
* Pri nastavovaní je zaručené, že bude vždy aktívny aspoň jeden kláves NVDA. (#14527)
* Ak otvoríte ponuku NVDA zo systémového panela, NVDA viac nehlási, že je dostupná aktualizácia v prípadoch, že skutočne nie je dostupná aktualizácia. (#14523)
* V prehrávači Foobar 2000 sú správne oznamované časy súborov dlhších ako deň. (#14127)
* Upozornenia prehliadačov Chrome a Firefox (napríklad o stiahnutom súbore) sú tiež zobrazované na braillovom riadku. (#14562)
* Opravená chyba, ktorá nastávala pri prechode na prvý a posledný stĺpec v tabuľke v prehliadači Mozilla Firefox. (#14554)
* Ak je NVDA spustený s parametrom `--lang=Windows`, je opäť možné otvoriť aj v tomto prípade nastavenia NVDA. (#14407)
* Plynulé čítanie viac nezlyhá po prechode na ďalšiu stranu v programe Kindle for PC. (#14390)

### Zmeny pre vývojárov (anglicky)

Note: this is an Add-on API compatibility breaking release.
Add-ons will need to be re-tested and have their manifest updated.
Please refer to [the developer guide](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#API) for information on NVDA's API deprecation and removal process.

* System tests should now pass when run locally on non-English systems. (#13362)
* In Windows 11 on ARM, x64 apps are no longer identified as ARM64 applications. (#14403)
* It is no longer necessary to use `SearchField` and `SuggestionListItem` `UIA` `NVDAObjects` in new UI Automation scenarios, where automatic reporting of search suggestions, and where typing has been exposed via UI Automation with the `controllerFor` pattern.
This functionality is now available generically via `behaviours.EditableText` and the base `NVDAObject` respectively. (#14222)
* The UIA debug logging category when enabled now produces significantly more logging for UIA event handlers and utilities. (#14256)
* NVDAHelper build standards updated. (#13072)
  * Now uses the C++20 standard, was C++17.
  * Now uses the `/permissive-` compiler flag which disables permissive behaviors, and sets the `/Zc` compiler options for strict conformance.
* Some plugin objects (e.g. drivers and add-ons) now have a more informative description in the NVDA python console. (#14463)
* NVDA can now be fully compiled with Visual Studio 2022, no longer requiring the Visual Studio 2019 build tools. (#14326)
* More detailed logging for NVDA freezes to aid debugging. (#14309)
* The singleton `braille._BgThread` class has been replaced with `hwIo.ioThread.IoThread`. (#14130)
  * A single instance `hwIo.bgThread` (in NVDA core) of this class provides background i/o for thread safe braille display drivers.
  * This new class is not a singleton by design, add-on authors are encouraged to use their own instance when doing hardware i/o.
* The processor architecture for the computer can be queried from `winVersion.WinVersion.processorArchitecture attribute.` (#14439)
* New extension points have been added. (#14503)
  * `inputCore.decide_executeGesture`
  * `tones.decide_beep`
  * `nvwave.decide_playWaveFile`
  * `braille.pre_writeCells`
  * `braille.filter_displaySize`
  * `braille.decide_enabled`
  * `braille.displayChanged`
  * `braille.displaySizeChanged`
* It is possible to set useConfig to False on supported settings for a synthesizer driver. (#14601)

#### API Breaking Changes

These are breaking API changes.
Please open a GitHub issue if your Add-on has an issue with updating to the new API.

* The configuration specification has been altered, keys have been removed or modified:
  * In `[documentFormatting]` section (#14233):
    * `reportLineIndentation` stores an int value (0 to 3) instead of a boolean
    * `reportLineIndentationWithTones` has been removed.
    * `reportBorderStyle` and `reportBorderColor` have been removed and are replaced by `reportCellBorders`.
  * In `[braille]` section (#14233):
    * `noMessageTimeout` has been removed, replaced by a value for `showMessages`.
    * `messageTimeout` cannot take the value 0 anymore, replaced by a value for `showMessages`.
    * `autoTether` has been removed; `tetherTo` can now take the value "auto" instead.
  * In `[keyboard]` section  (#14528):
    * `useCapsLockAsNVDAModifierKey`, `useNumpadInsertAsNVDAModifierKey`, `useExtendedInsertAsNVDAModifierKey` have been removed.
    They are replaced by `NVDAModifierKeys`.
* The `NVDAHelper.RemoteLoader64` class has been removed with no replacement. (#14449)
* The following functions in `winAPI.sessionTracking` are removed with no replacement. (#14416, #14490)
  * `isWindowsLocked`
  * `handleSessionChange`
  * `unregister`
  * `register`
  * `isLockStateSuccessfullyTracked`
* It is no longer possible to enable/disable the braille handler by setting `braille.handler.enabled`.
To disable the braille handler programatically, register a handler to `braille.handler.decide_enabled`. (#14503)
* It is no longer possible to update the display size of the handler by setting `braille.handler.displaySize`.
To update the displaySize programatically, register a handler to `braille.handler.filter_displaySize`.
Refer to `brailleViewer` for an example on how to do this. (#14503)
* There have been changes to the usage of `addonHandler.Addon.loadModule`. (#14481)
  * `loadModule` now expects dot as a separator, rather than backslash.
  For example "lib.example" instead of "lib\example".
  * `loadModule` now raises an exception when a module can't be loaded or has errors, instead of silently returning `None` without giving information about the cause.
* The following symbols have been removed from `appModules.foobar2000` with no direct replacement. (#14570)
  * `statusBarTimes`
  * `parseIntervalToTimestamp`
  * `getOutputFormat`
  * `getParsingFormat`
* The following are no longer singletons - their get method has been removed.
Usage of `Example.get()` is now `Example()`. (#14248)
  * `UIAHandler.customAnnotations.CustomAnnotationTypesCommon`
  * `UIAHandler.customProps.CustomPropertiesCommon`
  * `NVDAObjects.UIA.excel.ExcelCustomProperties`
  * `NVDAObjects.UIA.excel.ExcelCustomAnnotationTypes`

#### Deprecations

* `NVDAObjects.UIA.winConsoleUIA.WinTerminalUIA` is deprecated and usage is discouraged. (#14047)
* `config.addConfigDirsToPythonPackagePath` has been moved.
Use `addonHandler.packaging.addDirsToPythonPackagePath` instead. (#14350)
* `braille.BrailleHandler.TETHER_*` are deprecated.
Use `configFlags.TetherTo.*.value` instead. (#14233)
* `utils.security.postSessionLockStateChanged` is deprecated.
Use `utils.security.post_sessionLockStateChanged` instead. (#14486)
* `NVDAObject.hasDetails`, `NVDAObject.detailsSummary`, `NVDAObject.detailsRole` has been deprecated.
Use `NVDAObject.annotations` instead. (#14507)
* `keyboardHandler.SUPPORTED_NVDA_MODIFIER_KEYS` is deprecated with no direct replacement.
Consider using the class `config.configFlags.NVDAKey` instead. (#14528)
* `gui.MainFrame.evaluateUpdatePendingUpdateMenuItemCommand` has been deprecated.
Use `gui.MainFrame.SysTrayIcon.evaluateUpdatePendingUpdateMenuItemCommand` instead. (#14523)

## 2022.4

Táto verzia obsahuje viacero nových klávesových skratiek, napríklad na plynulé čítanie riadkov a stĺpcov v tabuľkách.
Do používateľskej príručky sme pridali sekciu, ako začať.
Tiež boli opravené viaceré chyby.

Aktualizovali sme hlasový výstup eSpeak a brailovú prekladovú tabuľku LibLouis.
Pridané boli tiež nové prekladové tabuľky pre Čínštinu, Švédčinu, Gandčinu  a Rvandčinu.

### Nové vlastnosti

* Do používateľskej príručky pridaná sekcia Ako začať. (#13934)
* Pridaná nová klávesová skratka na vyslovenie klávesovej skratky zameraného objektu. (#13960)
  * Desktop: `shift+numerická2`.
  * Laptop: `NVDA+ctrl+shift+.`.
* Pridané klávesové skratky na posun prezeracieho kurzora po stranách. Funguje len v prípade, že zameraný objekt podporuje stránkovanie. (#14021)
  * Predchádzajúca strana:
    * Desktop: `NVDA+pageUp`.
    * Laptop: `NVDA+shift+pageUp`.
  * Nasledujúca strana:
    * Desktop: `NVDA+pageDown`.
    * Laptop: `NVDA+shift+pageDown`.
* Pridané nové klávesové skratky na pohyb v tabuľkách. (#14070)
  * Plynulé čítanie stĺpcov zhora dole, posúva  kurzor: `NVDA+ctrl+alt+šípka dolu`
  * Plynulé čítanie buniek v riadku, zľava doprava, posúva systémový kurzor: `NVDA+ctrl+alt+šípka doprava`
  * Prečítať celý stĺpec zhora dolu, neposúva kurzor: `NVDA+ctrl+alt+šípka hore`
  * Prečítať celý riadok zľava doprava, neposúva kurzor: `NVDA+ctrl+alt+ľavá šípka`
* Pri použití aplikácie MS Excel cez rozhranie UI Automation NVDA dokáže oznamovať opustenie tabuľky v hárku. (#14165)
* Oznamovanie hlavičiek tabuľky je odteraz možné nastaviť zvlášť pre riadky aj stĺpce. (#14075)

### Zmeny

* Hlasový výstup eSpeak NG aktualizovaný na verziu 1.52-dev commit `735ecdb8`. (#14060, #14079, #14118, #14203)
  * Opravené oznamovanie znakov latinky, ak je jazyk nastavený na Mandarínčinu. (#12952, #13572, #14197)
* Brailová prekladová tabuľka LibLouis aktualizovaná na verziu  [3.23.0](https://github.com/liblouis/liblouis/releases/tag/v3.23.0). (#14112)
  * Pridané nové tabuľky:
    * Čínština všeobecný brail (znaková sada zjednodušená čínština)
    * Rwandčina plnopis
    * Gandčina plnopis
    * Švédčina plnopis
    * Švédčina čiastočný skradkopis
    * Švédčina skratkopis
    * Čínština (Čína, Mandarínčina) aktuálny brailový zápis (bez tónov) (#14138)
* NVDA teraz odosiela informáciu o architektúre operačného systému ako súčasť štatistík. (#14019)

### Opravy

* Ak sa používa na aktualizáciu NVDA Windows správca balíkov CLI (napríklad winget), uvoľnená verzia nie je viac vždy považovaná za novšiu ako akákoľvek iná alpha verzia, ktorá je už nainštalovaná. (#12469)
* NVDA odteraz správne oznamuje skupiny prvkov v Java aplikáciách. (#13962)
* Kurzor odteraz správne sleduje text pri plynulom čítaní v aplikáciách ako napríklad Bookworm, WordPad, alebo  tiež v zobrazovači logu NVDA. (#13420, #9179)
* V aplikáciách sprístupnených cez UI Automation sú správne oznamované čiastočne začiarknuté začiarkávacie políčka. (#13975)
* Zlepšená odozva a stabilita v aplikáciách Microsoft Visual Studio, Windows Terminal, a iných aplikáciách využívajúcich UI Automation. (#11077, #11209)
  * Tieto zmeny sa týkajú operačného systému Windows 11 od verzie Sun Valley 2 ( 22H2).
  * Sledovanie zmien a udalostí UI Automation je predvolene nastavené na preferovanie vybraných.
* Oznamovanie  textu, Braillový výstup a potláčanie zobrazovania hesiel odteraz správne fungujú vo vnorenom okne príkazového riadku v aplikácii Visual Studio 2022. (#14194)
* NVDA od teraz berie do úvahy nastavenia DPI pri používaní viacerých monitorov.
Zahrnutých je niekoľko opráv pri používaní nastavenia DPI viac než 100% alebo pripojených viacerých monitorov súčasne.
Problémy sa stále môžu vyskytnúť so staršími verziami systému než Windows 10 1809.
Aby boli tieto opravy účinné, aplikácie, s ktorými NVDA spolupracuje, by tiež mali brať nastavenie DPI do úvahy.
Pozor, stále sú známe problémy s prehliadačmi Chrome a Edge. (#13254)
  * Rámčeky znázorňujúce vizuálne zvýraznenie  položiek by mali byť správne umiestnené vo väčšine aplikácií. (#13370, #3875, #12070)
  * Interakcie cez dotykovú obrazovku by mali byť omnoho presnejšie pre väčšinu aplikácií. (#7083)
  * Sledovanie myši by malo správne fungovať vo väčšine aplikácií. (#6722)
* Stav zmeny orientácie obrazovky (na šírku/na výšku) je správne ignorovaný v situáciách, keď nedošlo k zmene orientácie (napr. pri zmene parametrov obrazovky). (#14035)
* NVDA dokáže  oznamovať preusporiadanie položiek na obrazovke: presúvanie dlaždíc v ponuke štart vo Windows 10 a virtuálne plochy vo Windows 11. (#12271, #14081)
* Pokročilé nastavenie "Zaznamenané chyby signalizovať zvukom" je správne obnovené na predvolenú hodnotu po stlačení tlačidla "Obnoviť pôvodné nastavenia". (#14149)
* Klávesová skratka `NVDA+f10` na výber textu funguje aj v aplikáciách Java. (#14163)
* NVDA sa viac nezasekne v ponuke pri navigácii šípkami vo vláknach konverzácií programu Microsoft Teams. (#14355)

### Zmeny pre vývojárov (anglicky)

Please refer to [the developer guide](https://www.nvaccess.org/files/nvda/documentation/developerGuide.html#API) for information on NVDA's API deprecation and removal process.

* The [NVDA API Announcement mailing list](https://groups.google.com/a/nvaccess.org/g/nvda-api/about) was created. (#13999)
* NVDA no longer processes `textChange` events for most UI Automation applications due to their extreme negative performance impact. (#11002, #14067)

#### Deprecations

* `core.post_windowMessageReceipt` is deprecated, use `winAPI.messageWindow.pre_handleWindowMessage` instead.
* `winKernel.SYSTEM_POWER_STATUS` is deprecated and usage is discouraged, this has been moved to `winAPI._powerTracking.SystemPowerStatus`.
* `winUser.SM_*` constants are deprecated, use `winAPI.winUser.constants.SystemMetrics` instead.

## 2022.3.3

Táto drobná aktualizácia prináša opravy chýb, ktoré boli spôsobené vo verziách 2022.3.2, 2022.3.1 a 2022.3.
Oprava zahŕňa aj jednu bezpečnostnú záplatu.

### Bezpečnostné opravy

* Odteraz viac nie je možné používať Python konzolu, ak používateľ nie je prihlásený.
([GHSA-fpwc-2gxx-j9v7](https://github.com/nvaccess/nvda/security/advisories/GHSA-fpwc-2gxx-j9v7))

### Opravy

* Opravená chyba, ktorá spôsobovala, že ak NVDA zamrzlo pri zamykaní systému, bolo možné získať prístup k pracovnej ploche používateľa aj ak bol systém už zamknutý. (#14416)
* Opravená chyba, ktorá spôsobovala, že ak NVDA zamrzlo počas zamykania systému, správalo sa neštandardne, ako keby bol systém stále zamknutý a to aj po opätovnom odomknutí. (#14416)
* Opravené problémy s prístupnosťou v časti "zabudnutý pin" a tiež počas inštalácie a aktualizácie. (#14368)
* Opravené problémy s inštaláciou NVDA v niektorých prostrediach, napríklad Windows Server. (#14379)

### Zmeny pre vývojárov (anglicky)

#### Deprecations

* `utils.security.isObjectAboveLockScreen(obj)` is deprecated, instead use `obj.isBelowLockScreen`. (#14416)
* The following functions in `winAPI.sessionTracking` are deprecated for removal in 2023.1. (#14416)
  * `isWindowsLocked`
  * `handleSessionChange`
  * `unregister`
  * `register`
  * `isLockStateSuccessfullyTracked`

## 2022.3.2

Toto je drobná aktualizácia, ktorá opravuje problémy vzniknuté vo verzii 2022.3.1 a rieši jeden bezpečnostný problém.

### Bezpečnostné opravy

* Zabraňuje možnému prístupu s oprávneniami na úrovni systému pre neautorizovaných používateľov.
([GHSA-3jj9-295f-h69w](https://github.com/nvaccess/nvda/security/advisories/GHSA-3jj9-295f-h69w))

### Opravy

* Oprava nedostatku verzii 2022.3.1, čo spôsobovalo nedostupnosť niektorých funkcií na zabezpečených obrazovkách. (#14286)
* Oprava nedostatku verzii 2022.3.1, čo spôsobovalo nedostupnosť niektorých funkcií po prihlásení do systému, ak sa NVDA spustil pri uzamknutej obrazovke. (#14301)

## 2022.3.1

Toto je drobná aktualizácia obsahujúca niekoľko bezpečnostných opráv.
Prosíme vás, aby ste informácie o bezpečnostných ryzikách odoslali na adresu <info@nvaccess.org> (anglicky), prípadne na <ondrej@ondrosik.sk> v Slovenčine.

### Bezpečnostné opravy

* Odstránená zraniteľnosť umožňujúca prechod z používateľských oprávnení na oprávnenia na úrovni systému.
([GHSA-q7c2-pgqm-vvw5](https://github.com/nvaccess/nvda/security/advisories/GHSA-q7c2-pgqm-vvw5))
* Odstránený bezpečnostný problém umožňujúci prístup ku konzole python hneď po spustení NVDA.
([GHSA-72mj-mqhj-qh4w](https://github.com/nvaccess/nvda/security/advisories/GHSA-72mj-mqhj-qh4w))
* Opravený problém s uchovávaním obsahu zobrazovača reči pri uzamknutí systému.
([GHSA-grvr-j2h8-3qm4](https://github.com/nvaccess/nvda/security/advisories/GHSA-grvr-j2h8-3qm4))

### Opravy

* Zabránené neautorizovaným používateľom meniť nastavenia zobrazovača reči a braillu na zamknutej obrazovke. ([GHSA-grvr-j2h8-3qm4](https://github.com/nvaccess/nvda/security/advisories/GHSA-grvr-j2h8-3qm4))

## 2022.3

Značná časť tejto verzie vznikla vďaka vývojárskej komunite NVDA.
Zahŕňa automatické fonetické hláskovanie a tiež podporu pre Windows konzoly.

Táto verzia tiež obsahuje viacero opráv.
Konkrétne, aktuálne verzie aplikácie Adobe Acrobat/Reader viac nepadajú pri čítaní PDF dokumentu.

Hlasový výstup eSpeak bol aktualizovaný na novú verziu a prináša 3 nové jazyky: Bielorušťinu, Luxemburčinu a Totontepec Mixe.

### Nové vlastnosti

* Vo windows konzolách, ktoré sa používajú v príkazovom riadku, PowerShell, a Windows Subsystéme pre Linux od verzie Windows 11 22H2 (Sun Valley 2):
  * Vylepšená odozva a stabilita. (#10964)
  * Po stlačení `ctrl+f` na vyhľadanie textu, sa prezerací  kurzor  presúva na vyhľadaný výraz. (#11172)
  * Predvolene je vypnuté oznamovanie napísaného textu, ktorý sa nezobrazuje na obrazovke (zvyčajne ide o heslá).
Toto je možné zapnúť v pokročilých nastaveniach NVDA. (#11554)
  * Text, ktorý nie je viditeľný na obrazovke, je stále možné prezerať bez nutnosti posúvať okno konzoly. (#12669)
  * Odteraz je možné získať podrobnejšie informácie o formátovaní. ([microsoft/terminal PR 10336](https://github.com/microsoft/terminal/pull/10336))
* Pridaná možnosť automaticky foneticky hláskovať znaky pri čítaní po znakoch. (#13509)
* Pridaná nová možnosť, ktorá určuje, či má posúvanie braillového riadka prerušiť reč. (#2124)

### Zmeny

* Hlasový výstup eSpeak NG aktualizovaný na verziu 1.52-dev commit `9de65fcb`. (#13295)
  * Pridané jazyky:
    * Bieloruština
    * Luxemburčina
    * Totontepec Mixe
* Ak sa načítanie hárkov v programe MS Excel používa UI Automation, NVDA dokáže identifikovaťa oznámiť zlúčené bunky. (#12843)
* NVDA viac neoznamuje "obsahuje detaily", ale konkrétne povie druh detailu, napríklad "obsahuje komentáre". (#13649)
* V aplikáciách a súčastiach sa teraz pri programe NVDA objavuje aj veľkosť nainštalovaných dát. (#13909)

### opravy

* Adobe Acrobat / Reader 64 bit viac nespadne pri čítaní PDF dokumentu. (#12920)
  * Aby ste zabránili pádom, Je potrebné používať aktuálnu verziu Adobe Acrobat / Reader.
* Rôzne jednotky veľkosti písma sú odteraz dostupné na preklad pre prekladateľov a objavujú sa aj správne v Slovenskom jazyku. (#13573)
* NVDA ignoruje udalosti z Java Access Bridge, ak nemá fokus žiadne okno Java aplikácie.
Toto zlepší odozvu niektorých Java aplikácií, napríklad IntelliJ IDEA. (#13039)
* Vylepšené sledovanie vybratých buniek v LibreOffice Calc, pričom viac nedochádza k zamrznutiu, ak je vybratých viacero buniek. (#13232)
* Odteraz je možné používať MS Edge aj v situáciách, ak ste prihlásený pod kontom iného používateľa. (#13032)
* Ak je vypnuté použitie dvojnásobnej rýchlosti, hlasový výstup eSpeak nepoužíva skracovanie hlások, ktoré sa zvyčajne používa pri použití dvojnásobnej rýchlosti ani v prípade, že je tempo nastavené na 100%. (#13876)
* Odteraz nie je možné otvoriť dve okná s nastavením klávesových skratiek súčasne. (#13854)

### Zmeny pre vývojárov (anglicky)

* Updated Comtypes to version 1.1.11. (#12953)
* In builds of Windows Console (`conhost.exe`) with an NVDA API level of 2 (`FORMATTED`) or greater, such as those included with Windows 11 version 22H2 (Sun Valley 2), UI Automation is now used by default. (#10964)
  * This can be overridden by changing the "Windows Console support" setting in NVDA's advanced settings panel.
  * To find your Windows Console's NVDA API level, set "Windows Console support" to "UIA when available", then check the NVDA+F1 log opened from a running Windows Console instance.
* The Chromium virtual buffer is now loaded even when the document object has the MSAA `STATE_SYSTEM_BUSY` exposed via IA2. (#13306)
* A config spec type `featureFlag` has been created for use with experimental features in NVDA. See `devDocs/featureFlag.md` for more information. (#13859)

#### Deprecations

There are no deprecations proposed in 2022.3.

## 2022.2.4

Toto je drobná aktualizácia, ktorej cieľom je odstrániť bezpečnostný problém.

### Opravy

* Odstránená zraniteľnosť, ktorá umožňovala z okna zobrazovač logu spustiť python konzolu NVDA na zamknutej obrazovke.
([GHSA-585m-rpvv-93qg](https://github.com/nvaccess/nvda/security/advisories/GHSA-585m-rpvv-93qg))

## 2022.2.3

Táto opravná verzia opravuje chybu, ktorá sa nedopatrením dostala do verzie 2022.2.

### opravy

* Opravená chyba, ktorá spôsobovala, že NVDA neoznamoval hlásenie "zabezpečená pracovná plocha".
Toto spôsobovalo, že doplnok NVDA Remote nemohol rozpoznať zabezpečené okná. (#14094)

## 2022.2.2

Táto verzia opravuje chybu, ktorá nastala vo verzii 2022.2.1 v súvislosti s dialógom klávesové skratky.

### opravy

* Opravená chyba, ktorá spôsobovala, že klávesové skratky nefungovali vždy správne. (#14065)

## 2022.2.1

Táto drobná verzia opravuje niektoré chyby súvisiace s bezpečnosťou.
Prosíme vás, aby ste informácie o bezpečnostných ryzikách odoslali na adresu <info@nvaccess.org> (anglicky), prípadne na <ondrej@ondrosik.sk> v Slovenčine.

### Bezpečnostné záplaty

* Odstránená možnosť spustiť Python konzolu zo zamknutej obrazovky. (GHSA-rmq3-vvhq-gp32)
* Odstránená možnosť opustiť zamknutú obrazovku pomocou objektovej navigácie. (GHSA-rmq3-vvhq-gp32)

### Zmeny pre vývojárov (anglicky)

#### Deprecations

These deprecations are currently not scheduled for removal.
The deprecated aliases will remain until further notice.
Please test the new API and provide feedback.
For add-on authors, please open a GitHub issue if these changes stop the API from meeting your needs.

* `appModules.lockapp.LockAppObject` should be replaced with `NVDAObjects.lockscreen.LockScreenObject`. (GHSA-rmq3-vvhq-gp32)
* `appModules.lockapp.AppModule.SAFE_SCRIPTS` should be replaced with `utils.security.getSafeScripts()`. (GHSA-rmq3-vvhq-gp32)

## 2022.2

Táto verzia obsahuje viacero opráv.
Konkrétne ide o opravy v prístupnosti Java aplikácií, brailové riadky a aplikácie Windows.

Pridali sme nové klávesové skratky pre navigáciu v tabuľkách.
Aktualizovali sme databázu symbolov CLDR.
Aktualizovali sme brailovú prekladovú tabuľku LibLouis. Aktuálne obsahuje novú Nemeckú tabuľku.

### Nové vlastnosti

* Pridaná podpora pre interakciu s komponentom Microsoft Loop v produktoch MS Office. (#13617)
* Pridané nové klávesové skratky pre navigáciu v tabuľkách. (#957)
 * `ctrl+alt+home/end` na prechod do prvého a posledného stĺpca.
 * `ctrl+alt+pageUp/pageDown` na prechod do prvého a posledného riadka.
* Pridaná možnosť pomocou skratiek zapínať prepínanie jazyka a dialektu. Skratka nie je predvolene definovaná. (#10253)

### zmeny

* NSIS aktualizovaný na verziu 3.08. (#9134)
* Databáza symbolov CLDR aktualizovaná na verziu 41.0. (#13582)
* Brailová prekladová tabuľka LibLouis aktualizovaná na verziu [3.22.0](https://github.com/liblouis/liblouis/releases/tag/v3.22.0). (#13775)
  * Nová brailová tabuľka: Nemčina grade 2 (detailný)
* Pridaná nová rola pre indikátory priebehu typu "zaneprázdnené". (#10644)
* NVDA odteraz upozorní, ak nie je možné vykonať požadovanú akciu. (#13500)
  * Toto zahŕňa:
    * Použitie funkcie, ktorá nie je podporovaná v NVDA z Windows obchodu.
    * Použitie funkcie, ktorá nie je dostupná v bezpečnom režime.
    * Použitie funkcie, ktorá vyžaduje zatvorenie dialógu NVDA.

### opravy

* Opravy pre java aplikácie:
  * NVDA oznamuje odteraz stav iba na čítanie. (#13692)
  * NVDA odteraz správne oznamuje stav zapnuté, vypnuté. (#10993)
  * NVDA odteraz oznamuje klávesové skratky. (#13643)
  * NVDA dokáže pípať alebo hlasom oznamovať indikátor priebehu. (#13594)
  * NVDA viac neodstraňuje text z vidgetov. (#13102)
  * NVDA správne oznamuje stav prepínacích tlačidiel. (#9728)
  * NVDA odteraz správne dokáže identifikovať okná, ak má Java aplikácia viac okien. (#9184)
  * NVDA odteraz správne oznamuje pozíciu záložiek. (#13744)
* Opravy pre brailovo písmo:
  * Opravené problémy pri navigácii v niektorých textových poliach v prvku Mozilla rich edit, napríklad písanie správy v Mozilla Thunderbird. (#12542)
  * Ak je brailový kurzor zviazaný automaticky a súčasne je presunutý kurzor myšy pri aktívnom sledovaní myšy,
   skratky na prezeranie textu aktualizujú obsah na brailovom riadku. (#11519)
  * Odteraz je možné použiť príkazy na prezeranie obsahu na brailovom riadku po tom, čo boli použité skratky na prezeranie textu. (#8682)
* Inštalátor NVDA je odteraz možné spustiť aj z adresárov, v ktorých názvoch sú špeciálne znaky. (#13270)
* NVDA odteraz oznamuje položky na webových stránkach otvorených v Mozilla Firefox aj v prípade, že sú atribúty aria-rowindex, aria-colindex, aria-rowcount alebo aria-colcount nesprávne. (#13405)
* Kurzor viac nepreskakuje medzi riadkami a stĺpcami pri navigácii v tabuľke, ak sú stĺpce zlúčené. (#7278)
* Pri čítaní neinteraktívnych pdf dokumentov v aplikácii Adobe Reader, NVDA oznamuje typ a stav formulárových prvkov (napríklad prepínačov a začiarkávacích polí). (#13285)
* V bezpečnom režime je možné z menu resetovať nastavenia NVDA na predvolené hodnoty. (#13547)
* Zamknuté tlačidlá myšy sú automaticky odomknuté po ukončení NVDA. Doteraz ostávali zamknuté. (#13410)
* Odteraz je podporované oznamovanie čísel riadkov vo Visual Studio. (#13604)
  * Aby toto správne fungovalo, zapnite oznamovanie čísel riadkov v zobrazení Visual studio a tiež v nastaveniach čítania textu v NVDA.
* Odteraz je správne oznamované odsadenie riadka vo Visual Studio. (#13574)
* NVDA opäť správne oznamuje detaily o výsledkoch hľadania v ponuke štart v aktuálnych verziách systémov Windows 10 a 11. (#13544)
* Vo vstavanej kalkulačke V systéme Windows 10 a 11, od verzie 10.1908,
NVDA oznamuje výsledky aj v prípade, že je použitých viacero príkazov, napríklad príkazy vo vedeckom režime. (#13383)
* V systéme Windows 11 je opäť možné pracovať s panelom úloh a zobrazením úloh
pomocou myšy a dotyku. (#13506)
* NVDA dokáže oznamovať stavový riadok poznámkového bloku vo Windows 11. (#13688)
* Vizuálna prezentácia navigačného objektu sa objaví na obrazovke okamžite po aktivovaní funkcie. (#13641)
* Opravené čítanie zoznamov s jednobunkovými položkami. (#13659, #13735)
* Opravená chyba, ktorá spôsobovala nesprávne prepínanie jazykov a dialektov v eSpeaku pre angličtinu a Francúzštinu. (#13727)
* Opravené prepínanie jazykov a dialektov pri používaní hlasov Onecore. (#13732)

### Zmeny pre vývojárov (anglicky)

* Compiling NVDA dependencies with Visual Studio 2022 (17.0) is now supported.
For development and release builds, Visual Studio 2019 is still used. (#13033)
* When retrieving the count of selected children via accSelection,
the case where a negative child ID or an IDispatch is returned by `IAccessible::get_accSelection` is now handled properly. (#13277)
* New convenience functions `registerExecutableWithAppModule` and `unregisterExecutable` were added to the `appModuleHandler` module.
They can be used to use a single App Module with multiple executables. (#13366)

#### Deprecations

These are proposed API breaking changes.
The deprecated part of the API will continue to be available until the specified release.
If no release is specified, the plan for removal has not been determined.
Note, the roadmap for removals is 'best effort' and may be subject to change.
Please test the new API and provide feedback.
For add-on authors, please open a GitHub issue if these changes stop the API from meeting your needs.

* `appModuleHandler.NVDAProcessID` is deprecated, use `globalVars.appPid` instead. (#13646)
* `gui.quit` is deprecated, use `wx.CallAfter(mainFrame.onExitCommand, None)` instead. (#13498)
  -
* Some alias appModules are marked as deprecated.
Code which imports from one of them, should instead import from the replacement module.  (#13366)

| Removed module name |Replacement module|
|---|---|
|azuredatastudio |code|
|azuredatastudio-insiders |code|
|calculatorapp |calculator|
|code - insiders |code|
|commsapps |hxmail|
|dbeaver |eclipse|
|digitaleditionspreview |digitaleditions|
|esybraille |esysuite|
|hxoutlook |hxmail|
|miranda64 |miranda32|
|mpc-hc |mplayerc|
|mpc-hc64 |mplayerc|
|notepad++ |notepadPlusPlus|
|searchapp |searchui|
|searchhost |searchui|
|springtoolsuite4 |eclipse|
|sts |eclipse|
|teamtalk3 |teamtalk4classic|
|textinputhost |windowsinternal_composableshell_experiences_textinput_inputapp|
|totalcmd64 |totalcmd|
|win32calc |calc|
|winmail |msimn|
|zend-eclipse-php |eclipse|
|zendstudio |eclipse|

## 2022.1

Táto verzia zahŕňa vylepšenú podporu pre sprístupnenie prvkov v dokumentoch MS Word cez rozhranie UI Automation.
NVDA predvolene používa rozhranie UI Automation pre MS Office od verzie 16.0.15000 v systéme Windows 11.
Toto prináša výrazné zrýchlenie, oproti doposiaľ používanému spôsobu cez objektové modely.

Došlo k zlepšeniu ovládačov pre brailové riadky Seika, Papenmeier a HID.
Takisto došlo k vylepšeniam prístupnosti v oknách a aplikáciách systému Windows 11, ako napríklad kalkulačka, konzola, terminál, pošta a panel emotikonov.

Bol aktualizovaný hlasový výstup eSpeak NG a tiež prekladová tabuľka Liblouis, ktorá zahŕňa nové tabuľky pre Japončinu, nemčinu a Katalánčinu.

Upozornenie:

 * Táto verzia nepodporuje staršie doplnky.

### Nové vlastnosti

* Pridaná podpora pre oznamovanie poznámok v dokumentoch MS Excel cez rozhranie UI Automation v systéme Windows 11. (#12861)
* V systéme Windows 11 je v dokumentoch v aktuálnych verziách MS Word prostredníctvom UI Automation oznamovaná prítomnosť záložiek, rozpísaných a vyriešených komentárov. Oznamovanie je možné v braily i hlasovým výstupom. (#12861)
* Z príkazového riadka je možné NVDA ako parameter odoslať príkaz `--lang`, ktorým vynútime nastavenie jazyka NVDA. (#10044)
* NVDA odteraz upozorní, ak dostane z príkazového riadka parameter, ktorý nepozná a ktorý nie je použitý ani v doplnkoch. (#12795)
* NVDA pri sprístupnení dokumentov MS OFfice cez UI Automation používa na čítanie matematického obsahu MathPlayer. (#12946)
  * Pre správnu funkčnosť je potrebné používať Microsoft Word od verzie 365/2016 zostava 14326.
  * matematické rovnice je tiež potrebné ručne konvertovať na Office math. Z kontextovej ponuky zvoľte možnosti rovníc a tu položka konvertovať na office math.
* Dostupnosť detailov pre prvky je odteraz oznamovaná aj v režime fokusu. Takisto je v režime fokusu možné aj prezrieť si detaily skratkou NVDA+d. (#13106)
* Zápisníky Seika sú odteraz automaticky detegované, ak sú pripojené cez USB a Bluetooth. (#13191, #13142)
  * Toto sa týka týchto zariadení: MiniSeika (16, 24 bunkové), V6, a V6Pro (40 bunkové)
  * Tiež je odteraz možné ručne zvoliť možnosť Bluetooth com portu.
* Pridaná možnosť definovať klávesovú skratku pre zobrazenie a skrytie okna zobrazovača brailu. Predvolene nie je skratka nastavená. (#13258)
* Pridaná možnosť nastaviť vlastné skratky, ktoré sa na brailovom riadku budú používať na odosielanie modifikačných kláves (ako shift či ctrl) do systému. Nastavenie vykonajte v okne klávesové skratky. (#13152)
* V okne s rečovými slovníkmi pribudlo tlačidlo Odstrániť všetky, ktoré umožňuje vymazať všetky záznamy v slovníku. (#11802)
* Pridaná podpora pre aplikáciu Kalkulačka v systéme Windows 11. (#13212)
* Pri čítaní dokumentov MS Word cez rozhranie UI Automation v systéme Windows 11 je možné zisťovať čísla riadkov a sekcií. (#13283, #13515)
* NVDA predvolene používa rozhranie UI Automation pre MS Office od verzie 16.0.15000 v systéme Windows 11. Toto prináša výrazné zrýchlenie, oproti doposiaľ používanému spôsobu cez objektové modely. (#13437)
 * Toto zahŕňa dokumenty MS Word a tiež čítanie a písanie správ v programe MS Outlook.

### zmeny

* Hlasový výstup Espeak-ng aktualizovaný na verziu 1.51-dev commit `7e5457f91e10`. (#12950)
* Brailová prekladová tabuľka liblouis aktualizovaná na verziu [3.21.0](https://github.com/liblouis/liblouis/releases/tag/v3.21.0). (#13141, #13438)
  * Pridaná tabuľka Japončina (Kantenji) plnopis.
  * Pridaná tabuľka pre nemecký 6-bodový počítačový kód.
  * Pridaná tabuľka Katalánskeho plnopisu. (#13408)
* NVDA odteraz dokáže oznamovať vybraté a zlúčené bunky v LibreOffice Calc od verzie 7.3. (#9310, #6897)
* Databáza unicode konzorcia (CLDR) aktualizovaná na verziu 40.0. (#12999)
* Skratka `NVDA+Num Delete` oznamuje predvolene polohu textového kurzora alebo objektu. (#13060)
* Skratka `NVDA+Shift+Num Delete` oznamuje polohu prezeracieho kurzora. (#13060)
* Pridané skratky pre prepínanie preraďovačov v brailových riadkoch od Freedom scientific. (#13152)
* NVDA viac neoznamuje "bez indexov" pri oznamovaní formátovania dokumentu (`NVDA+f`). (#11815)
* Skratka na zobrazenie dlhého popisu bola odstránená, ale je stále možné ju nanovo definovať. (#13380)
* Pridaná skratka na oznámenie detailov prvku (`NVDA+d`). (#13380)
* Odteraz je potrebné reštartovať NVDA po inštalácii MathPlayera. (#13486)

### opravy

* Panel schránky viac nestratí fokus, ak otvoríte niektorú z aplikácii MS Office. (#12736)
* Ak je nastavené zamenenie ľavého a pravého tlačidla myšy, NVDA viac pri pokuse aktivovať prvky napríklad v prehliadačoch, neotvára kontextovú ponuku. (#12642)
* Pri pokuse presunúť prezerací kurzor za textový prvok (napríklad v programe MS Word pri aktívnej podpore cez UI Automation), NVDA dokáže vo viacerých situáciách správne oznámiť spodok objektu. (#12808)
* NVDA dokáže oznámiť názov a verziu aplikácie aj v prípade, že beží na 64-bitovom systéme a aplikácia je umiestnená v časti system32. (#12943)
* Čítanie textu v konzolách a termináloch bolo vylepšené. (#12974)
  * Upozorňujeme, že pri odstránení znakov uprostred riadka môže byť aj naďalej zvyšok riadka čítaný dokonca.
* V dokumentoch MS Word sprístupnených cez UI Automation sa viac kurzor v režime prehliadania pri rýchlej navigácii nezasekne na poslednom nadpise a tento tiež nie je oznamovaný v zozname nadpisov dvakrát. (#9540)
* V systéme Windows od verzie 8 je možné čítať stavový riadok prieskumníka skratkami NVDA+end (desktop) / NVDA+shift+end (laptop). (#12845)
* Opäť sú oznamované prichádzajúce správy v aplikácii Skype pre  Business. (#9295)
* NVDA opäť dokáže správne stišovať ostatné zvuky, ak je hlasový výstup v systéme Windows 11 nastavený na Sapi5. (#12913)
* NVDA v Kalkulačke v systéme Windows 10 oznamuje popisky pre prvky história a pamäte. (#11858)
* Skrolovanie a presúvanie kurzora na znak opäť funguje pre riadky pripojené cez HID. (#13228)
* Pri čítaní e-mailu v pošte Windows 11 a súčasnom prepínaní aplikácii sa NVDA nezasekne na riadku z e-mailu. (#13050)
* Na riadkoch pripojených cez HID Braille je odteraz možné používať akordy (napríklad skratky `medzera+bod4`). (#13326)
* Opravená chyba, ktorá spôsobovala, že bolo možné súčasne otvoriť viacero dialógov nastavení NVDA. (#12818)
* Riadky Focus odteraz správne pracujú aj v prípadoch, že bol počítač prebudený z režimu spánku. (#9830)
* NVDA viac náhodne neoznamuje "bez indexov" ak je zapnuté oznamovanie horného a dolného indexu. (#11078)
* Odteraz správne funguje navigácia v panely Emoji v systéme Windows 11 (#13104)
* Opravená chyba, ktorá spôsobovala dvojité oznamovanie textu v termináloch a konzolách. (#13261)
* Opravená chyba, ktorá znemožňovala oznamovanie položiek v zoznamoch v 64-bitových aplikáciách, ako napríklad Reaper. (#8175)
* Keď získa fokus zoznam stiahnutých súborov v aplikácii MS Edge, NVDA sa automaticky prepne do režimu fokusu. (#13221)
* NVDA viac nespôsobuje pády 64-bitovej aplikácie Notepad++ od verzie 8.3. (#13311)
* Adobe Reader sa viac nezrúti, ak je spustený v chránenom režime v kombinácii s NVDA. (#11568)
* NVDA sa viac nezrúti, ak ako brailový riadok zvolítePapenmeier. (#13348)
* V aplikácii MS Word sprístupnenej cez UIA viac NVDA neoznamuje náhodne čísla strán a iné parametre formátovania, ak prejde kurzor z prázdnej bunky tabuľky do bunky, ktorá obsahuje text, prípadne z konca dokumentu k inému obsahu dokumentu. (#13458, #13459)
* NVDA opäť dokáže správne oznámiť názov stránky a spustiť plynulé čítanie, ak je stránka načítaná v Google Chrome 100. (#13571)
* NVDA sa viac nezrúti, ak je aktivované čítanie príkazových skratiek a súčasne vyvoláte možnosť obnoviť nastavenia. (#13634)

### Zmeny pre vývojárov (anglicky)

* Note: this is a Add-on API compatibility breaking release. Add-ons will need to be re-tested and have their manifest updated.
* Although NVDA still requires Visual Studio 2019, Builds should no longer fail if a newer version of Visual Studio (E.g. 2022) is installed along side 2019. (#13033, #13387)
* Updated SCons to version 4.3.0. (#13033)
* Updated py2exe to version 0.11.1.0. (#13510)
* `NVDAObjects.UIA.winConsoleUIA.WinConsoleUIA.isImprovedTextRangeAvailable` has been removed. Use `apiLevel` instead. (#12955, #12660)
* `TVItemStruct` has been removed from `sysTreeView32`. (#12935)
* `MessageItem` has been removed from the Outlook appModule. (#12935)
* `audioDucking.AUDIODUCKINGMODE_*` constants are now a `DisplayStringIntEnum`. (#12926)
  * usages should be replaced with `AudioDuckingMode.*`
  * usages of `audioDucking.audioDuckingModes` should be replaced with `AudioDuckingMode.*.displayString`
* `audioDucking.ANRUS_ducking_*` constants usages should be replaced with `ANRUSDucking.*`. (#12926)
* `synthDrivers.sapi5` changes (#12927):
  * `SPAS_*` usages should be replaced with `SPAudioState.*`
  * `constants.SVSF*` usages should be replaced with `SpeechVoiceSpeakFlags.*`
    * Note: `SVSFlagsAsync` should be replaced with `SpeechVoiceSpeakFlags.Async` not `SpeechVoiceSpeakFlags.lagsAsync`
  * `constants.SVE*` usages should be replaced with `SpeechVoiceEvents.*`
* The `soffice` appModule has the following classes and functions removed `JAB_OOTableCell`, `JAB_OOTable`, `gridCoordStringToNumbers`. (#12849)
* `core.CallCancelled` is now `exceptions.CallCancelled`. (#12940)
* All constants starting with RPC from `core` and `logHandler` are moved into `RPCConstants.RPC` enum. (#12940)
* It is recommended that `mouseHandler.doPrimaryClick` and `mouseHandler.doSecondaryClick` functions should be used to click the mouse to perform a logical action such as activating (primary) or secondary (show context menu),
rather than using `executeMouseEvent` and specifying the left or right mouse button specifically.
This ensures code will honor the Windows user setting for swapping the primary mouse button. (#12642)
* `config.getSystemConfigPath` has been removed - there is no replacement. (#12943)
* `shlobj.SHGetFolderPath` has been removed - please use `shlobj.SHGetKnownFolderPath` instead. (#12943)
* `shlobj` constants have been removed. A new enum has been created, `shlobj.FolderId` for usage with `SHGetKnownFolderPath`. (#12943)
* `diffHandler.get_dmp_algo` and `diffHandler.get_difflib_algo` have been replaced with `diffHandler.prefer_dmp` and `diffHandler.prefer_difflib` respectively. (#12974)
* `languageHandler.curLang` has been removed - to get the current NVDA language use `languageHandler.getLanguage()`. (#13082)
* A `getStatusBarText` method can be implemented on an appModule to customize the way NVDA fetches the text from the status bar. (#12845)
* `globalVars.appArgsExtra` has been removed. (#13087)
  * If your add-on need to process additional command line arguments see the documentation of `addonHandler.isCLIParamKnown` and the developer guide for details.
* The UIA handler module and other UIA support modules are now part of a UIAHandler package. (#10916)
  * `UIAUtils` is now `UIAHandler.utils`
  * `UIABrowseMode` is now `UIAHandler.browseMode`
  * `_UIAConstants` is now `UIAHandler.constants`
  * `_UIACustomProps` is now `UIAHandler.customProps`
  * `_UIACustomAnnotations` is now `UIAHandler.customAnnotations`
* The `IAccessibleHandler` `IA2_RELATION_*` constants have been replaced with the `IAccessibleHandler.RelationType` enum. (#13096)
  * Removed `IA2_RELATION_FLOWS_FROM`
  * Removed `IA2_RELATION_FLOWS_TO`
  * Removed `IA2_RELATION_CONTAINING_DOCUMENT`
* `LOCALE_SLANGUAGE`, `LOCALE_SLIST` and `LOCALE_SLANGDISPLAYNAME` are removed from `languageHandler` - use members of `languageHandler.LOCALE` instead. (#12753)
* Switched from Minhook to Microsoft Detours as a hooking library for NVDA. Hooking with this library is mainly used to aid the display model. (#12964)
* `winVersion.WIN10_RELEASE_NAME_TO_BUILDS` is removed. (#13211)
* SCons now warns to build with a number of jobs that is equal to the number of logical processors in the system.
This can dramatically decrease build times on multi core systems. (#13226, #13371)
* `characterProcessing.SYMLVL_*` constants are removed - please use `characterProcessing.SymbolLevel.*` instead. (#13248)
* Functions `loadState` and `saveState` are removed from addonHandler - please use `addonHandler.state.load` and `addonHandler.state.save` instead. (#13245)
* Moved the UWP/OneCore interaction layer of NVDAHelper [from C++/CX to C++/Winrt](https://docs.microsoft.com/en-us/windows/uwp/cpp-and-winrt-apis/move-to-winrt-from-cx). (#10662)
* It is now mandatory to subclass `DictionaryDialog` to use it. (#13268)
* `config.RUN_REGKEY`, `config.NVDA_REGKEY` are deprecated, please use `config.RegistryKey.RUN`, `config.RegistryKey.NVDA` instead. These will be removed in 2023. (#13242)
* `easeOfAccess.ROOT_KEY`, `easeOfAccess.APP_KEY_PATH` are deprecated, please use`easeOfAccess.RegistryKey.ROOT`, `easeOfAccess.RegistryKey.APP` instead. These will be removed in 2023. (#13242)
* `easeOfAccess.APP_KEY_NAME` has been deprecated, to be removed in 2023. (#13242)
* `DictionaryDialog` and `DictionaryEntryDialog` are moved from `gui.settingsDialogs` to `gui.speechDict`. (#13294)
* IAccessible2 relations are now shown in developer info for IAccessible2 objects. (#13315)
* `languageHandler.windowsPrimaryLCIDsToLocaleNames` has been removed, instead use `languageHandler.windowsLCIDToLocaleName` or `winKernel.LCIDToLocaleName`. (#13342)
* `UIAAutomationId` property for UIA objects should be preferred over `cachedAutomationId`. (#13125, #11447)
  * `cachedAutomationId` can be used if obtained directly from the element.
* `NVDAObjects.window.scintilla.CharacterRangeStruct` has moved to `NVDAObjects.window.scintilla.Scintilla.CharacterRangeStruct`. (#13364)
* Boolean `gui.isInMessageBox` is removed, please use the function `gui.message.isModalMessageBoxActive` instead. (#12984, #13376)
* `controlTypes` has been split up into various submodules. (#12510, #13588)
  * `ROLE_*` and `STATE_*` have been replaced with `Role.*` and `State.*`.
  * Although still available, the following should be considered deprecated:
    * `ROLE_*` and `STATE_*`, use `Role.*` and `State.*` instead.
    * `roleLabels`, `stateLabels` and `negativeStateLabels`, usages like `roleLabels[ROLE_*]` should be replaced with their equivalent `Role.*.displayString` or `State.*.negativeDisplayString`.
    * `processPositiveStates` and `processNegativeStates` should use `processAndLabelStates` instead.
* Excel cell state constants (`NVSTATE_*`) are now values in the `NvCellState` enum, mirrored in the `NvCellState` enum in `NVDAObjects/window/excel.py` and mapped to `controlTypes.State` via _nvCellStatesToStates. (#13465)
* `EXCEL_CELLINFO` struct member `state` is now `nvCellStates`.
* `mathPres.ensureInit` has been removed, MathPlayer is now initialized when NVDA starts. (#13486)

## 2021.3.5

Toto je menšia verzia, ktorá obsahuje opravu bezpečnostnej chyby.
Prosíme vás, aby ste informácie o bezpečnostných ryzikách odoslali na adresu <info@nvaccess.org> (anglicky), prípadne na <ondrej@ondrosik.sk> v Slovenčine.

### Bezpečnostné záplaty

* Opravená chyba `GHSA-xc5m-v23f-pgr7`.
  * V bezpečnom režime nie je možné používať dialóg Výslovnosť interpunkčných a špeciálnych znakov.

## 2021.3.4

Toto je menšia verzia, v ktorej prinášame bezpečnostné záplaty.
Prosíme vás, aby ste informácie o bezpečnostných ryzikách odoslali na adresu <info@nvaccess.org> (anglicky), prípadne na <ondrej@ondrosik.sk> v Slovenčine.

### Bezpečnostné záplaty

* Opravená bezpečnostná chyba `GHSA-354r-wr4v-cx28`. (#13488)
  * V bezpečnom režime nie je viac možné nastaviť úroveň záznamu na debug.
  * V bezpečnom režime nie je viac možné aktualizovať NVDA.
* Opravená bezpečnostná chyba `GHSA-wg65-7r23-h6p9`. (#13489)
  * Odstránená možnosť otvoriť dialóg Klávesové skratky v bezpečnom režime.
  * Odstránená možnosť otvoriť dialógy rečových slovníkov v bezpečnom režime.
* Opravená bezpečnostná chyba `GHSA-mvc8-5rv9-w3hx`. (#13487)
  * Nástroj na inšpekciu prvkov wx GUI je v bezpečnom režime vypnutý.

## 2021.3.3

Táto verzia je rovnaká ako 2021.3.2.
Vo verzii 2021.3.2 bola chyba, ktorá spôsobovala, že sa NVDA identifikovalo ako verzia 2021.3.1.
Táto verzia správne rozpoznáva vlastnú verziu ako 2021.3.3.

## 2021.3.2

Táto verzia opravuje viaceré bezpečnostné chyby.
Na bezpečnostné problémy prosím upozorňujte anglicky emailom na adresu<info@nvaccess.org>.

### Opravy

* Opravená bezpečnostná chyba, ktorá umožňovala v objektovej navigácii prejsť mimo zamknutú obrazovku v systémoch Windows 10 a 11. (#13328)
* Bezpečnostná záplata: V bezpečnom režime nie je viac možné spustiť správcu doplnkov. (#13059)
* Bezpečnostná záplata: V bezpečnom režime nie je viac možné spúšťať kontextovú nápovedu. (#13353)

## 2021.3.1

Táto verzia opravuje drobné chyby z verzie 2021.3.

### zmeny

* Ak je pripojený riadok s vlastným ovládačom, je preferovaný vlastný ovládač a nie nový HID štandard. (#13153)
* HID štandard je možné vypnúť v pokročilých nastaveniach. (#13180)

### opravy

* Oblasti stránky sú opäť oznamované aj na brailovom riadku (#13158
* Opravené nestabilné automatické detegovanie brailových riadkov Humanware Brailliant a APH Mantis Q40 pripojených cez Bluetooth. (#13153)

## 2021.3

Táto verzia prináša podporu pre brailové riadky podporujúce HID štandard.
Tento štandard má v budúcnosti zaručiť, že nebude potrebné mať pre každý riadok samostatný ovládač.
V tejto verzii je aktualizovaný hlasový výstup eSpeak-NG a brailová tabuľka LibLouis. LibLouis prináša nové tabuľky pre Ruštinu a Tshivenda.
V pokročilých nastaveniach pribudla možnosť prepínať zvukové hlásenie chýb zapísaných do logu. Teraz je možné takéto hlásenie zapnúť aj pre stabilné verzie NVDA.
Počas plynulého čítania v dokumente MS Word sa posúva aj zobrazenie, aby bolo možné sledovať pozíciu kurzora.
Táto verzia prináša tiež mnohé vylepšenia pre aplikácie MS Office s využitím technológie UIA.
Spomeňme, že vďaka tomu je napríklad v Outlooku možné ignorovať viac tabuliek formujúcich vzhľad.

Dôležité poznámky:

Z dôvodu aktualizácie nášho bezpečnostného certifikátu sa môže niektorým používateľom stať, že NVDA 2021.2 pri kontrole aktualizácií vypíše chybu.
Preto NVDA odteraz pravidelne žiada systém Windows o aktualizovanie certifikátov, čo v budúcnosti odstráni podobné problémy.
Používatelia, ktorí narazia na túto chybu, musia NVDA aktualizovať ručne.

### Nové vlastnosti

* Pridaná možnosť definovať skratku pre oznamovanie orámovania buniek tabuľky. (#10408)
* Pridaná podpora pre HID Štandard, ktorý umožňuje používať brailové riadky bez nutnosti mať samostatný ovládač pre každý riadok. (#12523)
  * Zariadenia, ktoré podporujú tento štandard, NVDA automaticky rozpozná.
  * Technickú špecifikáciu a spôsob inplementácie na strane NVDA je možné nájsť na https://github.com/nvaccess/nvda/blob/master/devDocs/hidBrailleTechnicalNotes.md (anglicky).
* Pridaná podpora pre brailový riadok VisioBraille Vario 4. (#12607)
* NVDA odteraz môže oznamovať chyby zapísané do logu aj v stabilných verziách. Nastavenie sa nachádza v pokročilých nastaveniach. (#12672)
* V systéme Windows od verzie 10 NVDA pri vyhľadávaní v ponuke štart a iných oknách (napríklad nastaveniach) oznamuje počet návrhov. (#7330, #12758, #12790)
* Odteraz je podporovaná navigácia v tabuľkách v mriežkovom zobrazení (prvok grid control vytvorený v PowerShell ako Out-GridView cmdlet). (#12928)

### Zmeny

* Hlasový výstup Espeak-ng aktualizovaný na verziu 1.51-dev commit `74068b91bcd578bd7030a7a6cde2085114b79b44`. (#12665)
* Ak nie sú v systéme onecore hlasy, ktoré dokážu hovoriť nastaveným jazykom NVDA, potom sa predvolene používa eSpeak. (#10451)
* Ak sa nedarí inicializovať Onecore hlasy, NVDA nastaví ako predvolený hlas eSpeak. (#11544)
* Pri čítaní stavového riadka príkazom `NVDA+end` sa odteraz nepresúva prehliadací kurzor na pozíciu stavového riadka.
Pokiaľ potrebujete presúvať kurzor na pozíciu stavového riadka, nastavte skratku v dialógu klávesové skratky, časť objektová navigácia. (#8600)
* Ak otvoríte dialóg s nastaveniami a súčasne je už takýto dialóg otvorený, NVDA viac nevypíše chybu, ale presunie fokus do otvoreného okna na príslušné miesto. (#5383)
* brailová prekladová tabuľka liblouis aktualizovaná na verziu [3.19.0](https://github.com/liblouis/liblouis/releases/tag/v3.19.0). (#12810)
  * Nové tabuľky: Ruština plnopis, Tshivenda skratkopis a plnopis.
* NVDA odteraz oznamuje označený text (aria atribút 'mark' alebo 'amark') ako vyznačený resp. vyzn na brailovom riadku. (#12892)
* NVDA viac nie je možné ukončiť, ak je otvorený nejaký dialóg NVDA. (#12984)

### Opravy

* Sledovanie stavu kláves ako ctrl a shift je robustnejšie aj v oknách, ktoré na chvíľu zamrznú. (#12609)
* Odteraz je možné skontrolovať aktualizácie NVDA aj na nových čistých inštaláciách systému Windows. (#12729)
* NVDA odteraz správne oznamuje prázdne bunky tabuľky v dokumentoch MS Word cez UIA (#11043)
* Ak stlačíte kláves ESC na webe v mriežke s dátami zobrazenej cez aria data grid, kláves je odoslaný do prehliadača a nevypína viac režim fokusu. (#12413)
* NVDA viac dvakrát neopakuje názov stĺpca pri čítaní hlavičky bunky tabuľky v prehliadači Chrome. (#10840)
* NVDA viac nečíta numerickú hodnotu posuvníkov v oknách prezentovaných cez UIA, ak je dostupný aj textový popis. (Preferujeme UIA ValuePattern pred RangeValuePattern) (#12724)
* NVDA viac nespracúva všetky UIA posuvníky v percentách.
* Oznamovanie pozície bunky v tabuľke MS Excel funguje správne pri použití UIA v systéme Windows 11. (#12782)
* Vylepšená synchronizácia jazyka NVDA a jazyka systému Windows. (#12753)
* Ak je zakázaný doplnok odinštalovaný a neskôr opätovne nainštalovaný, je aj automaticky povolený. (#12792)
* Opravené problémy, ktoré nastávali počas aktualizácie a odstraňovania doplnkov v súvislosti s premenovaním priečinkov prípadne otvorenými súbormi. (#12792, #12629)
* Ak sa na prezentovanie tabuľky MS Excel používa UIA, NVDA neopakuje vybratie jednej bunky. (#12530)
* NVDA dokáže identifikovať viac textu v dialógoch aplikácie LibreOffice Writer, napríklad v potvrdzovacích oknách. (#11687)
* Pri pohybe v dokumente MS Word v režime prehliadania s použitím UIA sa mení aj zobrazenie, takže je možné sledovať pozíciu kurzora. Súčasne s tým sa mení aj pozícia kurzora v režime fokusu. (#9611)
* Pri plynulom čítaní v dokumente MS Word sa automaticky posúva aj zobrazenie a poloha kurzora. (#9611)
* Pri čítaní správ v MS outlooku cez UIA NVDA dokáže rozpoznať a ignorovať viacej tabuliek formujúcich vzhľad. (#11430)
* Opravené problémy, ktoré nastávali pri zmene zvukového zariadenia. (#12620)
* Písanie v plnopise je odteraz presnejšie. (#12667)
* Pri prezeraní kalendára na panely úloh, NVDA oznamuje plným názvom deň v týždni. (#12757)
* Pri písaní pomocou čínskych metód vstupu, ako napríklad Taiwan - Microsoft Quick v MS Worde, posúvanie brailového riadka viac nespôsobí posunutie na pôvodnú pozíciu kurzora. (#12855)
* V dokumentoch MS Word je aj s použitím UIA odteraz možné pohybovať sa po vetách skratkami alt+šípka hore a alt+šípka dole. (#9254)
* V dokumentoch MS Word je aj s použitím UIA oznamované odsadenie odsekov. (#12899)
* V dokumentoch MS Word s použitím UIA je oznamované sledovanie zmien a iné lokalizované funkcie. (#12904)
* Odstránené opakované oznamovanie cez hlasový výstup a brailový riadok,  ak sa v režime prehliadania zhoduje názov, obsah a popis prvku. (#12888)
* V dokumentoch MS Word s použitím UIA sú zvukom presnejšie oznamované pravopisné chyby. (#12161)
* V systéme Windows 11 NVDA viac pri prechádzaní medzi oknami cez alt+tab neoznamuje "pane". (#12648)
* Moderné stromové zobrazenie komentárov v dokumentoch MS Word je možné prezerať aj s použitím NVDA v prípade, že je vypnutá podpora UIA. Medzi dokumentom a zobrazením komentárov sa prepínajte skratkou alt+f12. (#12982)

### Zmeny pre vývojárov (anglicky)

* Building NVDA now requires Visual Studio 2019 16.10.4 or later.
To match the production build environment, update Visual Studio to keep in sync with the [current version AppVeyor is using](https://www.appveyor.com/docs/windows-images-software/#visual-studio-2019). (#12728)
* `NVDAObjects.UIA.winConsoleUIA.WinConsoleUIA.isImprovedTextRangeAvailable` has been deprecated for removal in 2022.1. (#12660)
  * Instead use `apiLevel` (see the comments at `_UIAConstants.WinConsoleAPILevel` for details).
* Transparency of text background color sourced from GDI applications (via the display model), is now exposed for add-ons or appModules. (#12658)
* `LOCALE_SLANGUAGE`, `LOCALE_SLIST` and `LOCALE_SLANGDISPLAYNAME` are moved to the `LOCALE` enum in languageHandler.
They are still available at the module level but are deprecated and to be removed in NVDA 2022.1. (#12753)
* The usage of functions `addonHandler.loadState` and `addonHandler.saveState` should be replaced with their equivalents `addonHandler.state.save` and `addonHandler.state.load` before 2022.1. (#12792)
* Braille output can now be checked in system tests. (#12917)

## 2021.2

Prednosti tejto verzie zahŕňajú prvotnú podporu pre operačný systém Windows 11.
NVDA bolo testované s aktuálne dostupnými verziami Windows 11.
Táto verzia tiež zahŕňa opravu tienenia obrazovky (pozri dôležité poznámky).
Opravný nástroj COM aktuálne dokáže vyriešiť oveľa viac problémov.
Boli tiež aktualizované dáta hlasovej syntézy eSpeak a prekladovej tabuľky LibLouis.
Vylepšili sme podporu pre kalkulačku, okná terminálov, históriu schránky, panel s emotikonmi a brailové riadky.

### Dôležité poznámky

Keďže v najnovších verziách systému Windows došlo k úpravám v API na zväčšovanie, bolo potrebné v NVDA aktualizovať spôsob, akým sa zabezpečuje tienenie obrazovky.
Použite NVDA od verzie 2021.2 v kombinácii s Windows od verzie 10 21H2 (10.0.19044).
Toto zahŕňa aj verzie Windows 10 insider a Windows 11.
Z bezpečnostných dôvodov odporúčame, aby ste sa pri prvom použití tienenia obrazovky uistili vlastným zrakom, alebo prostredníctvom vidiacej osoby, či je obrazovka skutočne čierna.

### Nové vlastnosti

* Pridaná experimentálna podpora pre aria revízie:
  * Pridaná možnosť asociovať klávesovú skratku, ktorá prečíta aria podrobnosti zameraného prvku. (#12364)
  * V pokročilých nastaveniach pribudla možnosť zapnúť oznamovanie situácií, keď prvok obsahuje podrobnosti. (#12439)
* V systémoch Windows od verzie 10 1909 (vrátane Windows 11) NVDA oznamuje počet možných návrhov pri vyhľadávaní cez prieskumníka Windows. (#10341, #12628)
* NVDA odteraz v aplikácii MS Word oznamuje pridanie zarážky a opakovanej zarážky pri použití príslušnej klávesovej skratky. (#6269)

### Zmeny

* Rečová syntéza Espeak-ng aktualizovaná na verziu 1.51-dev commit `ab11439b18238b7a08b965d1d5a6ef31cbb05cbb`. (#12449, #12202, #12280, #12568)
* Ak je v nastaveniach čítania textu aktivované oznamovanie článkov, NVDA oznamuje "článok" až po vyslovení obsahu. (#11103)
* brailová prekladová tabuľka liblouis aktualizovaná na verziu [3.18.0](https://github.com/liblouis/liblouis/releases/tag/v3.18.0). (#12526)
  * Nové tabuľky: Maďarčina plnopis, Barmčina plnopis a skratkopis, Kazachčina plnopis, Khmérčina plnopis, Severná Kurdčina počítačový kód, severná sothčina plnopis a skratkopis, sothčina plnopis a skratkopis, Čwančina plnopis a skratkopis, Tatárčina plnopis, Vietnamčina počítačový kód a skratkopis, Južná Vietnamčina plnopis, xhoština plnopis a skratkopis, Jakutčina plnopis, zuluština plnopis a skratkopis.
* Rozpoznávanie textu Windows 10 bolo premenované na rozpoznávanie textu Windows. (#12690)

### Opravy

* Výrazy z kalkulačky Windows sa teraz zobrazujú aj na brailových riadkoch. (#12268)
* pri pridávaní alebo mazaní znakov uprostred riadka v konzolách Windows od verzie Windows 10 1607 NVDA viac nečíta znaky napravo od kurzora. (#3200)
  * Odteraz sa predvolene používa algoritmus Diff Match Patch. (#12485)
* Písanie v skratkopise cez klávesnicu brailových riadkov funguje správne aj s týmito tabuľkami: Arabčina, Španielčina, Urdčina, Čínština (Čínština a Mandarínčina). (#12541)
* Opravný nástroj COM odteraz dokáže vyriešiť omnoho viac problémov, hlavne na 64-bitových verziách systému Windows. (#12560)
* Vylepšené spracovanie príkazov zo zariadení Seika od Nippon Telesoft. (#12598)
* Vylepšené oznamovanie v panely emotikonov a histórii schránky Windows. (#11485)
* Aktualizované fonetické hláskovanie v Bengálčine. (#12502)
* Ak je spustený nový proces NVDA, pôvodný sa automaticky správne ukončí. (#12605)
* Opätovné vybratie ovládača brailového riadka Handy Tech v zozname riadkov viac nespôsobuje chyby. (#12618)
* Windows od verzie 10.0.22000 je už rozpoznávaný ako Windows 11. (#12626)
* Tienenie obrazovky bolo testované a opravené pre Windows 10.0.22000. (#12684)
* Ak filtrovanie v dialógu klávesové skratky nezobrazí žiadne výsledky, dialóg sa správa štandardne a nespôsobuje problémy. (#12673)
* Prvá položka podmenu je odteraz vždy správne oznamovaná. (#12624)

### Zmeny pre vývojárov (anglicky)

* `characterProcessing.SYMLVL_*` constants should be replaced using their equivalent `SymbolLevel.*` before 2022.1. (#11856, #12636)
* `controlTypes` has been split up into various submodules, symbols marked for deprecation must be replaced before 2022.1. (#12510)
  * `ROLE_*` and `STATE_*` constants should be replaced to their equivalent `Role.*` and `State.*`.
  * `roleLabels`, `stateLabels` and `negativeStateLabels` have been deprecated, usages such as `roleLabels[ROLE_*]` should be replaced to their equivalent `Role.*.displayString` or `State.*.negativeDisplayString`.
  * `processPositiveStates` and `processNegativeStates` have been deprecated for removal.
* On Windows 10 Version 1511 and later (including Insider Preview builds), the current Windows feature update release name is obtained from Windows Registry. (#12509)
* Deprecated: `winVersion.WIN10_RELEASE_NAME_TO_BUILDS` will be removed in 2022.1, there is no direct replacement. (#12544)

## 2021.1

Prednosti tejto verzie zahŕňajú voliteľnú experimentálnu podporu rozhrania UIA v aplikácii MS Excel a prehliadačoch postavených na jadre Chromium.
Takisto boli opravené niektoré preklady a pridaná možnosť aktivovať odkazy z brailových riadkov.
Tiež boli pridané nové matematické symboly, aktualizované tabuľky LibLouis a aktualizovaná databáza Unicode CLDR.
Spomeňme aj vylepšenú podporu pre MS Office a Visual studio.

Upozorňujeme:

 * Od tejto verzie nie sú podporované doplnky pre staršie verzie NVDA.
 * NVDA viac nepodporuje prvky Adobe Flash.

### Nové vlastnosti

* Prvotná podpora pre rozhranie UIA v prehliadačoch postavených na jadre Chromium (napríklad Edge). (#12025)
* Pridaná voliteľná experimentálna podpora pre sprístupnenie aplikácie MS Excel cez UI Automation. Funguje pre Microsoft Excel od zostavy 16.0.13522.10000 (#12210)
* Vylepšená navigácia vo výstupe z Python konzoly NVDA. (#9784)
  * alt+šípka hore alebo dole prechádza na predchádzajúci alebo nasledujúci výsledok výstupu. (pre výber použite shift).
  * ctrl+l vymaže záznam.
* NVDA odteraz v aplikácii MS Outlook oznamuje kategórie priradené k udalostiam, ak sú zadané. (#11598)
* Pridaná podpora pre zápisník a brailový riadok Seika od spoločnosti Nippon Telesoft. (#11514)

### zmeny

* V režime prehliadania je teraz možné z brailového riadka aktivovať prvky aj v prípade, že sa kurzor nachádza nie na názve, ale na type prvku (napríklad kurzor stojí na skratke odk pre odkaz). Toto je užitočné napríklad vtedy, ak chcete takto začiarknuť políčko, ktoré nemá popis. (#7447)
* NVDA odteraz upozorní, že nie je možné opticky rozpoznať text na obrazovke, ak je aktivované tienenie obrazovky. (#11911)
* Aktualizovaná databáza Unicode konzorcia (CLDR) na verziu 39.0. (#11943, #12314)
* Pridané nové matematické symboly. (#11467)
* Dokumentácia, zoznam skratiek a zoznam zmien majú vynovený vzhľad. (#12027)
* Ak nie je možné prepínať zachovanie vzhľadu ako na obrazovke, NVDA na túto skutočnosť upozorní. (#7297)
* Pokročilá Funkcia prerušiť reč po vypršaní zameranej udalosti je odteraz predvolene zapnutá. (#10885)
  * Stále je možné v pokročilých nastaveniach NVDA túto možnosť vypnúť.
  * Webové aplikácie (napríklad Gmail) takto už viac neoznamujú staré nepresné informácie pri rýchlej práci.
* brailová tabuľka liblouis aktualizovaná na verziu [3.17.0](https://github.com/liblouis/liblouis/releases/tag/v3.17.0). (#12137)
  * Nové brailové prekladové tabuľky: Bieloruský počítačový 8 bodový brail, Bieloruština plnopis, Urdčina plnopis a Urdčina skratkopis.
* Keďže spoločnosť Adobe viac nepokračuje vo vývoji Adobe Flash, NVDA takisto viac nepodporuje tieto prvky. (#11131)
* Ak sa pokúsite ukončiť NVDA a súčasne sú stále otvorené nejaké dialógi NVDA, tieto sa automaticky zatvoria a NVDA sa ukončí. (#1740)
* Zobrazovač reči je odteraz možné ukončiť klávesovou skratkou `alt+F4` a tiež je možné myšou aktivovať tlačidlo zatvoriť. (#12330)
* Zobrazovač braillu je možné ukončiť myšou aktivovaním tlačidla zatvoriť. (#12328)
* Zo zoznamu prvkov bola odstránená klávesová skratka na aktivovanie tlačidla Aktivovať, keďže v niektorých jazykoch skratka kolidovala s prepínačom prvkov. Tlačidlo Aktivovať je stále predvoleným tlačidlom, preto je ho možné aktivovať stlačením klávesu enter kdekoľvek v zozname prvkov. (#6167)

### opravy

* Opäť je možné čítať zoznam správ v aplikácii MS Outlook 2010. (#12241)
* Pri práci v terminálových oknách v systéme Windows 10 od verzie 1607, NVDA viac po vložení alebo zmazaní znakov uprostred riadka nečíta znaky za systémovým kurzorom. (#3200)
  * Túto opravu je potrebné ručne aktivovať v pokročilých nastaveniach NVDA, nastavením Algoritmu počítania rozdielov na Diff Match Patch.
* NVDA viac v aplikácii MS Outlook neoznamuje vzdialenosť, ak prejdete skratkou shift+tab z tela správy na predmet. (#10254)
* V python konzole pridaná možnosť vložiť odsadenie na riadku, ktorý nie je prázdny. (#11532)
* Ak je vypnutá možnosť zachovať vzhľad ako na obrazovke a zobrazíte si v režime prehliadania napríklad informácie o formátovaní, NVDA viac nezobrazuje zbytočné prázdne riadky. (#12004)
* Odteraz je možné v aplikácii MS Word čítať komentáre, ak je povolený prístup cez UIA. (#9285)
* Zrýchlená odozva v aplikácii Visual Studio. (#12171)
* Opravené nesprávne zobrazenie grafických prvkov NVDA pri rozložení zprava doľava. (#8859)
* NVDA odteraz rešpektuje rozloženie nastavené podľa systému a nie podľa jazyka NVDA. (#638)
  * Stále je známi problém, že pri zobrazení zprava doľava sa pravá hranica skupín prvkov spája s popismi alebo prvkami. (#12181)
* Lokalizácia Python je nastavená na rovnakú hodnotu ako jazyk NVDA a použije sa v prípadoch, keď sa vyžaduje informácia o predvolenom jazyku. (#12214)
* TextInfo.getTextInChunks viac nezamrzne pri vyvolaný v editačných poliach, napríklad v zobrazovači logu. (#11613)
* Opäť je možné používať NVDA v jazykoch, ktoré majú v názve podčiarkovník ako napríklad de_CH v systémoch Windows 10 1803 a 1809. (#12250)
* V aplikácii Wordpad správne funguje oznamovanie indexov. (#12262)
* NVDA správne oznamuje obsah vo webových dokumentoch, ak sa stratí zameranie a je nahradené novým fokusom na tom istom mieste. (#12147)
* Prečiarknutie, horný a dolný index pre celé bunky v aplikácii MS excel sú správne oznamované, ak je táto možnosť zapnutá. (#12264)
* Opravené kopírovanie priečinka s používateľskými nastaveniami NVDA pri inštalácii z prenosnej verzie, ak je cieľový priečinok prázdny. (#12071, #12205)
* Opravené nesprávne oznamovanie veľkých písmen s prízvukom alebo diakritikou pri zapnutom slovnom oznamovaní veľkých písmen. (#11948)
* Opravené oznamovanie veľkých písmen zmenou výšky hlasu pri syntézach reči používajúcich rozhranie Sapi4. (#12311)
* Inštalátor NVDA rešpektuje parameter príkazového riadka `--minimal`, takže neprehráva úvodný zvuk, rovnako ako prenosná alebo inštalovaná kópia NVDA. (#12289)
* V aplikáciách MS Word alebo Outlook funguje rýchla navigácia po tabuľkách formujúcich vzhľad, ak je zapnutá možnosť Zahrnúť tabuľky formujúce vzhľad v nastaveniach režimu prehliadania. (#11899)
* NVDA viac pri emotikonoch v niektorých jazykoch neoznamuje "↑↑↑". (#11963)
* Espeak opäť podporuje Kantonský a Mandarínsky jazyk. (#10418)
* V aplikácii MS Edge postavenej na jadre Chromium NVDA oznamuje textové prvky, napríklad adresný riadok, ak sú prázdne. (#12474)
* Opravený ovládač pre brailový riadok Seika. (#10787)

### Zmeny pre vývojárov (anglicky)

* Note: this is an Add-on API compatibility breaking release. Add-ons will need to be re-tested and have their manifest updated.
* NVDA's build system now fetches all Python dependencies with pip and stores them in a Python virtual environment. This is all done transparently.
  * To build NVDA, SCons should continue to be used in the usual way. E.g. executing scons.bat in the root of the repository. Running `py -m SCons` is no longer supported, and `scons.py` has also been removed.
  * To run NVDA from source, rather than executing `source/nvda.pyw` directly, the developer should now use `runnvda.bat` in the root of the repository. If you do try to execute `source/nvda.pyw`, a message box will alert you this is no longer supported.
  * To perform unit tests, execute `rununittests.bat [&lt;extra unittest discover options&gt;]`
  * To perform system tests: execute `runsystemtests.bat [&lt;extra robot options&gt;]`
  * To perform linting, execute `runlint.bat &lt;base branch&gt;`
  * Please refer to readme.md for more details.
* The following Python dependencies have also been upgraded:
  * comtypes updated to 1.1.8.
  * pySerial updated to 3.5.
  * wxPython updated to 4.1.1.
  * Py2exe updated to 0.10.1.0.
* `LiveText._getTextLines` has been removed. (#11639)
  * Instead, override `_getText` which returns a string of all text in the object.
* `LiveText` objects can now calculate diffs by character. (#11639)
  * To alter the diff behaviour for some object, override the `diffAlgo` property (see the docstring for details).
* When defining a script with the script decorator, the 'allowInSleepMode' boolean argument can be specified to control if a script is available in sleep mode or not. (#11979)
* The following functions are removed from the config module. (#11935)
  * canStartOnSecureScreens - use config.isInstalledCopy instead.
  * hasUiAccess and execElevated - use them from the systemUtils module.
  * getConfigDirs - use globalVars.appArgs.configPath instead.
* Module level REASON_* constants are removed from controlTypes - please use controlTypes.OutputReason instead. (#11969)
* REASON_QUICKNAV has been removed from browseMode - use controlTypes.OutputReason.QUICKNAV instead. (#11969)
* `NVDAObject` (and derivatives) property `isCurrent` now strictly returns Enum class `controlTypes.IsCurrent`. (#11782)
  * `isCurrent` is no longer Optional, and thus will not return None.
    * When an object is not current `controlTypes.IsCurrent.NO` is returned.
* The `controlTypes.isCurrentLabels` mapping has been removed. (#11782)
  * Instead use the `displayString` property on a `controlTypes.IsCurrent` enum value.
    * For example: `controlTypes.IsCurrent.YES.displayString`.
* `winKernel.GetTimeFormat` has been removed - use `winKernel.GetTimeFormatEx` instead. (#12139)
* `winKernel.GetDateFormat` has been removed - use `winKernel.GetDateFormatEx` instead. (#12139)
* `gui.DriverSettingsMixin` has been removed - use `gui.AutoSettingsMixin`. (#12144)
* `speech.getSpeechForSpelling` has been removed - use `speech.getSpellingSpeech`. (#12145)
* Commands cannot be directly imported from speech as `import speech; speech.ExampleCommand()` or `import speech.manager; speech.manager.ExampleCommand()` - use `from speech.commands import ExampleCommand` instead. (#12126)
* `speakTextInfo` will no longer send speech through `speakWithoutPauses` if reason is `SAYALL`, as `SayAllHandler` does this manually now. (#12150)
* The `synthDriverHandler` module is no longer star imported into `globalCommands` and `gui.settingsDialogs` - use `from synthDriverHandler import synthFunctionExample` instead. (#12172)
* `ROLE_EQUATION` has been removed from controlTypes - use `ROLE_MATH` instead. (#12164)
* `autoSettingsUtils.driverSetting` classes are removed from `driverHandler` - please use them from `autoSettingsUtils.driverSetting`. (#12168)
* `autoSettingsUtils.utils` classes are removed from `driverHandler` - please use them from `autoSettingsUtils.utils`. (#12168)
* Support of `TextInfo`s that do not inherit from `contentRecog.BaseContentRecogTextInfo` is removed. (#12157)
* `speech.speakWithoutPauses` has been removed - please use `speech.speechWithoutPauses.SpeechWithoutPauses(speakFunc=speech.speak).speakWithoutPauses` instead. (#12195, #12251)
* `speech.re_last_pause` has been removed - please use `speech.speechWithoutPauses.SpeechWithoutPauses.re_last_pause` instead. (#12195, #12251)
* `WelcomeDialog`, `LauncherDialog` and `AskAllowUsageStatsDialog` are moved to the `gui.startupDialogs`. (#12105)
* `getDocFilePath` has been moved from `gui` to the `documentationUtils` module. (#12105)
* The gui.accPropServer module as well as the AccPropertyOverride and ListCtrlAccPropServer classes from the gui.nvdaControls module have been removed in favor of WX native support for overriding accessibility properties. When enhancing accessibility of WX controls, implement wx.Accessible instead. (#12215)
* Files in `source/comInterfaces/` are now more easily consumable by developer tools such as IDEs. (#12201)
* Convenience methods and types have been added to the winVersion module for getting and comparing Windows versions. (#11909)
  * isWin10 function found in winVersion module has been removed.
  * class winVersion.WinVersion is a comparable and order-able type encapsulating Windows version information.
  * Function winVersion.getWinVer has been added to get a winVersion.WinVersion representing the currently running OS.
  * Convenience constants have been added for known Windows releases, see winVersion.WIN* constants.
* IAccessibleHandler no longer star imports everything from IAccessible and IA2 COM interfaces - please use them directly. (#12232)
* TextInfo objects now have start and end properties which can be compared mathematically with operators such as &lt; &lt;= == != &gt;= &gt;. (#11613)
  * E.g. ti1.start &lt;= ti2.end
  * This usage is now prefered instead of ti1.compareEndPoints(ti2,"startToEnd") &lt;= 0
* TextInfo start and end properties can also be set to each other. (#11613)
  * E.g. ti1.start = ti2.end
  * This usage is prefered instead of ti1.SetEndPoint(ti2,"startToEnd")
* `wx.CENTRE_ON_SCREEN` and `wx.CENTER_ON_SCREEN` are removed, use `self.CentreOnScreen()` instead. (#12309)
* `easeOfAccess.isSupported` has been removed, NVDA only supports versions of Windows where this evaluates to `True`. (#12222)
* `sayAllHandler` has been moved to `speech.sayAll`. (#12251)
  * `speech.sayAll.SayAllHandler` exposes the functions `stop`, `isRunning`, `readObjects`, `readText`, `lastSayAllMode`.
  * `SayAllHandler.stop` also resets the `SayAllHandler` `SpeechWithoutPauses` instance.
  * `CURSOR_REVIEW` and `CURSOR_CARET` has been replaced with `CURSOR.REVIEW` and `CURSOR.CARET`.
* `speech.SpeechWithoutPauses` has been moved to `speech.speechWithoutPauses.SpeechWithoutPauses`. (#12251)
* `speech.curWordChars` has been renamed `speech._curWordChars`. (#12395)
* the following have been removed from `speech` and can be accessed through `speech.getState()`. These are readonly values now. (#12395)
  * speechMode
  * speechMode_beeps_ms
  * beenCanceled
  * isPaused
* to update `speech.speechMode` use `speech.setSpeechMode`. (#12395)
* the following have been moved to `speech.SpeechMode`. (#12395)
  * `speech.speechMode_off` becomes `speech.SpeechMode.off`
  * `speech.speechMode_beeps` becomes `speech.SpeechMode.beeps`
  * `speech.speechMode_talk` becomes `speech.SpeechMode.talk`
* `IAccessibleHandler.IAccessibleObjectIdentifierType` is now `IAccessibleHandler.types.IAccessibleObjectIdentifierType`. (#12367)
* The following in `NVDAObjects.UIA.WinConsoleUIA` have been changed (#12094)
  * `NVDAObjects.UIA.winConsoleUIA.is21H1Plus` renamed `NVDAObjects.UIA.winConsoleUIA.isImprovedTextRangeAvailable`.
  * `NVDAObjects.UIA.winConsoleUIA.consoleUIATextInfo` renamed to start class name with upper case.
  * `NVDAObjects.UIA.winConsoleUIA.consoleUIATextInfoPre21H1` renamed `NVDAObjects.UIA.winConsoleUIA.ConsoleUIATextInfoWorkaroundEndInclusive`
    * The implementation works around both end points being inclusive (in text ranges) before [microsoft/terminal PR 4018](https://github.com/microsoft/terminal/pull/4018)
    * Workarounds for `expand`, `collapse`, `compareEndPoints`, `setEndPoint`, etc

## 2020.4

Pridaná podpora pre nové Čínske metódy vstupu, aktualizovanú prekladovú tabuľku Liblouis a pridanú možnosť aktivovať zoznam prvkov (NVDA+F7) v režime fokusu.
V dialógoch NVDA je možné získať pomoc k funkciám po stlačení skratky F1.
Vylepšené čítanie symbolov, úpravy v slovníkoch reči, zobrazovanie správ na brailovom riadku a rýchla navigácia počas plynulého čítania.
Vylepšená podpora pre Poštu, Outlook, Teams, Visual Studio, Azure Data Studio, Foobar2000.
Vylepšenia pre Google dokumenty a podporu ARIA.
A mnohé ďalšie opravy a vylepšenia.

### Nové vlastnosti

* V dialógoch NVDA je odteraz možné Skratkou F1 otvoriť pomocníka, pričom kurzor bude nastavený do príslušnej sekcie. (#7757)
* Pridaná podpora pre automatické dokončovanie (známe aj ako (IntelliSense) v aplikáciách Microsoft SQL Server Management Studio plus Visual Studio od verzie 2017 (#7504)
* Pri tvorbe symbolov je teraz možné definovať komplexné symboli s využívaním pamäte (napríklad \\1 \\2) (#11107)
* NVDA odteraz upozorní, ak sa pokúsite uložiť v rečovom slovníku zadanie, ktoré obsahuje chybu. (#11407)
  * Konkrétne je teraz oznamované aj hlásenie chýb súvisiacich s pamäťou.
* Pridaná podpora pre Čínske metódy vstupu Pinyin a Quick dostupné v systéme Windows 10. (#11562)
* Záložky sú odteraz považované za prvky formulára a preto je možné presunúť sa na ne aj pomocou rýchlej navigácie skratkou F. (#10432)
* Odteraz je možné definovať skratku na zapnutie a vypnutie oznamovania označeného textu. Predvolene nie je definovaná žiadna skratka. (#11807)
* Pri inštalácii NVDA je možné z príkazového riadka parametrom --copy-portable-config určiť cestu prenosnej verzie, z ktorej sa nastavenia presunú do inštalovanej verzie NVDA. (#9676)
* V zobrazovači Braillu je možné testovať aj funkciu presunúť na znak. Na znak je potrebné presunúť kurzor myši. (#11804)
* Pridaná podpora pre riadky Humanware Brailliant BI 40X a 20X pripojené cez USB a Bluetooth. (#11819)

### Zmeny

* Prekladová tabuľka liblouis aktualizovaná na verziu 3.16.1:
 * Opravené viaceré pády
 * Pridaná prekladová tabuľka baškirčina plnopis
 * Pridaný Koptský počítačový 8 bodový brail
 * Aktualizované tabuľky pre Ruský plnopis
 * Pridaná tabuľka Afrikánčina skratkopis
 * Odstránená pôvodná tabuľka Ruština plnopis
* Ak je v režime prehliadania aktivované plynulé čítanie, funkcie na vyhľadanie predchádzajúceho a nasledujúceho výskytu hľadaného reťazca neprerušia plynulé čítanie. (#11563)
* Na brailových riadkoch Hims bola zmenená kombinácia bodov pre simuláciu klávesu f3, nová kombinácia je medzera plus body 148. (#11710)
* Upravené nastavenie pre zobrazovanie správ na brailovom riadku. (#11602)
* Vo webových prehliadačoch a aplikáciách, v ktorých je možné použiť režim prehliadania funguje skratka NVDA+F7 na vyvolanie zoznamu prvkov aj vtedy, ak je aktivovaný režim fokusu. (#10453)
* Ak je vypnuté oznamovanie dynamicky meneného obsahu, NVDA neoznamuje ani zmeny odosielané cez ARIA live regions. (#9077)
* NVDA pred textom skopírovaným do schránky oznámi aj správu skopírované do schránky. (#6757)
* Vylepšená práca v grafickom zobrazení v správe diskov. (#10048)
* V dialógoch NVDA sú sivou farbou označené a naozaj aj vypnuté prvky, ktoré sú nedostupné. (#11809)
* Tabuľka CLDR emoji aktualizovaná na verziu 38. (#11817)
* Zvýraznenie fokusu bolo premenované na zvýraznenie na obrazovke. (#11700)

### Opravy

* NVDA opäť správne pracuje v editačných poliach aplikácie Fast Log Entry. (#8996)
* Opravené oznamovanie času v aplikácii Foobar 2000 aj v prípadoch, ak nevieme zistiť zostávajúci čas (napríklad pri prehrávaní živého vysielania). (#11337)
* NVDA odteraz zvažuje atribút aria-roledescription v prvkoch s editovateľným obsahom. (#11607)
* NVDA viac neoznamuje zoznam pri každej položke zoznamu v Google dokumentoch resp. v editovateľných prvkoch v prehliadači Google Chrome. (#7562)
* Ak sa pri navigácii po znakoch alebo slovách dostanete z jedného zoznamu do druhého v editovateľných prvkoch v prehliadači Google Chrome, NVDA prechod medzi zoznamami oznámi. (#11569)
* NVDA oznamuje správny riadok, ak presuniete kurzor na posledný znak odkazu v zozname v editovateľnom prvku v prehliadači Google chrome. (#11606)
* V systéme Windows 7 sa po otvorení a zatvorení ponuky štart z pracovnej plochy správne vráti fokus na pôvodné miesto. (#10567)
* Ak je zapnuté "Prerušiť reč po vypršaní zameranej udalosti", potom NVDA oznamuje názov záložiek pri prepínaní záložiek v prehliadači *Mozilla Firefox. (#11397)
* NVDA opäť správne oznamuje položku v zozname, po napísaní textu do zoznamu a súčasnom používaní Sapi5 hlasov Ivona. (#11651)
* Opäť je možné používať režim prehliadania pri čítaní správ v aplikácii pošta od verzie 16005.13110. (#11439)
* Ak používate Sapi5 hlasový výstup Ivona od harposoftware.com, NVDA viac nemá problém uložiť nastavenia, zmeniť hlasový výstup a po reštarte neostáva ticho. (#11650)
* Na brailových riadkoch Hims je opäť možné v počítačovom kóde zadať číslicu 6. (#11710)
* Zrýchlená odozva v Azure Data Studio. (#11533, #11715)
* Ak je zapnuté "prerušiť reč po vypršaní zameranej udalosti", NVDA stále správne oznamuje názov okna hľadania. (#11632)
* NVDA viac nezamrzne po prebudení systému z režimu spánku, ak bol fokus v okne MS Edge. (#11576)
* Odteraz nie je potrebné po opustení kontextovej ponuky v MS Edge stlačiť kláves tab, prípadne inak zmeniť fokus, aby opäť fungoval režim prehliadania. (#11202)
* NVDA dokáže odteraz čítať položky v zoznamoch v 64-bitových aplikáciách, ako napríklad Tortoise SVN. (#8175)
* Prvok ARIA treegrids je spracovaný a prezentovaný ako tabuľka v režime prehliadania v prehliadačoch Firefox aj Chrome. (#9715)
* Skratkou NVDA+shift+F3 je možné odteraz hľadať nahor. (#11770)
* NVDA skripty sa odteraz nespracúvajú ako opakované, ak medzi nimi stlačíte iný kláves. (#11388)
* Ak vypnete oznamovanie zvýraznenia, NVDA toto rešpektuje aj v prehliadači Internet explorer. (#11808)
* NVDA viac nemrzne pri pohybe medzi bunkami v MS Excely. (#11818)
* NVDA správne číta správy v aplikácii Microsoft Teams v zostavách od verzie 1.3.00.28xxx, opravený problém spôsobený nesprávnym fokusom v menu. (#11821)
* Ak je text označený ako pravopisná a súčasne gramatická chyba v prehliadači Chrome, aj NVDA ho označí ako gramatickú a pravopisnú chybu. (#11787)
* Ak používate Outlook vo Francúzštine, opäť funguje skratka odpovedať všetkým ctrl+shift+r. (#11196)
* V aplikácii Visual Studio sú správy IntelliSense oznamované vždy len raz. (#11611)
* Ak používate Kalkulačku v systéme Windows 10 a súčasne máte vypnuté oznamovanie napísaných znakov, potom NVDA neoznamuje ani priebeh výpočtu. (#9428)
* NVDA viac nespadne, ak máte nastavenú brailovú tabuľku Angličtina skratkopis, prepnete na počítačový kód a súčasne máte kurzor na konkrétnom obsahu, napríklad na url adrese. (#11754)
* Opäť funguje Oznamovanie formátovania bunky v tabuľkách excelu skratkou NVDA+f. (#11914)
* Písanie na QWERTY klávesnici brailových riadkov Papenmeier funguje správne a nespôsobuje mrznutie NVDA. (#11944)
* Vo webových prehliadačoch založených na jadre chromium bolo opravených niekoľko prípadov nefunkčnej navigácie v tabuľkách, kde NVDA neoznamoval ani počet riadkov / stĺpcov tabuľky. (#12359)

### Zmeny pre vývojárov (anglicky)

* System tests can now send keys using spy.emulateKeyPress, which takes a key identifier that conforms to NVDA's own key names, and by default also blocks until the action is executed. (#11581)
* NVDA no longer requires the current directory to be the NVDA application directory in order to function. (#6491)
* The aria live politeness setting for live regions can now be found on NVDA Objects using the liveRegionPoliteness property. (#11596)
* It is now possible to define separate gestures for Outlook and Word document. (#11196)

## 2020.3

Prednosti tejto verzie zahŕňajú zrýchlenie odozvy v aplikáciách Microsoft Office. Tiež boli pridané možnosti zapnúť a vypnúť oznamovanie grafiky a zapnúť a vypnúť dotykové gestá.
Pridali sme tiež nové nemecké brailové tabuľky a oznamovanie označeného textu vo webových prehliadačoch.

### nové vlastnosti

* V nastaveniach čítania textu je odteraz možné zapnúť a vypnúť oznamovanie grafiky. NVDA bude naďalej v oboch prípadoch oznamovať alternatívny text. (#4837)
* V nastaveniach dotykovej obrazovky je možné zapnúť a vypnúť podporu pre dotykové gestá. Nastavenie je možné meniť aj skratkou NVDA+ctrl+alt+t. (#9682)
* Pridané nové brailové tabuľky pre Nemčinu. (#11268)
* NVDA odteraz správne rozpoznáva UIA prvky, ktoré majú atribút len na čítanie. (#10494)
* NVDA odteraz dokáže upozorniť na text, ktorý tvorcovia stránky vyznačili. Funguje to vo všetkých webových prehliadačoch. (#11436)
 * Oznamovanie je možné zapnúť a vypnúť v nastaveniach čítania textu.
* V dialógu klávesové skratky je možné pridávať emulované klávesové skratky. (#6060)
  * Ak chcete pridať skratku, vyberte vetvu emulované klávesy a aktivujte tlačidlo pridať.
* Pridaná podpora pre joystick v brailových riadkoch Handy Tech. (#11655)
* Nastavenie "Automaticky  aktivovať režim fokusu pri pohybe kurzorom" funguje správne v kombinácii s vypnutým nastavením "automaticky presúvať fokus na zamerané prvky". (#11663)

### Zmeny

* Skratka NVDA+F odteraz oznamuje vždy formátovanie na pozícii systémového kurzora. Ak potrebujete zistiť formátovanie textu pod prezeracím kurzorom, použite novú skratku NVDA+shift+f. (#9505)
* NVDA odteraz automaticky nezameriava prvky, ktoré je možné zamerať. Toto zrýchľuje odozvu a nastavenie je možné v prípade potreby zmeniť. (#11190)
* Tabuľka CLDR aktualizovaná z verzie 36.1 na verziu  37. (#11303)
* Hlasový výstup eSpeak-NG aktualizovaný na verziu  1.51-dev, commit 1fb68ffffea4
* V zoznamoch so začiarkávacími poliami odteraz správne fungujú príkazy na navigáciu po tabuľkách. (#8857)
* V dialógu pri odstraňovaní doplnku je teraz predvolená možnosť nie. (#10015)
* V aplikácii MS Excel sú v zozname prvkov oznamované vzorce v správnom jazyku. (#9144)
* NVDA odteraz pri oznamovaní poznámok v MS Excely používa správnu terminológiu. (#11311)
* Pri presunutí prezeracieho kurzora na fokus sa kurzor presunie na správne miesto kde je virtuálny systémový kurzor. (#9622)
* Informácie, ktoré sa zobrazujú v režime prehliadania, ako napríklad informácia o formátovaní, sú zobrazené vo väčšom a vycentrovanom okne. (#9910)

### opravy

* Ak pri navigácii po slovách narazíte na symbol nasledovaný bielym znakom, NVDA tento symbol oznámy bez ohľadu na úroveň interpunkcie. (#5133)
* NVDA opäť oznamuje popisky objektov v aplikáciách využívajúcich QT od verzie 5.11. (#8604)
* Pri odstránení slova skratkou ctrl+delete NVDA nie je viac ticho. (#3298, #11029)
  * Odteraz oznamuje nasledujúce slovo od práve zmazaného slova.
* Vo všeobecných nastaveniach je odteraz správne zoradený zoznam jazykov. (#10348)
* Zrýchlená odozva pri filtrovaní v dialógu klávesové skratky. (#10307)
* Z brailových riadkov je odteraz možné odosielať aj znaky pod hranicou unicode U+FFFF. (#10796)
* NVDA oznamuje prvky v dialógu Otvoriť v programe v májovej aktualizácii Windows 10. (#11335)
* V časti pokročilé nastavenia pribudla možnosť Sledovať zmeny a udalosti UI Automation len pre zamerané prvky. Jej zapnutie môže zrýchlyť prácu v Microsoft Visual Studio a iných UIAutomation aplikáciách. (#11077, #11209)
* Pri položkách, ktoré je možné začiarknuť a odčiarknuť, viac NVDA neoznamuje opakovane vybraté alebo nevybraté. Ak je to potrebné, oznamuje stav nevybraté. (#8554)
* Od Májovej aktualizácie Windows 10 NVDA opäť medzi zvukovými zariadeniami v nastaveniach hlasového výstupu zobrazuje Microsoft soundmapper. (#11349)
* NVDA správne oznamuje čísla v číslovaných zoznamoch v aplikácii Internet Explorer aj v prípadoch, že prvé číslo zoznamu nie je 1. (#8438)
* V aplikácii Google Chrome oznamuje NVDA nezačiarknutý stav nie len pre zoznamy, ale pre všetky prvky, ktoré nie sú začiarknuté. (#11377)
* Opravená navigácia, ktorá nefungovala, ak bol jazyk NVDA nastavený na Aragónčinu. (#11384)
* NVDA viac nezamrzne pri rýchlom posúvaní alebo písaní v dokumentoch MS Word, ak je aktívne zobrazenie na brailovom riadku. (#11384)
* NVDA viac nevkladá medzeru na koniec textu  pri kopírovaní obsahu navigačného objektu do schránky. (#11438)
* NVDA viac neaktivuje profil plynulé čítanie, ak neexistuje žiadny text na prečítanie. (#10899, #9947)
* NVDA opäť dokáže čítať zoznam vlastností v aplikácii Internet Information Services (IIS). (#11468)
* NVDA odteraz necháva na dlhší čas otvorené audio zariadenie, čo zrýchľuje odozvu pri niektorých zvukových kartách. (#5172, #10721)
* NVDA viac nezamrzne a nespadne pri dlhšom podržaní skratky ctrl+shift+šípka dole v aplikácii MS Word. (#9463)
* Odteraz je vždy oznamované Rozbalenie a zbalenie priečinkov v Google Drive. (#11520)
* NVDA odteraz dokáže automaticky nájsť brailový riadok NLS eReader Humanware  cez Bluetooth, keďže názov zariadenia je teraz  "NLS eReader Humanware". (#11561)
* Drobné úpravy pre Visual Studio. (#11533)

### Zmeny pre vývojárov (anglicky)

* The GUI Helper's BoxSizerHelper.addDialogDismissButtons supports a new "separated" keyword argument, for adding a standard horizontal separator to dialogs (other than messages and single input dialogs). (#6468)
* Additional properties were added to app modules, including path for the executable (appPath), is a Windows Store app (isWindowsStoreApp), and machine architecture for the app (appArchitecture). (#7894)
* It is now possible to create app modules for apps hosted inside wwahost.exe on Windows 8 and later. (#4569)
* A fragment of the log can now be delimited and then copied to clipboard using NVDA+control+shift+F1. (#9280)
* NVDA-specific objects that are found by Python's cyclic garbage collector are now logged when being deleted by the collector to aide in removing reference cycles from NVDA. (#11499)
 * The majority of NVDA's classes are tracked including NVDAObjects, appModules, GlobalPlugins, SynthDrivers, and TreeInterceptors.
 * A class that needs to be tracked should inherit from garbageHandler.TrackedObject.
* Significant debug logging for MSAA events can be now enabled in NVDA's Advanced settings. (#11521)
* MSAA winEvents for the currently focused object are no longer filtered out along with other events if the event count for a given thread is exceeded. (#11520)

## 2020.2

Prednosti tejto verzie zahŕňajú podporu brailových riadkov od spoločnosti Nattiq, vylepšenú podporu pre produkty spoločnosti Eset, vylepšenia pri práci s terminálmi v systéme Windows, vylepšenia stability pri práci s aplikáciou 1Password, vylepšenia pre používateľov hlasov Windows Onecore.

### Nové vlastnosti

* Pridaná podpora pre nové brailové riadky:
  * Nattiq nBraille (#10778)
* Pridaná možnosť definovať klávesovú skratku, ktorá otvorí priečinok s nastaveniami NVDA. Predvolene nie je definovaná žiadna skratka. (#2214)
* Vylepšená podpora rozhrania v aplikáciách Eset. (#10894)
* Pridaná podpora pre Windows Terminál. (#10305)
* Odteraz je možné definovať klávesovú skratku, ktorá oznámi názov aktívneho profilu. Predvolene skratka nie je definovaná. (#9325)
* Odteraz je možné klávesovou skratkou zapínať a vypínať oznamovanie indexov. Skratky je potrebné nastaviť v dialógu klávesové skratky. (#10985)
* Webové aplikácie (napríklad gmail) nehlásia zastaralé informácie pri rýchlom prechádzaní. (#10885)
  * Toto je zatiaľ potrebné zapnúť v pokročilých nastaveniach, nastavenie prerušiť reč po vypršaní zameranej udalosti.
* Pridané nové symboly, ktoré NVDA dokáže rozpoznať. (#11105)

### zmeny

* Aktualizovaná prekladová tabuľka liblouis z verzie  3.12 na  [3.14.0](https://github.com/liblouis/liblouis/releases/tag/v3.14.0). (#10832, #11221)
* Oznamovanie indexov bolo oddelené od oznamovania iných atribútov písma. (#10919)
* NVDA viac predvolene nevypína režim prehliadania v aplikácii VS Code. (#10888)
* NVDA viac neoznamuje "vrch" a "spodok", ak použijete skratky, ktoré presúvajú prezerací kurzor na prvý resp. posledný riadok objektu. (#9551)
* Rovnako NVDA neohlasuje "vľavo" a "vpravo" ak presúvate prezerací kurzor na prvý alebo posledný znak riadka. (#9551)

### Opravy

* Odteraz sa NVDA dokáže spustiť aj v prípade, že nie je možné vytvoriť log. (#6330)
* NVDA v aktuálnych vydaniach MS Word 365 po stlačení skratky ctrl+backspace neoznamuje hlásenie "zmazať slovo". (#10851)
* NVDA opäť hlási stav náhodného prehrávania a opakovania v prehrávači Winamp. (#10945)
* NVDA odteraz rýchlo reaguje pri pohybe v zoznamoch aplikácie 1Password. (#10508)
* Hlasy Windows one core majú rýchlejšiu odozvu a nerobia zbytočné pauzy. (#10721)
* NVDA viac nezamrzne pri otvorení kontextovej ponuky aplikácie 1Password zo systémového panela. (#11017)
* Pre MS Office do verzie 2013:
  * Ribbon ponuky sú oznamované pri prvom zameraní. (#4207)
  * Opravené oznamovanie v kontextových ponukách. (#9252)
  * Opäť sú správne oznamované sekcie v ribbon ponukách pri navigácii skratkami ctrl+šípky. (#7067)
* V prehliadačoch Mozilla Firefox a Google chrome sa viac v režime prehliadania neobjavuje  text rozseknutý  na novom riadku, ak je použitý css atribút  display: inline-flex. (#11075)
* Ak je vypnuté automatické aktivovanie režimu fokusu pri zmene fokusu, je odteraz možné aktivovať aj prvky, ktoré nie je možné zamerať.
* Ak je vypnuté automatické aktivovanie režimu fokusu pri zmene fokusu, je opäť možné  aktivovať prvky zamerané klávesom tab. (#8528)
* Ak je vypnuté automatické aktivovanie režimu fokusu pri zmene fokusu, NVDA vždy aktivuje správny prvok. (#9886)
* NVDA neprehráva zvuk chyby pri práci s prvkami DevExpress text. (#10918)
* NVDA neoznamuje dvakrát ikony zo systémového panela, ak je text a ikona rovnaká. (#6656)
* Ak je vypnuté automatické aktivovanie režimu fokusu pri zmene fokusu, po stlačení NVDA+medzera je zameraný prvok, na ktorom je systémový kurzor. (#11206)
* Opäť je možné kontrolovať aktualizácie NVDA na všetkých, aj čistých inštaláciách Windows. (#11253)
* Ak sa pri používaní Java aplikácie zmení výber v prvku, ktorý nie je zameraný (zoznam, strom alebo tabuľka), NVDA náhodne nepresúva fokus. (#5989)

### Zmeny pre vývojárov (anglicky)

* execElevated and hasUiAccess have moved from config module to systemUtils module. Usage via config module is deprecated. (#10493)
* Updated configobj to 5.1.0dev commit f9a265c4. (#10939)
* Automated testing of NVDA with Chrome and a HTML sample is now possible. (#10553)
* IAccessibleHandler has been converted into a package, OrderedWinEventLimiter has been extracted to a module and unit tests added (#10934)
* Updated BrlApi to version 0.8 (BRLTTY 6.1). (#11065)
* Status bar retrieval may now be customized by an AppModule. (#2125, #4640)
* NVDA no longer listens for IAccessible EVENT_OBJECT_REORDER. (#11076)
* A broken ScriptableObject (such as a GlobalPlugin missing a call to its base class' init method) no longer breaks NVDA's script handling. (#5446)

## 2020.1

Prednosti tejto verzie zahŕňajú podporu pre nové brailové riadky od HumanWare a APH a drobné opravy, napríklad opätovnú možnosť čítať matematický zápis v aplikácii MS Word cez Math player.

### Nové vlastnosti

* NVDA opätovne hlási vybratú položku v zozname v prehliadači Google Chrome. (#10713)
* Tlačidlo kontextovej ponuky resp. kliknutie pravým tlačidlom myši je možné vykonať aj pomocou dotykového gesta klepnúť a podržať. (#3886)
* Pridaná podpora pre nové brailové riadky: APH Chameleon 20, APH Mantis Q40, HumanWare BrailleOne, BrailleNote Touch v2, a NLS eReader. (#10830)

### zmeny

* Windows sa viac nezamkne a neprejde do režimu spánku počas plynulého čítania. (#10643)
* Pridaná podpora pre rámiky v prehliadači Mozilla Firefox, ktoré sú spracované v samostatnom procese. (#10707)
* Prekladová tabuľka liblouis aktualizovaná na verziu 3.12. (#10161)

### opravy

* NVDA opäť správne hlási znak mínus (unicode U+2212). (#10633)
* V správcovi doplnkov pri prehľadávaní súborov NVDA viac neoznamuje názov súboru dvakrát. (#10620, #2395)
* Všetky časové osy v aplikácii Mastodon sa zobrazujú správne v prehliadači firefox pri použití pokročilého zobrazenia. (#10776)
* NVDA správne oznamuje v režime prehliadania nezačiarknuté políčka. (#10781)
* NVDA viac v režime prehliadania nehlási mätúce informácie, ako napríklad nestlačené začiarknuté, alebo stlačené začiarknuté. (#9187)
* Hlasové syntézy sapi4 viac nevynechávajú text. (#10792)
* NVDA opäť podporuje čítanie matematického zápisu v MS Word. (#10803)
* NVDA opäť oznámi zrušenie výberu textu v režime prehliadania. (#10731)
* NVDA sa viac nezrúti, ak sa nepodarí inicializovať hlasový výstup eSpeak. (#10607)
* Ak sa v prekladoch do národných jazykov objavia nepresnosti pri preklade klávesových skratiek, NVDA viac nespadne, ale použije nastavenie z anglickej lokalizácie. (#5166, #6326)
* NVDA viac opakovane dookola nehlási opustenie zoznamu a tabuľky, ak je aktívne plynulé čítanie. (#10706)
* Opravené sledovanie kurzora myši pre niektoré prvky MSHTML v aplikácii Internet Explorer. (#10736)

### Zmeny pre vývojárov (anglicky)

* Developer documentation is now build using sphinx. (#9840)
* Several speech functions have been split into two. (#10593)
  The speakX version remains, but now depends on a getXSpeech function which returns a speech sequence.
  * speakObjectProperties now relies on getObjectPropertiesSpeech
  * speakObject now relies on getObjectSpeech
  * speakTextInfo now relies on getTextInfoSpeech
  * speakWithoutPauses has been converted into a class, and refactored, but should not break compatibility.
  * getSpeechForSpelling is deprecated (though still available) use getSpellingSpeech instead.
  Private changes that should not affect addon developers:
  * _speakPlaceholderIfEmpty is now _getPlaceholderSpeechIfTextEmpty
  * _speakTextInfo_addMath is now _extendSpeechSequence_addMathForTextInfo
* Speech 'reason' has been converted to an Enum, see controlTypes.OutputReason class. (#10703)
  * Module level 'REASON_*' constants are deprecated.
* Compiling NVDA dependencies now requires Visual Studio 2019 (16.2 or newer). (#10169)
* Updated SCons to version 3.1.1. (#10169)
* Again allow behaviors._FakeTableCell to have no location defined (#10864)

## 2019.3

Táto verzia prináša významné zmeny pod kapotou. Ide o prechod z prostredia Python 2 na Python 3 a tiež výrazné prestavanie systému na spracovanie reči.
Tieto zmeny spôsobili nekompatibilitu starších doplnkov. Prechod na Python 3 je dôležitý z bezpečnostného hľadiska a prepracovanie systému na spracovanie reči prinesie v blízkej budúcnosti zaujímavé funkcie.
 Táto verzia prináša okrem iného podporu pre 64 bit Java VMs, funkciu tienenia obrazovky, zvýraznenia fokusu, podporu pre ďalšie brailové riadky, zobrazovač braillu a mnoho ďalšieho.

### Nové vlastnosti

* Vylepšená presnosť presunu myši na navigačný objekt v editačných poliach v Java aplikáciách. (#10157)
* Pridaná podpora pre nasledujúce brailové riadky Handy Tech: (#8955):
 * Basic Braille Plus 40
 * Basic Braille Plus 32
 * Connect Braille
* Klávesové skratky, ktoré ste definovali, môžete teraz jednoducho odstrániť tlačidlom "Obnoviť predvolené nastavenia" v dialógu klávesové skratky. (#10293)
* Informácia o formátovaní v dokumentoch MS Word odteraz oznamuje aj situácie, ak je text skrytý. (#8713)
* V editačných poliach je možné skočiť na začiatok vyznačeného bloku na kopírovanie skratkou NVDA+Shift+F9. (#1969)
* Oblasti stránky sú teraz oznamované počas objektovej navigácie aj v režime fokusu v prehliadačoch Internet Explorer, Microsoft Edge a aktuálnych verziách Firefoxu a Chrome. (#10101)
* V prehliadačoch Internet Explorer, Google Chrome a Mozilla Firefox je možné teraz skákať po článkoch a zoskupeniach. Tieto skratky nie sú predvolene definované a je potrebné ich nastaviť v dialógu klávesové skratky. Dialóg otvorte z aktívneho okna režimu prehliadania. (#9485, #9227)
 * NVDA odteraz oznamuje aj ilustrácie. Ide o samostatné objekty a je možné po nich skákať písmenom O.
* NVDA oznamuje typ prvku Článok v prehliadačoch Internet Explorer, Google Chrome a Mozilla Firefox pri navigácii po objektoch a tiež pri čítaní textu v režime prehliadania, ak je oznamovanie povolené v nastaveniach čítania textu. (#10424)
* Pridaná funkcia tienenia obrazovky (funguje od systému Windows 8). Po aktivovaní sa celá obrazovka zatieni čiernou farbou. (#7857)
 * V dialógu Klávesové skratky môžete definovať skratku, ktorá pri prvom stlačení zapne tienenie obrazovky do najbližšieho reštartu NVDA, alebo po dvojitom stlačení zatieni obrazovku natrvalo. Skratka nie je predvolene nastavená.
 * Tienenie obrazovky je možné nastaviť v Nastaveniach, kategória zrak.
* Pridaná funkcia na zvýraznenie objektov na obrazovke. (#971, #9064)
 * Je možné nastaviť zvýraznenie navigačného objektu, fokusu a kurzora v režime prehliadania. Všetko sa dá nastaviť v nastaveniach v kategórii zrak.
 * Upozorňujeme, že doposiaľ používaný doplnok Zvýrazňovač fokusu (Focus highlight) nie je kompatibilný s touto funkciou. Doplnok môžete aj naďalej používať ale len vtedy, ak vypnete vstavané zvýraznenie objektov v NVDA.
* Pridaná funkcia Zobrazovač braillu. Umožňuje na obrazovke zobraziť brailový výstup, ktorý by inak NVDA posielalo do fyzického brailového riadka. (#7788)

### Zmeny

* V používateľskej príručke je podrobne popísané, ako používať konzolu v prostredí operačného systému Windows. (#9957)
* Ak NVDA beží a spustíte súbor nvda.exe, NVDA sa automaticky reštartuje. Argumenty -r|--replace sú podporované ale ignorované. (#8320)
* V systéme Windows 8 a novších NVDA oznamuje verziu a názov nainštalovanej aplikácie, napríklad z Windows obchodu, pričom vychádza z dát samotnej aplikácie. (#4259, #10108)
* Pri prepínaní sledovania zmien v dokumentoch MS Word klávesovou skratkou NVDA oznamuje aktuálny stav. (#942)
* Do logu NVDA sa teraz na prvý riadok zapisuje aktuálna verzia NVDA a to aj v prípadoch, ak je zaznamenávanie úplne vypnuté z dialógu nastavenia. (#9803)
* Ak je cez príkazový riadok vynútená úroveň záznamu, nie je ju odteraz možné zmeniť z dialógu nastavenia. (#10209)
* Ak zapínate a vypínate zobrazenie netlačiteľných znakov v dokumentoch MS Word pomocou klávesovej skratky ctrl+shift+8, NVDA oznamuje aktuálne nastavenie. (#10241)
* brailová prekladová tabuľka Liblouis bola aktualizovaná na verziu commit 58d67e63. (#10094)
* Ak je aktivované používanie databázy znakov z Unicode konzorcia, znaky sú oznamované len pri nastavení úrovne interpunkcie na všetka. (#8826)
* Python Balíky tretíh strán, ktoré sa používajú v NVDA (napríklad comtypes), odteraz  zapisujú varovania a chyby do logu NVDA. (#10393)
* Databáza znakov a emoji Unicode konzorcia (CLDR) aktualizovaná na verziu 36.0. (#10426)
* Ak sa v režime prehliadania presunie fokus na zoskupenie, NVDA to oznámy aj s popisom. (#10095)
* Java Access bridge je odteraz súčasťou NVDA vrátane 64 bit Java VMs, aby bolo možné sprístupňovať Java aplikácie. (#7724)
* Ak pri štarte NVDA nie je aktívne Java Access Bridge, NVDA ho automaticky zapne. (#7952)
* Hlasový výstup eSpeak NG aktualizovaný na verziu eSpeak-NG to 1.51-dev, commit ca65812ac6019926f2fbd7f12c92d7edd3701e0c. (#10581)

### Opravy

* Emoji a iné 32-bitové unicode znaky teraz zaberajú na brailovom riadku menej miesta, ak sú zobrazené ako hexadecimálne hodnoty. (#6695)
* NVDA bude oznamovať bublinkovú nápovedu aj z moderných aplikácií v systéme Windows 10, ak aktivujete automatické oznamovanie notifikácií v nastaveniach prezentácie objektov. (#8118)
* NVDA od výročnej aktualizácie Windows 10 oznamuje napísané znaky v Mintty. (#1348)
* V systéme Windows 10 od výročnej aktualizácie NVDA viac na príkazovom riadku nehláskuje text, ktorý sa objaví blízko kurzora. (#513)
* NVDA pri pohybe v dialógu kompresora v programe Audacity oznamuje prvky a popisky. (#10103)
* NVDA viac nepovažuje medzery za slová pri prezeraní objektu v Scintilla textových editoroch (ako napríklad Notepad++). (#8295)
* NVDA odteraz zabráni tomu, aby sa systém prepol do režimu spánku, keď si čítate a posúvate text tlačidlami na brailovom riadku. (#9175)
* V systéme Windows 10 brailový kurzor nezaostáva pri editácii buniek v dokumentoch MS excel prípadne v iných UIA prvkoch. (#9749)
* NVDA opäť oznamuje návrhy pri písaní v adresnom riadku MS Edge. (#7554)
* NVDA viac nezmĺkne, ak prejde fokus na HTML hlavičku záložky v prehliadači Internet explorer. (#8898)
* V prehliadači MS Edge postavenom na Edge HTML viac NVDA neprehráva zvuk návrhu výsledkov vyhľadávania pri maximalizovaní okna. (#9110, #10002)
* Zoznamové rámiky ARIA 1.1 sú odteraz podporované v prehliadačoch Mozilla Firefox a Google Chrome. (#9616)
* NVDA viac neoznamuje obsah skrytých položiek v zoznamoch SysListView32. (#8268)
* Úroveň záznamu sa v nastaveniach nezobrazuje ako "info", ak je NVDA spustené v zabezpečenom režime. (#10209)
* NVDA odteraz oznamuje detaily výsledkov hľadania v ponuke štart od Výročnej aktualizácie Windows 10. (#10232)
* NVDA správne číta dokument, ak sa pri navigácii spoužitím kurzora alebo skratiek rýchlej navigácie v režime prehliadania zmení obsah dokumentu. (#8831, #10343)
* Opravené názvy niektorých odrážok v programe MS Word. (#10399)
* Keď otvoríte panel emoji alebo históriu schránky Windows, NVDA opäť automaticky oznámi prvú položku (funguje od systému Windows 10 Máj 2019). (#9204)
* V programe Poedit je možné zobraziť niektoré preklady v jazykoch, ktoré sa čítajú zprava doľava. (#9931)
* NVDA viac neopakuje hodnotu indikátorov priebehu pri nastavovaní parametrov zvuku v Systéme Windows 10 od verzie Apríl 2018. (#10284)
* Ak nesprávne zadáte regulárny výraz v slovníku, nespôsobí to viac zamrznutie a nefunkčnosť reči. (#10334)
* NVDA viac neoznamuje odrážku z nasledujúcej položky v zozname pri čítaní dokumentov MS Word a aktívnom UIA. (#9613)
* Opravené drobné problémy, ktoré nastali pri prekladaní pomocou tabuľky liblouis. (#9982)
* Java aplikácie, ktoré boli spustené pred spustením NVDA, sú prístupné a nie je viac potrebné reštartovať Java aplikáciu. (#10296)
* Ak je v prehliadači Mozilla Firefox označený aktuálny prvok ako aktuálny (pomocou atribútu aria-current), NVDA túto skutočnosť neopakuje viackrát. (#8960)
* NVDA odteraz spracúva pri pohybe po znakoch viaceré zložené znaky sady Unicode, ako napr E s dĺžňom, ako jeden znak. (#10550)
* Pridaná podpora pre Spring Tool Suite od verzie 4. (#10001)
* NVDA viac neopakuje prvok, ak je použité aria-labelledby vo vnorenom prvku. (#10552)
* Od verzie Windows 10 1607 NVDA vo viacerých situáciách oznamuje znaky napísané na brailovom riadku. (#10569)
* Pri zmene zvukovej karty sa do novej zvukovej karty posiela nie len reč, ale aj ostatné zvuky NVDA. (#2167)
* Zrýchlený pohyb kurzora v prehliadači Mozilla Firefox. (#10584)

### Zmeny pre vývojárov (anglicky)

* Updated Python to 3.7. (#7105)
* Updated pySerial to version 3.4. (#8815)
* Updated wxPython to 4.0.3 to support Python 3.5 and later. (#9630)
* Updated six to version 1.12.0. (#9630)
* Updated py2exe to version 0.9.3.2 (in development, commit b372a8e from albertosottile/py2exe#13). (#9856)
* Updated UIAutomationCore.dll comtypes module to version 10.0.18362. (#9829)
* The tab-completion in the Python console only suggests attributes starting with an underscore if the underscore is first typed. (#9918)
* Flake8 linting tool has been integrated with SCons reflecting code requirements for Pull Requests. (#5918)
* As NVDA no longer depends on pyWin32, modules such as win32api and win32con are no longer available to add-ons. (#9639)
 * win32api calls can be replaced with direct calls to win32 dll functions via ctypes.
 * win32con constants should be defined in your files.
* The "async" argument in nvwave.playWaveFile has been renamed to "asynchronous". (#8607)
* speakText and speakCharacter methods on synthDriver objects are no longer supported.
 * This functionality is handled by SynthDriver.speak.
* SynthSetting classes in synthDriverHandler have been removed. Now use driverHandler.DriverSetting classes instead.
* SynthDriver classes should no longer expose index via the lastIndex property.
 * Instead, they should notify the synthDriverHandler.synthIndexReached action with the index, once all previous audio has finished playing before that index.
* SynthDriver classes must now notify the synthDriverHandler.synthDoneSpeaking action, once all audio from a SynthDriver.speak call has completed playing.
* SynthDriver classes must support the speech.PitchCommand in their speak method, as changes in pitch for speak spelling now depends on this functionality.
* The speech function getSpeechTextForProperties has been renamed to getPropertiesSpeech. (#10098)
* The braille function getBrailleTextForProperties has been renamed to getPropertiesBraille. (#10469)
* Several speech functions have been changed to return speech sequences. (#10098)
 * getControlFieldSpeech
 * getFormatFieldSpeech
 * getSpeechTextForProperties now called getPropertiesSpeech
 * getIndentationSpeech
 * getTableInfoSpeech
* Added a textUtils module to simplify string differences between Python 3 strings and Windows unicode strings. (#9545)
 * See the module documentation and textInfos.offsets module for example implementations.
* Deprecated functionality now removed. (#9548)
 * AppModules removed:
  * Windows XP sound recorder.
  * Klango Player, which is abandoned software.
 * configobj.validate wrapper removed.
  * New code should use from configobj import validate instead of import validate
 * textInfos.Point and textInfos.Rect replaced by locationHelper.Point and locationHelper.RectLTRB respectively.
 * braille.BrailleHandler._get_tether and braille.BrailleHandler.set_tether have been removed.
 * config.getConfigDirs has been removed.
 * config.ConfigManager.getConfigValidationParameter has been replaced by getConfigValidation
 * inputCore.InputGesture.logIdentifier property has been removed.
   * Use _get_identifiers in inputCore.InputGesture instead.
 * synthDriverHandler.SynthDriver.speakText/speakCharacter have been removed.
 * Removed several synthDriverHandler.SynthSetting classes.
   * Previously kept for backwards compatibility (#8214), now considered obsolete.
   * Drivers that used the SynthSetting classes should be updated to use the DriverSetting classes.
 * Some legacy code has been removed, particularly:
  * Support for the Outlook pre 2003 message list.
  * An overlay class for the classic start menu, only found in Windows Vista and earlier.
  * Dropped support for Skype 7, as it is definitely not working any more.
* Added a framework to create vision enhancement providers; modules that can change screen contents, optionally based on input from NVDA about object locations. (#9064)
 * Add-ons can bundle their own providers in a visionEnhancementProviders folder.
 * See the vision and visionEnhancementProviders modules for the implementation of the framework and examples, respectively.
 * Vision enhancement providers are enabled and configured via the 'vision' category in NVDA's settings dialog.
* Abstract class properties are now supported on objects that inherit from baseObject.AutoPropertyObject (e.g. NVDAObjects and TextInfos). (#10102)
* Introduced displayModel.UNIT_DISPLAYCHUNK as a textInfos unit constant specific to DisplayModelTextInfo. (#10165)
 * This new constant allows walking over the text in a DisplayModelTextInfo in a way that more closely resembles how the text chunks are saved in the underlying model.
* displayModel.getCaretRect now returns an instance of locationHelper.RectLTRB. (#10233)
* The UNIT_CONTROLFIELD and UNIT_FORMATFIELD constants have been moved from virtualBuffers.VirtualBufferTextInfo to the textInfos package. (#10396)
* For every entry in the NVDA log, information about the originating thread is now included. (#10259)
* UIA TextInfo objects can now be moved/expanded by the page, story and formatField text units. (#10396)
* External modules (appModules and globalPlugins) are now less likely to be able to break the creation of NVDAObjects.
 * Exceptions caused by the "chooseNVDAObjectOverlayClasses" and "event_NVDAObject_init" methods are now properly caught and logged.
* The aria.htmlNodeNameToAriaLandmarkRoles dictionary has been renamed to aria.htmlNodeNameToAriaRoles. It now also contains roles that aren't landmarks.
* scriptHandler.isCurrentScript has been removed due to lack of use. There is no replacement. (#8677)

## 2019.2.1

Toto je malá aktualizácia, ktorá opravuje chyby spôsobené aktualizáciou 2019.2. KOnkrétne:

* NVDA viac nepadá pri použití webovej aplikácie Gmail v prehliadačoch Firefox a Chrome v prípadoch, keď sa zobrazilo vyskakovacie menu pri zmene nastavení alebo vytváraní filtrov. (#10175, #9402, #8924)
* NVDA viac nepadá v prieskumníkovi v systéme Windows 7, ak v menu štart použijete myš. (#9435)
* NVDA nespôsobuje pád prieskumníka v systéme Windows 7 pri prezeraní metadát súborov. (#5337)
* NVDA nezamrzne, keď pri prezeraní dokumentu v prehliadačoch Firefox a Chrome narazíte na obrázok base64 URI. (#10227)

## 2019.2

Prednosti tejto verzie zahŕňajú automatickú detekciu brailových riadkov od spoločnosti Freedom Scientific, pridanú experimentálnu možnosť vypnúť aktualizáciu  fokusu v režime prehliadania (čím sa môže zrýchliť prehliadanie), možnosť znásobenia rýchlosti pri hlasoch Onecore a ďalšie užitočné funkcie.

### Nové vlastnosti

* Podpora pre klienta Miranda NG funguje aj s novšími verziami aplikácie Miranda. (#9053)
* Odteraz je možné NVDA nastaviť tak, aby sa neaktivoval režim prehliadania automaticky po načítaní dokumentu alebo aplikácie. Nastavenie hľadajte v kategórii Režim prehliadania. (#8716)
 * Aj v tomto prípade je možné aktivovať režim prehliadania ručne skratkou NVDA+medzera.
* V dialógu Výslovnosť interpunkčných a špeciálnych symbolov môžete odteraz filtrovať znaky aj pomocou editačného poľa tak, ako ste zvyknutí v zozname prvkov a klávesových skratiek. (#5761)
* Odteraz si môžete definovať klávesovú skratku, ktorá bude prepínať, koľko textu prečíta NVDA pri pohybe kurzorom myši. Skratka predvolene nie je definovaná, treba ju nastaviť v dialógu Klávesové skratky. (#9056)
* Pridaná podpora znásobenia tempa pre hlasy Windows onecore. Hlasy je odteraz možné nastaviť, aby hovorili rýchlejšie. (#7498)
* Znásobenie tempa je odteraz možné vypnúť a zapnúť aj klávesovými skratkami v kruhu nastavení hlasového výstupu. Túto možnosť v súčasnosti podporuje hlas eSpeak a Hlasy Onecore. (#8934)
* Každému konfiguračnému profilu môžete odteraz priradiť klávesovú skratku. (#4209)
 * Skratku nastavíte v dialógu Klávesové skratky.
* Pridaná podpora pre automatické dopĺňanie v editore kódu Eclipse. (#5667)
 * Navyše je odteraz možné prečítať informáciu Javadoc po stlačení skratky NVDA+d.
* V časti Pokročilé nastavenia pribudlo nastavenie Automaticky presúvať fokus na zamerané prvky. Ak je vypnuté, systémový fokus nesleduje pohyb kurzora v režime prehliadania. (#2039) Neodporúčame vypnúť túto možnosť pri všetkých webových stránkach, ale môže to pomôcť vyriešiť nasledujúce problémy:
 * Ak NVDA po stlačení skratky najprv prejde na požadovaný objekt, a potom sa vráti naspäť na pôvodné miesto.
 * Pri pohybe cez editačné polia sa stratí systémový fokus.
 * Skratky v režime prehliadania reagujú pomaly.
* Pri  vybraných brailových riadkoch je odteraz možné meniť nastavenia ovládača priamo v nastaveniach NVDA. (#7452)
* Odteraz funguje automatická detekcia aj pre brailové riadky od Freedom Scientific. (#7727)
* Pridaná funkcia na zobrazenie nahradenia symbolu. (#9286)
* V pokročilých nastaveniach pridaná možnosť zapnúť experimentálnu podporu pre príkazové riadky Windows v režime UI Automation. (#9614)
* Do textového poľa v Python konzole je odteraz možné naraz vložiť viac riadkov kódu. (#9776)

### Zmeny

* Pri zmene hlasitosti cez kruh nastavení hlasového výstupu sa posúva úroveň po 5 a nie po 10. (#6754)
* Upravený text, ktorý sa zobrazí v správcovi doplnkov, ak je NVDA spustené s vypnutými doplnkami. (#9473)
* Aktualizovaná databáza  Unicode Common na verziu  35.0. (#9445)
* Aktualizovaná sada tabuliek liblouis na verziu 3.10.0. (#9439, #9678)
* Aktualizovaný hlasový výstup  eSpeak-NG na verziu 67324cc.
* Zjednotené klávesové skratky pre editačné pole Filter. V Slovenskej verzii sa teraz všade používa alt+E, v Anglickej alt+y. (#8728)
* Ak je automaticky detegovaný brailový riadok cez Bluetooth, NVDA bude pokračovať v hľadaní ďalších riadkov cez USB. Ak taký riadok nájde, automaticky pripojí tento riadok. (#8853)
* NVDA odteraz oznamuje  najprv vybratý text a až potom hlásenie "vybraté". (#9028, #9909)
* V   Microsoft Visual Studio Code je predvolene vypnutý režim prehliadania. (#9828)

### Opravy

* NVDA viac nezamrzne, ak je priečinok s doplnkami prázdny. (#7686)
* Značky LTR a RTL sa viac nezobrazujú vo vlastnostiach súboru pri zobrazení na brailovom riadku alebo pri prezeraní po znakoch. (#8361)
* Pri skoku na prvok formulára je odteraz oznámený celý prvok, nie len prvý riadok. (#9388)
* Opravená chyba, ktorá spôsobovala, že pri ukončení aplikácie Pošta vo Windows 10 NVDA prestalo rozprávať. (#9341)
* NVDA sa odteraz spustí aj v prípade, ak je jazyk systému nastavený na jazyk, ktorý je pre NVDA neznámi, napríklad Angličtina (Holandsko). (#8726)
* NVDA správne oznamuje stav režimu prehliadania, ak aktivujete režim prehliadania v programe Excel, prepnete sa do internetového prehliadača a vrátite sa späť do Excelu. (#8846)
* NVDA správne oznamuje riadky zamerané myšou v aplikácii Notepad++  a iných editoroch využívajúcich Scintilla rozhranie. (#5450)
* V aplikácii Google dokumenty a iných webových editoroch sa viac na brailových riadkoch nezobrazuje koniec zoznamu pred kurzorom uprostred zoznamu. (#9477)
* NVDA odteraz neopakuje notifikáciu o zmene hlasitosti, ak je spustená  aktualizácia Windows 10 z mája 2019, máte   otvorené okno správcu súborov a meníte hlasitosť pomocou hardwarových tlačidiel. (#9466)
* Zrýchlené načítanie dialógu na úpravu výslovnosti symbolov, ak zoznam symbolov obsahuje viac ako 1000 položiek. (#8790)
* V rozhraní Scintilla (ako napríklad Notepad++) NVDA dokáže správne čítať riadok aj vtedy, ak je zapnuté zalamovanie riadkov. (#9424)
* Ak sa zmení pozícia bunky v tabuľke MS Excel pri použití skratiek shift+enter alebo shift+numerický enter, NVDA túto zmenu ohlási. (#9499)
* Odteraz je správne oznamovaný objekt v strome objektov alebo členov s kategóriami v zozname objektov v aplikácii Visual Studio od verzie 2017. (#9311)
* Pri rozpoznávaní doplnkov NVDA viac nerozlišuje malé a veľké písmená. (#9334)
* Nastavenie rýchlosti hlasu Onecore v systéme Windows viac neovplyvňuje nastavenie v NVDA. (#7498)
* Odteraz je možné otvoriť log NVDA skratkou NVDA+F1 aj vtedy, ak zameraný objekt neobsahuje informáciu pre vývojárov. (#8613)
* Odteraz je opäť možné použiť skratky na navigáciu po tabuľkách v Google dokumentoch v prehliadačoch Firefox a Chrome. (#9494)
* Všetky tlačidlá opäť správne fungujú na brailových riadkoch od Freedom Scientific. (#8849)
* NVDA viac nezamrzne, ak presuniete kurzor na prvý znak v dokumente Notepad++ 7.7 X64. (#9609)
* HTCom je možné používať s brailovými riadkami od Handy Tech v kombinácii s NVDA. (#9691)
* V prehliadači Mozilla Firefox NVDA neoznamuje zmeny  v  live regione, ak sa aktualizuje na neaktívnej záložke. (#1318)
* Vyhľadávanie v režime prehliadania funguje aj vtedy, ak je otvorený dialóg s informáciami o NVDA. (#8566)

### Zmeny pre vývojárov (anglicky)

* You can now set the "disableBrowseModeByDefault" property on app modules to leave browse mode off by default. (#8846)
* The extended window style of a window is now exposed using the `extendedWindowStyle` property on Window objects and their derivatives. (#9136)
* Updated comtypes package to 1.1.7. (#9440, #8522)
* When using the report module info command, the order of information has changed to present the module first. (#7338)
* Added an example to demonstrate using nvdaControllerClient.dll from C#. (#9600)
* Added a new isWin10 function to the winVersion module which returns whether or not this copy of NVDA is running on (at least) the supplied release version of Windows 10 (such as 1903). (#9761)
* The NVDA Python console now  contains more useful modules in its namespace (such as appModules, globalPlugins, config and textInfos). (#9789)
* The result of the last executed command in the NVDA Python console is now accessible from the _ (line) variable. (#9782)
 * Note that this shadows the gettext translation function also called "_". To access the translation function: del _

## 2019.1.1

V tejto verzii boli opravené nasledujúce chyby:

* Opravená chyba, ktorá spôsobila pád aplikácie MS Excel alebo nesprávne oznamovanie buniek v tabuľke, ak boli použité vzorce. (#9431)
* Opravená chyba, ktorá spôsobovala pád Google chrome pri niektorých zoznamových rámikoch. (#9364)
* Opravená chyba, ktorá spôsobovala nemožnosť skopírovať nastavenia NVDA do systémového priečinka. (#9448)
* Opravená chyba, ktorá spôsobovala, že v aplikácii MS Excel NVDA oznamovalo umiestnenie a názvy zlúčených buniek v Angličtine. (#9471)

## 2019.1

Prednosti tejto verzie zahŕňajú vylepšenia pri používaní aplikácií Word a Excel, úpravy týkajúce sa stability a bezpečnosti, keďže sa vyžaduje väčšia kontrola kompatibility doplnkov a pár ďalších vylepšení.

Od tejto verzie NVDA automaticky nebude načítavať aplikačné moduly, ovládače pre brailové riadky, hlasové výstupy a globálne pluginy uložené priamo v adresári s nastaveniami NVDA.
Pre bežné použitie by mali byť skompilované ako doplnok nvda-addon. Ak pracujete na vývoji doplnku a potrebujete testovať svoj kód, začiarknite v pokročilých nastaveniach načítanie vlastných modulov a následne uložte súbory do priečinka scratchpad v priečinku s vašou konfiguráciou NVDA.
Tieto zmeny sú dôležité, aby sme zaistili kompatibilitu vlastnoručne písaného kódu, a aby nedochádzalo k pádom NVDA v prípade, že po aktualizácii prestane byť kód nekompatibilný.
Podrobnosti nájdete popísané nižšie v zozname zmien.

### Nové vlastnosti

* Pridané nové brailové tabuľky: Afrikánčina, Arabský 8-bodový počítačový kód, Arabčina skratkopis, Španielčina skratkopis. (#4435, #9186)
* V nastaveniach môžete určiť, ako sa má NVDA správať, ak s myšou pracuje iná aplikácia. (#8452)
 * Toto umožňuje sledovať kurzor myši aj v prípade, ak ju ovláda napríklad aplikácia TeamViewer.
* Pri inštalácii NVDA z príkazového riadka je možné použiť parameter `--enable-start-on-logon`. Pomocou tohto parametra je možné určiť, či chcete NVDA spúšťať po prihlásení do systému (hodnota true) alebo NVDA nechcete spúšťať automaticky (hodnota false). Ak nie je tento parameter určený, pri prvej inštalácii NVDA sa bude predvolene  NVDA spúšťať po štarte systému. Ak ide o aktualizáciu NVDA, kde používateľ určil, že sa nemá NVDA spúšťať po štarte, bude toto nastavenie zachované. (#8574)
* Vo všeobecných nastaveniach je teraz možné vypnúť zaznamenávanie do log súboru nastavením hodnoty na "zakázaný". (#8516)
* Odteraz sú oznamované vzorce v aplikáciách LibreOffice a tabuľkách Apache OpenOffice. (#860)
* V prehliadačoch Mozilla Firefox a Google Chrome NVDA oznamuje vybraté položky v stromoch a zoznamoch.
 * Toto funguje od verzie Firefox 66.
 * Toto nefunguje v niektorých zoznamoch (HTML select controls) v prehliadači  Chrome.
* Prvotná podpora pre aplikácie ako napríklad Mozilla Firefox na počítačoch s procesorom ARM64 (napríklad Qualcomm Snapdragon). (#9216)
* V nastaveniach sme pridali novú kategóriu pokročilé. Tu je napríklad možné zapnúť podporu pre Office aplikácie cez UI Automation. (#9200)
* Pridaná podpora pre grafické rozhranie v aplikácii správa diskov. (#1486)
* Pridaná podpora pre brailové riadky Handy Tech Connect Braille a Basic Braille 84. (#9249)

### zmeny

* Prekladová tabuľka liblouis aktualizovaná na verziu 3.8.0. (#9013)
* Autori doplnkov teraz môžu určiť minimálnu verziu NVDA, s ktorou ich doplnok spolupracuje. NVDA nenačíta a nenainštaluje doplnky, ktoré vyžadujú novšiu verziu NVDA. (#6275)
* Autori doplnkov môžu určiť, s ktorou verziou NVDA bol doplnok testovaný. Ak bol doplnok testovaný so staršou verziou NVDA, opäť NVDA nenainštaluje a nenačíta doplnok. (#6275)
* Táto verzia NVDA ešte načíta doplnky, ktoré nemajú špecifikovanú minimálnu a poslednú vyžadovanú verziu NVDA. Po aktualizácii na verziu 2019.2 však môžu byť tieto doplnky zakázané.
* Príkaz presunúť myš na miesto zamerané objektovou navigáciou je teraz dostupný v aplikácii MS Word a v UIA prvkoch, konkrétne v aplikácii Microsoft Edge. (#7916, #8371)
* Vylepšené oznamovanie textu pod kurzorom myši v aplikácii MS Edge a iných UIA aplikáciách. (#8370)
* Ak je NVDA spustené s argumentom `--portable-path`, pri vytváraní prenosnej verzie sa vyplní cesta z argumentu. (#8623)
* Opravená cesta pre Nórsku brailovú tabuľku, čím sa odteraz rešpektuje kodifikácia z roku 2015. (#9170)
* Pri pohybe po odsekoch (ctrl+šípky hore dole) alebo po bunkách tabuľky (ctrl+alt+šípky) NVDA neoznamuje pravopisné chyby a to ani v takom prípade, ak je oznamovanie pravopisných chýb zapnuté. Odseky a stĺpce v tabuľkách môžu byť totiž dlhé a detegovanie chýb je náročné na výkon. (#9217)
* NVDA viac automaticky nespúšťa aplikačné moduly, ovládače pre brailové riadky a rečové syntézy a globálne pluginy priamo z používateľského priečinka NVDA. Tieto je potrebné skompilovať ako doplnok nvda-addon a určiť správne verzie, s ktorými je doplnok kompatibilný. (#9238)
 * Ak pracujete na vývoji vlastného kódu, povoľte načítanie vlastného kódu v pokročilých nastaveniach. Následne umiestnite kód do priečinka scratchpad v priečinku s nastaveniami NVDA.

### Opravy

* Pri použití hlasového výstupu Onecore v systéme Windows 10 od verzie Apríl 2018, nie sú vkladané zbytočné pauzy. (#8985)
* Pri pohybe po znakoch v editačných poliach (napríklad v poznámkovom bloku) alebo v režime prehliadania, NVDA správne oznamuje 32-bitové emoji pozostávajúce z dvoch buniek UTF-16 (napríklad đź¤¦). (#8782)
* Upravený dialóg, ktorý sa objaví pri zmene jazyka. Text a tlačidlá sú teraz zrozumiteľnejšie. (#6416)
* Ak nie je možné použiť nastavený hlasový výstup, NVDA sa v systéme Windows 10 vráti k hlasu Onecore a nie k syntéze eSpeak. (#9025)
* Položka Vitajte v NVDA bola odstránená z menu NVDA na zabezpečených obrazovkách. (#8520)
* V režime prehliadania pri použití tabulátora alebo skratiek rýchlej navigácie, NVDA presnejšie oznamuje popisy pre tab panely. (#709)
* NVDA správne oznamuje výber času v aplikáciách budík a hodiny v systéme Windows 10. (#5231)
* V centre akcií v systéme Windows 10 NVDA odteraz oznamuje stav pri zmene jasu alebo asistenta na lepšie sústredenie. (#8954)
* Od októbrovej aktualizácie Windows 10 NVDA správne rozpoznáva tlačidlo jas v centre akcií ako tlačidlo a nie ako prepínacie tlačidlo. (#8845)
* NVDA opäť správne sleduje kurzor a oznamuje vymazané znaky v aplikácii Excel v dialógoch ísť na a vyhľadávanie. (#9042)
* Opravené občasné pády v režime prehliadania v prehliadači Firefox. (#9152)
* NVDA správne oznamuje fokus v zbalených prvkoch v rybbonoch v aplikácii MS Office 2016.
* NVDA správne oznamuje navrhnutý kontakt pri písaní e-mailovej adresy v novej správe v aplikácii Outlook 2016. (#8502)
* Posledné klávesy na presun kurzora na bunku na 80-znakovom riadku eurobraille viac nesmerujú kurzor na začiatok alebo tesne po začiatku riadka. (#9160)
* Opravená navigácia po tabuľkách ak je použité zobrazenie po vláknach v aplikácii Mozilla Thunderbird. (#8396)
* V prehliadačoch Mozilla Firefox a Google Chrome je možné aktivovať režim fokusu v zoznamoch a stromoch, ktoré samotné síce nemôžu mať fokus, ale položky v nich už áno. (#3573, #9157)
* V aplikácii Outlook 2016 sa automaticky aktivuje režim prehliadania aj v prípade, že je povolené experimentálne použitie UI Automation. (#9188)
* NVDA viac nemrzne takým spôsobom, že jediné východisko je odhlásenie a opätovné prihlásenie používateľa. (#6291)
* V systéme Windows 10 od  aktualizácie október 2018, NVDA oznámi, ak je schránka prázdna a pokúšate sa otvoriť zoznam textov pridaných do schránky Windows. (#9103)
* V systéme Windows 10 od verzie Október 2018 NVDA pri prezeraní Emoji panela  pri vyhľadávaní oznámi prvý navrhnutý symbol. (#9105)
* NVDA viac nezamrzne v hlavnom okne aplikácie Oracle VirtualBox od verzie 5.2. (#9202)
* Zrýchlená odozva pre niektoré dokumenty MS Word pri navigácii po riadkoch, odsekoch a bunkách v tabuľke. Odporúča sa použiť zobrazenie koncept. (#9217)
* V prehliadačoch Mozilla Firefox a Google Chrome NVDA viac neoznamuje prázdne upozornenia. (#5657)
* Zrýchlená navigácia v dokumentoch MS Excel v prípadoch, ak tabuľka obsahuje komentáre alebo zoznamy návrhov zmien. (#7348)
* Nie je viac potrebné vypnúť editáciu vo vnútry bunky v aplikácii MS Excel 2016/365, aby bolo možné prejsť do editačného poľa bunky. (#8146)
* Opravená chyba, ktorá spôsobila zamrznutie v režime prehliadania v prehliadači Mozilla Firefox pri navigácii po oblastiach stránky, ak je použité pokročilé Enhanced Aria add-on. (#8980)

### Zmeny pre vývojárov (anglicky)

* NVDA can now  be built with all editions of Microsoft Visual Studio 2017 (not just the Community edition). (#8939)
* You can now include log output from liblouis into the NVDA log by setting the louis boolean flag in the debugLogging section of the NVDA configuration. (#4554)
* Add-on authors are now able to provide NVDA version compatibility information in add-on manifests. (#6275, #9055)
 * minimumNVDAVersion: The minimum required version of NVDA for an add-on to work properly.
 * lastTestedNVDAVersion: The last version of NVDA an add-on has been tested with.
* OffsetsTextInfo objects can now implement the _getBoundingRectFromOffset method to allow retrieval of bounding rectangles per characters instead of points. (#8572)
* Added a boundingRect property to TextInfo objects to retrieve the bounding rectangle of a range of text. (#8371)
* Properties and methods within classes can now be marked as abstract in NVDA. These classes will raise an error if instantiated. (#8294, #8652, #8658)
* NVDA can log the time since input when text is spoken, which helps in measuring perceived responsiveness. This can be enabled by setting the timeSinceInput setting to True in the debugLog section of the NVDA configuration. (#9167)

## 2018.4.1

Táto verzia opravuje pád, ktorý nastával, ak bol jazyk NVDA nastavený na Aragónčinu.

## 2018.4

Prednosti tejto verzie zahŕňajú lepšiu podporu pre nové verzie prehliadača Mozilla Firefox, oznamovanie emotikonov cez všetky hlasové výstupy, oznamovanie stavu pri správach v aplikácii MS Outlook (odpovedané, preposlané), oznamovanie vzdialenosti kurzora v dokumentoch MS Word a viacero opráv.

### Nové vlastnosti

* Nové brailové tabuľky pre Čínsky skratkopis a plnopis. (#5553)
* V zozname správ v programe MS Outlook NVDA oznamuje, ak je správa preposlaná alebo ste na ňu už odpovedali. (#6911)
* NVDA odteraz dokáže využívať na interpretáciu špeciálnych symbolov databázu Unicode Konzorcia. (#6523)
* NVDA odteraz oznamuje vzdialenosť kurzora od okrajov stránky v dokumentoch MS Word. Vzdialenosť zistíte skratkou NVDA+numerický delete. (#1939)
* NVDA viac pri pohybe v Google tabuľkách a súčasnom aktívnom brailovom výstupe zbytočne neoznamuje "vybraté". (#8879)
* Pridaná podpora pre aplikácie Foxit Reader a Foxit Phantom PDF. (#8944)
* Pridaná podpora pre databázový nástroj DBeaver. (#8905)

### Zmeny

* Položka "oznamovať bublinkovú nápovedu" v nastaveniach prezentácie objektov bola premenovaná na "oznamovať notifikácie". Odteraz totiž toto nastavenie zahŕňa aj oznamovanie notifikácií v Systéme Windows 8 a novších. (#5789)
* V nastaveniach klávesnice sú začiarkávacie polia pre výber klávesu NVDA zobrazené v zozname a nie samostatne.
* NVDA viac neoznamuje nadbytočné informácie pri čítaní dátumu a času zo systémového panela. (#4364)
* Prekladová tabuľka liblouis aktualizovaná na verziu 3.7.0. (#8697)
* Hlasový výstup eSpeak-NG aktualizovaný na verziu 919f3240cbb.

### Opravy

* V aplikácii Outlook 2016/365 sú oznamované značky pre kategórie a stav správy. (#8603)
* Ak je v NVDA nastavený jazyk Kirgyjčina, Mongolčina alebo Macedónčina, pri štarte NVDA sa viac neobjavuje varovanie, že tento jazyk nie je podporovaný operačným systémom. (#8064)
* Presunutie myši na navigačný objekt je odteraz presnejšie v režime prehliadania v aplikáciách Mozilla Firefox, Google Chrome a Acrobat Reader DC. (#6460)
* Vylepšená práca so zoznamovými rámikmi v prehliadačoch Firefox, Chrome a Internet Explorer. (#8664)
* Ak NVDA spustíte na Japonskej verzii Windows XP a Vista, zobrazí sa varovanie tak, ako na ostatných systémoch. (#8771)
* Zrýchlená navigácia po veľkých a dynamických stránkach v prehliadači Mozilla Firefox. (#8678)
* Na brailovom riadku sa viac nezobrazujú informácie o formátovaní, ak je oznamovanie vypnuté v nastaveniach. (#7615)
* NVDA viac nestráca fokus v zozname súborov v prieskumníkovy (príp v okne otvoriť / uložiť ako) ak sa používa UI Automation  a súčasne je zaneprázdnená iná aplikácia (napríklad ak beží na pozadí konvertovanie audio súborov). (#7345)
* Ak je vo webovom dokumente ARIA menu, kláves escape bude odoslaný priamo do prehliadača a nevypína režim fokusu. (#3215)
* Vo webovom rozhraní Gmailu viac NVDA pri použití klávesnice na navigáciu nečíta stále nanovo obsah správy. (#8887)
* Po aktualizácii NVDA odteraz správne funguje režim prehliadania v prehliadačoch, ktoré boli spustené v čase aktualizácie a takisto funguje aktualizovanie dynamického obsahu dokumentov. (#7641)
* NVDA viac neoznamuje nadbytočne typ prvku "pri kliknutí" pri navigácii v režime prehliadania. (#7430)
* Opravená podpora pre skratky na brailovom riadku baum Vario 40. (#8894)
* V Tabuľkách Google v prehliadači Firefox NVDA neoznamuje nadbytočne pri pohybe "vybraté". (#8964)

### Zmeny pre vývojárov (anglicky)

* gui.nvdaControls now contains two classes to create accessible lists with check boxes. (#7325)
 * CustomCheckListBox is an accessible subclass of wx.CheckListBox.
 * AutoWidthColumnCheckListCtrl adds accessible check boxes to an AutoWidthColumnListCtrl, which itself is based on wx.ListCtrl.
* If you need to make a wx widget accessible which isn't already, it is possible to do so by using an instance of gui.accPropServer.IAccPropServer_impl. (#7491)
 * See the implementation of gui.nvdaControls.ListCtrlAccPropServer for more info.
* Updated configobj to 5.1.0dev commit 5b5de48a. (#4470)
* The config.post_configProfileSwitch action now takes the optional prevConf keyword argument, allowing handlers to take action based on differences between configuration before and after the profile switch. (#8758)

## 2018.3.2

Táto verzia opravuje chybu, ktorá spôsobovala pád aplikácie Chrome pri navigácii po stránke [www.twitter.com](http://www.twitter.com). (#8777)

## 2018.3.1

Táto verzia opravuje chybu, ktorá spôsobovala pád 32-bitovej verzie Mozilla Firefox. (#8759)

## 2018.3

Prednosti tejto verzie zahŕňajú automatické pripájanie k mnohým brailovým riadkom, podporu pre nové funkcie operačného systému Windows 10 vrátane panela pre zadávanie emoji, a ďalšie opravy.

### Nové vlastnosti

* Ak sa na webovej stránke zobrazujú gramatické  chyby, NVDA ich dokáže oznamovať. Funguje v prehliadačoch Firefox a Chrome.  (#8280)
* V prehliadači Google Chrome je oznamovaný obsah, ktorý je označený ako vložený alebo odstránený. (#8558)
* Pridaná podpora pre skrolovacie koliesko so smerovými tlačidlami na riadkoch BrailleNote QT a Apex BT. (#5992, #5993)
* Pridané klávesové skratky na oznamovanie uplynutého času a celkovej dĺžky skladby v prehrávači Foobar 2000. (#6596)
* Symbol pre kláves Command (na klávesnici MAC ⌘) je odteraz správne oznamovaný všetkými syntézami reči. (#8366)
* Vlastné označenia rolí pri využití atribútu aria-roledescription sú  odteraz oznamované vo všetkých webových prehliadačoch. (#8448)
* Nové brailové tabuľky: Český 8-bodový počítačový braill, Stredná kurdčina, Esperanto, Maďarčina, Švédsky 8-bodový počítačový braill. (#8226, #8437)
* Pridaná automatická detekcia brailových riadkov na pozadí. (#1271)
 * Podporované sú riadky ALVA, Baum/HumanWare/APH/Orbit, Eurobraille, Handy Tech, Hims, SuperBraille a HumanWare BrailleNote a Brailliant BI/B.
 * Ak chcete využívať túto funkciu, ako brailový riadok v nastaveniach zvoľte možnosť automatické.
 * Podrobnosti nájdete v používateľskej príručke.
* Pridaná podpora pre rôzne metódy vstupu predstavené v systéme Windows 10. Jedná sa o panel na vkladanie Emoji (pridané v aktualizácii Fall Creators), diktovanie hlasom(slovenčina nie je podporovaná, funkcia bola pridaná vo verzii Windows 10 Fall Creators), automatické návrhy pre písanie na hardwarovej klávesnici (aktualizácia z Apríla 2018), a použitie zdieľanej schránky v cloude (aktualizácia október 2018). (#7273)
* NVDA odteraz oznamuje Obsah označený ako citácia cez atribút aria role blockquote v prehliadači Mozilla Firefox 63. (#8577)

### Zmeny

* Odteraz je zoznam jazykov v kategórii všeobecné nastavenia zoradený abecedne a nie podľa špecifikácie ISO 639. (#7284)
* Pre všetky podporované riadky od spoločnosti Freedom scientific boli pridané emulácie skratiek alt+shift+tab a windows+tab. (#7387)
* Na riadkoch ALVA BC680 a protocol converter je možné používať rozšírené klávesy umiestnené po stranách riadka a Etouch tlačidlá. (#8230)
* Upravené skratky na riadku ALVA BC6. Odteraz kombinácia sp2+sp3 oznamuje aktuálny čas a dátum, skratka sp1+sp2 emuluje kláves Windows. (#8230)
* Po štarte sa vás NVDA pýta, či súhlasí so zasielaním a zhromažďovaním údajov z počítača. (#8217)
* Ak odsúhlasíte   zhromažďovanie údajov, NVDA vždy pri kontrole aktualizácií odošle na server informáciu o používanom hlasovom výstupe a brailovom riadku. Vývojári tak dokážu zistiť, ktoré ovládače majú mať pri vývoji prednosť. (#8217)
* Prekladová tabuľka  liblouis  aktualizovaná na verziu  3.6.0. (#8365)
* Opravená cesta k tabuľke pre Ruský 8-bodový počítačový kód. (#8446)
* Hlasový výstup eSpeak-ng aktualizovaný na verziu 1.49.3dev commit 910f4c2. (#8561)

### opravy

* Prístupné Označenia prvkov sú lepšie oznamované v prehliadači Google chrome aj vtedy, ak nie sú priamo obsahom webovej stránky. (#4773)
* Pridaná podpora pre upozornenia v programe Zoom. NVDA tak odteraz oznamuje prichádzajúce správy, stlmenie a zapnutie mikrofónu. (#7754)
* Ak zmeníte prezentáciu kontextu v režime prehliadania, brailový kurzor správne sleduje prezerací kurzor. (#7741)
* Opravená chyba s inicializáciou riadka ALVA BC680. (#8106)
* Ak na riadku ALVA BC6 stlačíte kombináciu zahŕňajúcu tlačidlá sp2+sp3, riadok viac nebude emulovať skratky z počítačovej klávesnice. (#8230)
* Skratka sp2 na riadku ALVA BC6 emuluje kláves alt tak, ako je uvedené v používateľskej príručke. (#8360)
* NVDA viac zbytočne neoznamuje zmeny rozloženia klávesnice. (#7383, #8419)
* Sledovanie myšky je odteraz oveľa presnejšie v poznámkovom bloku a editačných poliach obsahujúcich čistý text, v ktorých je viac ako 65535 znakov. (#8397)
* NVDA dokáže rozpoznať viac dialógov v systéme Windows 10 a moderných aplikáciách. (#8405)
* NVDA dokáže správne sledovať systémový fokus na systémoch Windows 10 (aktualizácia z októbra 2018, server 2019 a novších) aj v prípade, že aplikácia zamrzne alebo zahltí systém udalosťami. (#7345, #8535)
* NVDA oznámi, ak sa pokúsite prečítať alebo skopírovať do schránky prázdny stavový riadok. (#7789)
* Odteraz NVDA správne hlasom oznamuje, ak odčiarknete začiarkávacie políčko, ktoré bolo predtým čiastočne začiarknuté. (#6946)
* Vo všeobecných nastaveniach NVDA v systéme Windows 7 sa správne zobrazuje jazyk Barmčina. (#8544)
* NVDA odteraz oznamuje upozornenia v prehliadači Microsoft Edge (napríklad načítanie stránky, dostupnosť zobrazenia na čítanie). (#8423)
* Pri vstupe do zoznamu v režime prehliadania NVDA oznámi názov zoznamu, ak je uvedený. (#7652)
* Ak priradíte skratky konkrétnemu brailovému riadku, zobrazujú sa skutočne len pre tento brailový riadok. Doteraz sa zobrazovali pre riadok, ktorý bol zvolený v nastaveniach. (#8108)
* Pridaná podpora pre 64-bitovú verziu prehrávača Media player Classic. (#6066)
* Vylepšená podpora pre brailové riadky v aplikácii MS Word s použitím UI Automation:
 * Ak sa vo viacriadkovom editačnom poli presuniete na začiatok riadka, prvý znak sa zobrazí na prvom znaku brailového riadka. (#8406)
 * NVDA neoznamuje nadbytočné informácie ak získa fokus dokument MS Word. (#8407)
 * prechod na znak v brailly funguje aj v zoznamoch v dokumentoch MS Word. (#7971)
 * Odteraz sú správne oznamované novopridané odrážky a položky v zoznamoch v dokumentoch MS Word. (#7970)
* Odteraz je možné inštalovať doplnky do NVDA v systémoch Windows 10 od verzie 1803 aj v prípade, ak je začiarknutá možnosť použiť kódovanie unicode UTF-8 pre celosvetovú jazykovú podporu. (#8599)
* NVDA viac neblokuje akúkoľvek interakciu v aplikácii iTunes 12.9 a novších. (#8744)

### Zmeny pre vývojárov (anglicky)

* Added scriptHandler.script, which can function as a decorator for scripts on scriptable objects. (#6266)
* A system test framework has been introduced for NVDA. (#708)
* Some changes have been made to the hwPortUtils module: (#1271)
 * listUsbDevices now yields dictionaries with device information including hardwareID and devicePath.
 * Dictionaries yielded by listComPorts now also contain a usbID entry for COM ports with USB VID/PID information in their hardware ID.
* Updated wxPython to 4.0.3. (#7077)
* As NVDA now only supports Windows 7 SP1 and later, the key "minWindowsVersion" used to check if UIA should be enabled for a particular release of Windows has been removed. (#8422)
* You can now register to be notified about configuration saves/reset actions via new config.pre_configSave, config.post_configSave, config.pre_configReset, and config.post_configReset actions. (#7598)
 * config.pre_configSave is used to be notified when NVDA's configuration is about to be saved, and config.post_configSave is called after configuration has been saved.
 * config.pre_configReset and config.post_configReset includes a factory defaults flag to specify if settings are reloaded from disk (false) or reset to defaults (true).
* config.configProfileSwitch has been renamed to config.post_configProfileSwitch to reflect the fact that this action is called after profile switch takes place. (#7598)
* UI Automation interfaces updated to Windows 10 October 2018 Update and Server 2019 (IUIAutomation6 / IUIAutomationElement9). (#8473)

## 2018.2.1

Táto verzia prináša aktualizácie prekladov potrebné po odstránení problematickej vlastnosti na poslednú chvíľu.

## 2018.2

Prednosti tejto verzie zahŕňajú podporu pre čítanie tabuliek v programe Kindle (desktop), podporu pre brailové riadky Humanwear BrailleNote Touch a BI14, vylepšenú podporu pre hlasy Onecore a SAPI5, opravy pre Microsoft Outlook a oveľa viac.

### Nové vlastnosti

* NVDA odteraz dokáže oznamovať hlasom aj na brailovom riadku rozsah riadkov a stĺpcov v tabuľkách. (#2642)
* Skratky pre navigáciu v tabuľkách odteraz fungujú aj v dokumentoch google (vrátane podpory pre brailové riadky). (#7946)
* Pridaná podpora pre čítanie tabuliek v aplikácii Kindle (desktop) (#7977)
* Pridaná podpora pre brailové riadky HumanWare BrailleNote touch a Brailliant BI 14 cez USB a bluetooth. (#6524)
* V systéme Windows od aktualizácie Fall creators a novších, dokáže NVDA čítať notifikácie napríklad z aplikácie kalkulačka či Windows Obchod. (#7984)
* Pridané brailové tabuľky: Litovčina (8 bodová), Ukrajinčina, Mongolčina skratkopis. (#7839)
* Pridaná možnosť oznamovať formátovanie textu pod brailovým znakom. (#7106)
* Po úspešnom stiahnutí aktualizácie NVDA, je samotnú inštaláciu novej verzie možné odložiť na neskôr. (#4263)
* NVDA je odteraz lokalizovaný do mongolčiny a Švajčiarskej Nemčiny.
* Odteraz je možné na brailových riadkoch emulovať klávesy ctrl, shift, alt a NVDA a kombinovať ich (napríklad odoslať skratku ctrl+s). (#7306)
 * Tieto skratky je možné nastaviť v strome emulované klávesy v dialógu Klávesové skratky.
* Obnovená podpora pre riadky Handy Tech Braillino a Modular so staršým firmwérom. (#8016)
* Pri podporovaných brailových riadkoch Handy Tech (napríklad Active Braille a Active Star) sa automaticky synchronizujeaktuálny dátum a čas v prípade, ak je rozdiel viac ako 5 sekúnd.
* Odteraz je možné klávesovou skratkou dočasne vypnúť všetky profili. (profili sa aktivujú po najbližšom reštarte a skratku môžete nastaviť v dialógu klávesové skratky). (#4935)

### Zmeny

* Upravené zobrazenie stavu doplnku v správcovy doplnkov (len v angličtine). (#7929)
* brailová prekladová Tabuľka liblouis aktualizovaná na verziu 3.5.0. (#7839)
* Litovská brailová tabuľka bola premenovaná na litovčina 6 bodov, keďže pribudla aj osembodová tabuľka pre Litovčinu. (#7839)
* Odstránená Francúzska (kanadská) brailová tabuľka pre skratkopis a plnopis bola nahradená Francúszkou unifikovanou tabuľkou pre skratkopis a počítačový kód. (#7839)
* Sekundárne navigačné tlačidlá na riadkoch Alva BC6, EuroBraille a Papenmeier sa odteraz používajú na oznámovanie formátovania pod aktuálnym brailovýmznakom. (#7106)
* Ak je nastavená tabuľka pre skratkopis, automaticky sa prepne do plnopisu v prípade, ak je fokus na prvku, ktorý sa nedá editovať (tam, kde nie je viditeľný kurzor alebo v režime prehliadania). (#7306)
* NVDA v Kalendári v MS Outlook jednoduchšie oznamuje celodenné udalosti. (#7949)
* Všetky nastavenia NVDA boli presunuté do dialógu možnosti > Nastavenia. (#577)
* V systéme Windows 10 sa predvolene použije hlas Onecore namiesto eSpeaku. (#8176)

### Opravy

* NVDA odteraz dokáže čítať prvky, ktoré majú fokus na prihlasovacej obrazovke účtu microsoft, ak ste už zadali e-mailovú adresu. (#7997)
* NVDA dokáže správne zobraziť dokument v MS Edge v prípade, ak sa vrátite na predchádzajúcu stránku. (#7997)
* NVDA viac neprečíta posledný znak pin kódu pri odomikaní v systéme Windows 10. (#7908)
* Popisy k začiarkávacím poliam a prepínačom nie sú viac v Chrome a Firefoxe čítané dvakrát pri prechádzaní stránky tabulátorom alebo skratkami rýchlej navigácie. (#7960)
* Prvok aria-current s hodnotou "false" nie je viac oznamovaný ako "pravdivý" ale ako "nepravdivý". (#7892)
* Načítanie hlasov Onecore nezlyhá v prípade, ak bol nastavený hlas odinštalovaný. (#7553)
* Zrýchlená zmena hlasu v rozhraní onecore. (#7999)
* Opravené nesprávne interpretovanie znakov v niektorých brailových tabuľkách (napríklad nesprávne zobrazovanie veľkých písmen v Dánskom počítačovom 8-bodovom kóde). (#7526, #7693)
* NVDA odteraz dokáže oznamovať viacero typov odrážok v programe MS Word. (#6778)
* Skratka na oznámenie formátovania textu nespôsobuje pohyb kurzora a tým pádom teraz NVDA správne oznamuje formátovanie pri opakovanom stlačení skratky. (#7869)
* Odteraz nie je možné používať skratkopis na miestach, kde nie je podporovaný (napríklad v režime prehliadania nebudú do systému odosielané celé slová). (#7306)
* Opravené nestabilné pripojenie brailových riadkov Handy Tech Easy Braille a Braille Wave. (#8016)
* Pri otvorení menu rýchleho prístupu v systéme Windows 8 a novších (skratka windows+x) NVDA viac nehlási "neznáme" pri otvorení ponuky a pri pohybe kurzora. (#8137)
* Skratky pre modely brailových riadkov Hims odteraz fungujú tak, ako sú popísané v používateľskej príručke. (#8096)
* NVDA odteraz môže opraviť chyby v registroch systému, ktoré spôsobovali nemožnosť čítať dokumenty v režime prehliadania. (#2807)
* Opravená chyba, ktorá spôsobovala, že v správcovi úloh nebolo možné zistiť niektoré informácie o bežiacich procesoch. (#8147)
* Novšie SAPI5 hlasy viac nemrznú na konci vyslovenej správy, takže práca pri použití takéhoto hlasu je teraz svižnejjšia. (#8174)
* NVDA viac nezobrazuje nadbytočné značky na brailovom riadku alebo pri čítaní po znakoch pri prezeraní systémových hodín na systémovom panely. (#5729)
* Opäť správne funguje spracovanie scrollovacích kláves na brailových riadkoch Hims. (#6086)
* NVDA odteraz presnejšie oznamuje zmeny v niektorých editačných poliach (napríklad v aplikácii Delphy). (#636, #8102)
* V systéme Windows 10 RS5, NVDA viac pri prepínaní úloh klávesovou skratkou alt+tab nečíta nadbitočné informácie. (#8258)

### Changes for developers

* The developer info for UIA objects now contains a list of the UIA patterns available. (#5712)
* App modules can now force certain windows to always use UIA by implementing the isGoodUIAWindow method. (#7961)
* The hidden boolean flag "outputPass1Only" in the braille section of the configuration has again been removed. Liblouis no longer supports pass 1 only output. (#7839)

## 2018.1.1

Toto je špeciálna verzia NVDA. Opravená chyba v Onecore hlasoch, ktorá spôsobovala, že hlasy hovorili zrýchlene v aktualizácii Windows 10 Redstone 4 (1803). (#8082)

## 2018.1

Prednosti tejto verzie zahŕňajú podporu pre čítanie grafov v programoch MS Word a Powerpoint, pridanú podporu pre brailové riadky Eurobraille a Optelec protocol converter, vylepšenú podporu pre Bbrailové riadky Hims a Optelec, vylepšenú prácu s prehliadačom Mozilla Firefox od verzie 58 a oveľa viac.

### Nové vlastnosti

* Odteraz je možné čítať grafy v programoch MS Word a MS Powerpoint podobne, ako to bolo doposiaľ možné v programe MS Excel. (#7046)
 * Ak ste v dokumente programu MS Word: Zobrazte si dokument v režime prehliadania. Prejdite kurzorom na graf a stlačte enter.
 * Ak upravujete snímku v prezentácii programu MS Powerpoint, prejdite tabulátorom na graf a stlačte Enter alebo medzeru.
 * prezeranie grafu zatvoríte klávesom Escape.
* NVDA je odteraz lokalizovaný do jazyka Kyrgyz.
* Pridaná podpora pre program VitalSource Bookshelf. (#7155)
* Pridaná podpora pre Optelec protocol converter. Ide o zariadenie, ktoré umožňuje používať riadky Braille Voyager a Satellite cez komunikačný protokol riadkov ALVA BC6. (#6731)
* Odteraz je možné písať na klávesnici brailového riadka ALVA 640 Comfort. (#7733)
 * Písanie funguje aj na riadkoch BC6 s firmwérom od verzie 3.0.0.
* Prvotná podpora pre prácu s Google tabuľkami pomocou brailového riadka. (#7935)
* Pridaná podpora pre riadky Eurobraille Esys, Esytime a Iris. (#7488)

### Zmeny

* Staršie ovládače pre riadky HIMS Braille Sense/Braille EDGE/Smart Beetle a Hims Sync boli nahradené jedným, spoločným ovládačom. Ovládač sa automaticky aktivuje aj v prípade, ak ste doteraz používali tieto riadky so starším ovládačom. (#7459)
 * niektoré klávesové príkazy pre tieto riadky boli upravené tak, aby zodpovedali príkazom, ktoré bežne tieto riadky používajú. Podrobnosti nájdete v používateľskej príručke NVDA.
* Pri písaní na klávesnici na dotykovej obrazovke je odteraz potrebné dvakrát poklepať, aby ste napísali vybratý znak. (#7309)
 * Ak sa chcete vrátiť k predošlému stavu (v ktorom stačilo len prejsť prstom cez požadovaný znak a uvolniť prst), zmeňte nastavenie v dialógu Dotyková obrazovka. Dialóg nájdete v podmenu Možnosti NVDA.
* Odteraz nie je potrebné prepínať zviazanie brailového kurzora na prezerací kurzor alebo na fokus. Zviazanie sa prepína automaticky podľa situácie.
 * Upozorňujeme, že brailový kurzor sa zviaže s prezeracím kurzorom len vtedy, keď použijete prezerací kurzor alebo objektovú navigáciu. Posun riadka dopredu alebo dozadu nemá na nastavenie vplyv.

### Opravy

* NVDA viac nezamrzne, ak vyvoláte napríklad informáciu o formátovaní dokumentu dvojitým stlačení NVDA+F. Situácia nastávala, ak v ceste s nainštalovanou verziou NVDA boli použité znaky mimo Ascii tabuľky. (#7474)
* Fokus sa odteraz korektne vráti, ak sa prepínate z inej aplikácie do okna aplikácie Spotify. (#7689)
* Ak používate Windows 10 Fall Creators Update, NVDA sa správne aktualizuje aj v prípade, že máte aktívnu funkciu riadený prístup k priečinkom. (#7696)
* Odteraz správne funguje detekcia scrollovacích tlačidiel na brailových riadkoch Hims Smart Beetle. (#6086)
* Zrýchlené načítavanie stránok v prehliadači Mozilla Ffirefox od verzie 58. (#7719)
* Čítanie tabuliek v e-mailových správach v programe MS Outlook viac nespôsobuje chyby. (#6827)
* Skratky, ktoré na brailových riadkoch simulujú tlačidlá klávesnice (napríklad Shift, ctrl...), môžu byť odteraz kombinované s inými klávesovými skratkami, ak sú tieto skratky špecifické pre konkrétny model brailového riadka. (#7783)
* V prehliadači Mozilla Firefox sa dajú čítať vyskakovacie okná, ktoré zobrazujú napríklad doplnky LastPass a bitwarden. (#7809)
* NVDA viac nemrzne pri zmene fokusu, ak je otvorené okno s prehliadačom Firefox alebo Chrome a tento prehliadač zamrzol alebo nereaguje. (#7818)
* V Twitter klientoch Chicken Nugget a podobných, NVDA viac neignoruje posledných 20 znakov zo zobrazeného Tweetu. (#7828)
* NVDA používa správny jazyk pri oznamovaní symbolov počas označovania textu. (#7687)
* V najnovších verziách aplikácie Office 365 je opäť možné čítať grafy v MS Excely pomocou kurzorových šípok. (#7046)
* Pri oznamovaní prvkov cez reč alebo Braill, stav prvkov je oznamovaný vždy v rovnakom poradí nezávisle od toho, či ide o pozitívny alebo negatívny stav. (#7076)
* V aplikáciách ako napríklad Windows Mail, NVDA odteraz oznamuje znaky zmazané klávesom backspace. (#7456)
* Všetky tlačidlá na brailovom riadku Hims Braille Sense Polaris odteraz pracujú správne. (#7865)
* NVDA sa viac neodmieta spustiť v systéme Windows 7 zobrazujúc chybovú hlášku v internej knižnici  api-ms dll, keď iná aplikácia nainštalovala do systému konkrétnu verziu Visual Studio 2017 redistributables. (#7975)

### Zmeny pre vývojárov (anglicky)

* Added a hidden boolean flag to the braille section in the configuration: "outputPass1Only". (#7301, #7693, #7702)
 * This flag defaults to true. If false, liblouis multi pass rules will be used for braille output.
* A new dictionary (braille.RENAMED_DRIVERS) has been added to allow for smooth transition for users using drivers that have been superseded by others. (#7459)
* Updated comtypes package to 1.1.3. (#7831)
* Implemented a generic system in braille.BrailleDisplayDriver to deal with displays which send confirmation/acknowledgement packets. See the handyTech braille display driver as an example. (#7590, #7721)
* A new "isAppX" variable in the config module can be used to detect if NVDA is running as a Windows Desktop Bridge Store app. (#7851)
* For document implementations such as NVDAObjects or browseMode that have a textInfo, there is now a new documentBase.documentWithTableNavigation class that can be inherited from to gain standard table navigation scripts. Please refer to this class to see which helper methods must be provided by your implementation for table navigation to work. (#7849)
* The scons batch file now better handles when  Python 3 is also installed, making use of the launcher to specifically launch python 2.7 32 bit. (#7541)
* hwIo.Hid now takes an additional parameter exclusive, which defaults to True. If set to False, other applications are allowed to communicate with a device while it is connected to NVDA. (#7859)

## 2017.4

Prednosti tejto verzie zahŕňajú opravy týkajúce sa režimu prehliadania (podporu pre prezeranie dialógov v režime prehliadania, lepšie oznamovanie skupín prvkov), podporu pre Windows Defender Guard v systéme Windows 10, podporu systému Windows 10 na architektúre ARM64 a automatické oznamovanie zmeny orientácie obrazovky a stavu napájania.
Zdôrazňujeme, že táto verzia NVDA viac nepracuje v systémoch Windows XP a Vista. Aby ste mohli NVDA používať, musíte mať nainštalovaný Windows 7 a Service Pack 1.

### Nové vlastnosti

* V režime prehliadania je možné preskakovať pred a za oblasti stránky skratkami rýchlej navigácie na prechod pred a za prvok (čiarka, shift+čiarka). (#5324)
* V prehliadačoch Firefox, Chrome a Internet Explorer je možné skratky rýchlej navigácie na prechod medzi prvkami formulára a editačnými poliami použiť tiež na prechod do poľa rich text (contentEditable) (#5534)
* V režime prehliadania je teraz možné v zozname prvkov zobraziť zoznam tlačidiel a prvkov formulára. (#588)
* Prvotná podpora pre Windows 10 na architektúre ARM64. (#7508)
* Prvotná podpora pre čítanie matematického obsahu v aplikácii Kindle. (#7536)
* Pridaná podpora pre čítačku kníh Azardi. (#5848)
* Pri pokuse aktualizovať doplnok sa  zobrazí informácia o verzii doplnku. (#5324)
* Pridaný argument príkazového riadka, ktorý umožní vytvoriť prenosnú verziu NVDA. (#6329)
* Pridaná podpora pre Microsoft Edge, ak je spustený pod ochranou Windows Defender Guard v systéme Windows 10 Fall Creators update. (#7600)
* NVDA odteraz oznamuje zmenu orientácie obrazovky a tiež pripojenie a odpojenie nabíjačky. (#4574, #4612)
* Pridaná lokalizácia NVDA do Macedónčiny.
* Pridané nové brailové tabuľky: Chorvátčina Plnopis, vietnamčina plnopis. (#7518, #7565)
* Pridaná podpora pre brailový riadok Actilino od firmy handy tech. (#7590)
* Pridaná podpora pre písanie cez brailové riadky výrobcu Handy tech. )

### Zmeny

* Najnižšie požiadavky pre NVDA sú odteraz Windows 7 Servicepack 1 alebo Windows Server 2008 R2 Service Pack 1. (#7546)
* Webové dialógi v režime prehliadania v prehliadačoch Firefox a Chrome sa automaticky zobrazujú v režime prehliadania, ak nie ste vnorený priamo v aplikácii. (#4493)
* pri použití tabulátora alebo skratiek rýchlej navigácie NVDA viac neoznamuje  opustenie zoznamu alebo tabuľky, čo zrýchľuje navigáciu. (#2591)
* V prehliadačoch Firefox a Chrome sú oznamované názvy skupín formulárových prvkov, ak sa medzi nimi presúvate skratkami rýchlej navigácie alebo tabulátorom. (#3321)
* Skratka O a shift+O v režime prehliadania odteraz presúva fokus aj na audio a videoprehrávače, tiež prvky s aria označením aplikácia a dialóg. (#7239)
* Hlasový výstup eSpeak-ng aktualizovaný na verziu 1.49.2, opravené boli hlavne chyby v súvislosti s distribúciou verzií. (#7385, #7583)
* Trojnásobné stlačenie skratky na prečítanie stavového riadka skopíruje odteraz obsah stavového riadka do schránky. (#1785)
* Keď priraďujete skratky na riadku od firmy Baum, môžete určiť, na akom modely chcete skratku používať (napríklad VarioUltra alebo Pronto.) (#7517)
* Skratka pre rýchly prístup k poľu filter v zozname prvkov sa zmenila z alt+F na alt+E. (#7569)
* Odteraz môžete vypínať a zapínať oznamovanie tabuliek formujúcich vzhľad klávesovou skratkou. Skratku si nastavíte v dialógu klávesové skratky v časti režim prehliadania. (#7634)
* brailová prekladová tabuľka liblouis aktualizovaná na verziu 3.3.0. (#7565)
* Klávesová skratka pre prepínač regulárny výraz v dialógoch rečové slovníky sa zmenila z alt+r na alt+e. (len v anglickom preklade NVDA. V slovenskom už dlhší čas používame alt+E). (#6782)
* Odteraz sa ukladajú zálohy rečových slovníkov a aktuálna verzia je presunutá do priečinka speechDicts/voiceDicts.v1 (#7592)
* Ak je spustená dočasná kópia NVDA, neukladajú sa zmeny do súborov s konfiguráciou a rečovými slovníkmi. (#7688)
* Staršie modely riadkov Handy tech (Braillino, Bookworm a Modular so starším firmwérom) nie sú viac priamo podporované. Pre správnu funkčnosť je potrebné nainštalovať univerzálny ovládač a príslušný doplnok do NVDA. (#7590)

### Opravy

* Odkazy v dokumentoch MS Word a ostatných aplikáciách sú odteraz zobrazované aj na brailových riadkoch. (#6780)
* NVDA sa viac nespomalý, ak máte vo firefoxe alebo Chrome otvorené viaceré záložky. (#3138)
* Sledovanie kurzora funguje správne pri riadkoch MDV Lilli. (#7469)
* V prehliadači Internet Explorer a iných MSHTML prvkoch je podporovaný prvok HTML5 na určenie, či je prvok formulára povinný. (#7321)
* Obsah na brailovom riadku sa aktualizuje aj pri písaní arabských znakov v programe Wordpad v smere zprava doľava. (#511)
* Prístupné popisy k prvkom sú lepšie čítané v prehliadači Mozilla firefox, ak popis nie je súčasťou obsahu prvku. (#4773)
* V systéme Windows 10 Creators NVDA opäť dokáže správne pracovať s prehliadačom Firefox aj po reštarte NVDA. (#7269)
* Ak reštartujete NVDA, režim prehliadania v prehliadači Mozilla Firefox bude správne fungovať, je však niekedy potrebné z aplikácie vyskočiť a nanovo sa do nej vrátiť, napríklad skratkou alt+tab. (#5758)
* Odteraz je možné prezerať matematický obsah v prehliadači Google Chrome bez toho, aby ste museli mať nainštalovaný Firefox. (#7308)
* Ak ste nainštalovali NVDA, aj pred reštartom počítača by mali aplikácie a systém fungovať stabilnejšie. (#7563)
* Ak sa pokúsite rozpoznať text a rozpoznávaný objekt medzitým zmizne, NVDA na to upozorní. (#7567)
* Opravené skrolovanie brailových riadkov pri modeloch od firmy Freedom Scientific. (#7713)

### Zmeny pre vývojárov (anglicky)

* "scons tests" now checks that translatable strings have translator comments. You can also run this alone with "scons checkPot". (#7492)
* There is now a new extensionPoints module which provides a generic framework to enable code extensibility at specific points in the code. This allows interested parties to register to be notified when some action occurs (extensionPoints.Action), to modify a specific kind of data (extensionPoints.Filter) or to participate in deciding whether something will be done (extensionPoints.Decider). (#3393)
* You can now register to be notified about configuration profile switches via the config.configProfileSwitched Action. (#3393)
* Braille display gestures that emulate system keyboard key modifiers (such as control and alt) can now be combined with other emulated system keyboard keys without explicit definition. (#6213)
 * For example, if you have a key on your display bound to the alt key and another display key to downArrow, combining these keys will result in the emulation of alt+downArrow.
* The braille.BrailleDisplayGesture class now has an extra model property. If provided, pressing a key will generate an additional, model specific gesture identifier. This allows a user to bind gestures limited to a specific braille display model.
 * See the baum driver as an example for this new functionality.
* NVDA is now compiled with Visual Studio 2017 and the Windows 10 SDK. (#7568)

## 2017.3

Prednosti tejto verzie zahŕňajú možnosť písania v braillovom  skratkopise cez brailový riadok, podporu pre hlasy One core a OCR v systéme Windows 10 a rôzne doplnkové opravy pre brailové riadky a web.

### Nové vlastnosti

* Pridaná možnosť zobrazovať správy na brailovom riadku neobmedzený čas. (#6669)
* V zozname správ v programe Microsoft outlook NVDA oznamuje, ak má správa farebný príznak. (#6374)
* Pri úprave prezentácie v MS Powerpoint, NVDA oznamuje presný tvar objektu (trojuholník, kruh, video, šípky...) (#7111)
* Pridaná podpora pre MathML pre prehliadač Google Chrome. (#7184)
* NVDA odteraz dokáže rozprávať cez hlasy Onecore (označované aj ako Mobile) v systéme Windows 10. Hlas nastavíte v menu NVDA >možnosti > hlasový výstup. (#6159)
* odteraz je možné nastavenia NVDA ukladať v lokálnom adresári používateľa. Nastavenie sa dá upraviť v registroch systému Windows. Podrobný postup je popísaný v časti "systémové parametre" v používateľskej príručke. (#6812)
* V režime prehliadania sú oznamované hodnoty zástupných symbolov (cez podporu aria-placeholder). (#7004)
* V režime prehliadania v dokumentoch MS word je možné pohybovať sa medzi pravopisnými chybami skratkami rýchlej navigácie W a shift+W. (#6942)
* pridaná podpora pre prvok výber dátumu v pripomienkach v programe MS Outlook. (#7217)
* V programe Pošta v systéme Windows 10 sú oznamované automatické návrhy v poli skrytá kópia a tiež v editačných poliach hľadania v aplikácii nastavenia. (#6241)
* NVDA dokáže oznamovať automatické návrhy zvukom (hľadanie v ponuke štart, vyhľadávanie v aplikácii Nastavenia, polia v aplikácii pošta...) (#6241)
* NVDA automaticky oznamuje upozornenia z aplikácie skype Business (desktop), napríklad ak niekto  začal konverzáciu. (#7281)
* NVDA odteraz automaticky oznamuje nové správy v aplikácii Skype Business (desktop). (#7286)
* Odteraz sú automaticky oznamované notifikácie v MS Edge, napríklad ak sa začne sťahovanie. (#7281)
* Na brailovom riadku je teraz možné písať text v plnopise aj skratkopise. Podrobnosti sú popísané v príslušnej sekcii v používateľskej príručke. (#2439)
* Odteraz je možné písať znaky Unicode na brailovom riadku. Ako vstupnú tabuľku je potrebné zvoliť unicode. (#6449)
* Pridaná podpora pre brailový riadok superbraille, populárny hlavne v Tajvane. (#7352)
* Nové brailové prekladové tabuľky: Dánsky 8-bodový počítačový kód, Litovčina, Persština 8-bodový počítačový kód a plnopis, Slovinský 8-bodový počítačový kód. (#6188, #6550, #6773, #7367)
* Upravená brailová tabuľka pre 8 bodový počítačový kód v Americkej Angličtine: pridaná podpora pre odrážky, znak euro a zvýraznené znaky. (#6836)
* NVDA odteraz podporuje optické rozpoznávanie textu cez rozhranie Windows 10 OCR. Rozpoznanie možno použiť v obrázkoch alebo neprístupných objektoch. (#7361)
 * jazyk rozpoznávania sa nastavuje v možnostiach v dialogu rozpoznávanie textu.
 * Rozpoznávanie spustíte skratkou NVDA+r.
 * Podrobnosti sú popísané v používateľskej príručke, v časti Optické rozpoznanie textu.
* Odteraz je možné nastaviť, aké kontextové informácie sa zobrazia na brailovom riadku pri objekte, ktorý nadobudol fokus. Nastavenie s názvom "prezentácia fokusu" nádete v nastaveniach Braillu. (#217)
 * Napríklad ak si nastavíte možnosti "len zmeny", alebo "len pri návrate späť", bude sa vám lepšie pracovať so zoznamami, lebo položky zoznamu nebudú neustále meniť polohu na riadku.
 * Podrobnejšie sú nastavenia popísané v časti "prezentácia kontextu" v používateľskej príručke.
* V prehliadačoch Firefox a Chrome sú podporované komplexné dynamické mriežky, akými sú napríklad hárky, v ktorých sa zobrazí alebo načíta  len časť obsahu (ide o podporu aria-rowcount, aria-colcount, aria-rowindex a aria-colindex. Atribúty doplnené v ARIA 1.1). (#7410)

### Zmeny

* Pridaná možnosť priameho reštartu NVDA. Príkaz sa nachádza v časti rôzne v dialógu klávesové skratky. (#6396)
* Rozloženie klávesnice je odteraz možné nastaviť v dialógu Vitajte. (#6863)
* pridané skratky pre prvky a ich stavy a tiež pre oblasti stránky, ktoré sa teraz zobrazujú na brailovom riadku. Pozrite časť "Skratky pre prvky, oblasti stránky a typy stavov v brailovom zobrazení" v používateľskej príručke. (#7188, #3975)
* Hlasový výstup eSpeak NG aktualizovaný na verziu 1.49.1. (#7280)
* Zoznam tabuliek v nastaveniach Braillu je zoradený abecedne. (#6113)
* brailová prekladová tabuľka Liblouis aktualizovaná na verziu 3.2.0. (#6935)
* Predvolená brailová tabuľka je odteraz nastavená na jednotný anglický braill plnopis. (#6952)
* Predvolene sa na brailovom riadku zobrazujú len čiastočné informácie o zmene kontextu prvku, ktorý má fokus. (#217)
 * Doposiaľ sa neustále zobrazovala celá kontextová informácia bez ohľadu na to, či už bola pred tým zobrazená.
 * Pôvodné nastavenie možno dosiahnúť tak, že v nastaveniach Braillu zmeníte nastavenie "prezentácia kontextu" na "vždy zobraziť".
* Odteraz je možné nastaviť rôzne tvary pre kurzor zviazaný s fokusom alebo s prezeracím kurzorom. (#7112)
* Aktualizované logo NVDA. Nové logo je štylizovaná zmes písmen NVDA v bielej farbe na pevnom fialovom pozadí. To zabezpečí, že bude viditeľné na akomkoľvek farebnom pozadí a stále ostane zachovaná   fialová farba z loga NV Access. (# 7446)

### Opravy

* Editačné prvky  div  majú v prehliadači chrome správne zobrazené ako popis svoj popis a nie hodnotu. (#7153)
* Ak v režime prehliadania v prázdnom dokumente MS Word stlačíte end, nezobrazí sa viac runtime error. (#7009)
* Režim prehliadania je správne podporovaný v prehliadači MS Edge, ak má dokument rolu pridelenú cez atribút Aria. (#6998)
* V režime prehliadania je možné označiť a odznačiť text skratkou shift+end aj vtedy, ak je kurzor na poslednom znaku na riadku. (#7157)
* Ak dialóg obsahuje indikátor priebehu, text dialógu sa automaticky aktualizuje na brailovom riadku. Takto môžete napríklad sledovať zostávajúci čas pri sťahovaní aktualizácie NVDA. (#6862)
* NVDA odteraz oznamuje zmeny výberu v zoznamových rámikoch v oknách systému Windows 10, napríklad pri nastavovaní automatického prehrávania. (#6337)
* NVDA viac nečíta nepodstatné informácie pri vstupe do dialógu s vytvorením stretnutia alebo pripomienky v programe MS Outlook. (#7216)
* Indikátor priebehu s neurčitým koncom (napríklad dialóg s aktualizáciou a inštaláciou NVDA) pípa len vtedy, ak je oznamovanie priebehu nastavené na pípanie. (#6759)
* V dokumentoch MS Excel 2003 a 2007 sú správne oznamované bunky pri pohybe v hárku šípkami. (#7243)
* V systéme Windows 10 Creators a novších je automaticky aktivovaný režim prehliadania pri otvorení správi v aplikácii pošta. (#7289)
* Na väčšine brailových riadkov, ktoré majú klávesnicu, bod 7 maže posledne napísanýznak, bod 8 aktivuje kláves enter. (#6054)
* Pri pohybe kurzora v editačných  poliach (šípky alebo aj kláves backspace) je pozícia oznamovaná presnejšie. Týka sa to hlavne prehliadača chrome a tiež terminálových aplikácii. (#6424)
* Odteraz je možné čítať  obsah v editore podpisov v aplikácii MS Outlook 2016. (#7253)
* NVDA viac nespôsobuje pád aplikácii postavených na Java Swing pri pokuse čítať tabuľku v okne takejto aplikácie. (#6992)
* NVDA  v systéme Windows 10 neopakuje viackrát za sebou dlaždicové upozornenia. (#7128)
* NVDA viac neoznamuje hľadaný text, ak zatvoríte hľadanie v ponuke štart vo Windowse 10 klávesom Enter. (#7370)
* Zrýchlená  navigácia po nadpisoch v režime prehliadania v programe MS Edge. (#7343)
* Skratky rýchlej navigácie v MS Edge nepreskakujú náhodne veľké kusy stránky (dialo sa napríklad v téme Wordpress 2015). (#7143)
* V  MS Edge sú správne lokalizované oblasti stránky aj vtedy, ak sa používa iný jazyk ako angličtina. (#7328)
* Zobrazenie na brailovom riadku správne sleduje vybratý text aj vtedy, ak text prekračuje rozsah brailového riadku. Ak  označíte viacero riadkov, na riadku by ste mali vidieť posledný označený riadok. (#5770)
* V Mozilla firefox na stránke twitter.com NVDA viac neoznamuje "sekcia" pri otvorení detailu tweetu. (#5741)
* Ak je vypnuté oznamovanie tabuliek formujúcih vzhľad, takéto tabuľky sa neukážu pri prechode tabuľkami skratkami rýchlej navigácie. (#7382)
* V prehliadačoch Firefox a chrome skratky rýchlej navigácie pre tabuľky preskakujú skryté bunky tabuľky. (#6652, #5655)

### Zmeny pre vývojárov (anglicky)

* Timestamps in the log now include milliseconds. (#7163)
* NVDA must now be built with Visual Studio Community 2015. Visual Studio Express is no longer supported. (#7110)
 * The Windows 10 Tools and SDK are now also required, which can be enabled when installing Visual Studio.
 * See the Installed Dependencies section of the readme for additional details.
* Support for content recognizers such as OCR and image description tools can be easily implemented using the new contentRecog package. (#7361)
* The Python json package is now included in NVDA binary builds. (#3050)

## 2017.2

Prednosti tejto verzie zahŕňajú podporu pre automatické stišovanie zvuku v systéme Windows 10 Creators; opravené problémy s označovaní textu v režime prehliadania; vylepšenú podporu pre MS Edge a zlepšenie oznamovania prvkov, ktoré sú označené ako aktuálne pomocou atribútu aria-current.

### Nové vlastnosti

* Skratka NVDA+F odteraz oznamuje informáciu o orámovaní buniek tabuľky v MS Excely. (#3044)
* V režime prehliadania NVDA oznamuje prvky, ktoré sú označené ako aktuálne (využíva sa atribút aria-current). (#6358)
* V programe MS Edge je podporované automatické prepínanie jazykov. (#6852)
* pridaná podpora pre windows kalkulačku v systémoch 10 Enterprise LTSB a Server. (#6914)
* Ak stlačíte skratku na vyhláskovanie riadka trikrát za sebou, bude riadok vyhláskovaný foneticky. (#6893)
* Nový jazyk: Barmčina.
* Symboly v sade Unicode (konkrétne šípky hore a dole a tiež symboly označujúce rôzne zlomky) sú odteraz oznamované správne. (#3805)

### Zmeny

* Ak je zapnutý jednoduchý režim objektovej navigácie, prezeranie  objektov v aplikáciách využívajúcich UI Automation ignoruje nadbytočné nepotrebné objekty. (#6948, #6950)

### Opravy

* V režime prehliadania je možné aktivovať položky menu. (#6735)
* Ak v potvrdzovacom dialógu pri mazaní konfiguračného profilu stlačíte Escape, dialóg sa zatvorí.(#6851)
* Opravené pády v prehliadači Mozilla firefox a iných aplikáciách postavených na Gecko, ktoré nastávali v prípade, ak mali spustené viaceré procesy. (#6885)
* Oznamovanie farieb pri prezeraní obrazovky je teraz presnejšie, keď  je  text zobrazený priehľadnými farbami. (#6467)
* Vylepšená podpora pre oznamovanie popisov prvkov v prehliadači Internet Explorer 11 (konkrétne je pridaná podpora pre atribút aria-describedby v rámcoch a tiež v situáciách ak je dostupných viacero ID). (#5784)
* V systéme Windows 10 Creators opäť fungujú všetky režimi automatického stišovania. (#6933)
* NVDA oznamuje a dokáže navigovať aj k prvkom, ktoré v prostredí UIA nemajú priradenú klávesovú skratku. (#6779)
* V prvkoch UIA nie sú  viac medzi popisom prvku a klávesovou skratkou vložené dve medzeri. (#6790)
* Opravená chyba, pri ktorej neočakávane nefungovali niektoré klávesové kombinácie na brailovom riadku HIMS. (#3157)
* Opravená chyba, ktorá spôsobovala, že nebolo možné pripojiť brailový riadok cez sériový port, ak bol jazyk systému iný ako Angličtina. (#6845)
* Konfiguračné súbory  sa zapisujú do dočasného adresára a až potom nahradia aktuálnu kópiu. Tým zabránime  poškodeniu konfiguračných  súborov v prípade nečakaného pádu Systému Windows. (#3165)
* Pri hláskovaní aktuálneho riadka je vždy použitý správny jazyk. (#6726)
* zrýchlená  navigácia po riadkoch v aplikácii MS Edge v systéme Windows 10 Creators. (#6994)
* NVDA  viac  po prechode do aplikácie MS Edge neoznamuje "Web Runtime grouping". (#6948)
* Odteraz sú podporované všetky verzie SecureCRT. (#6302)
* Adobe Acrobat Reader viac nepadá pri niektorých PDF dokumentoch (toto sa stávalo, ak dokument obsahoval prázdne textové atribúty). (#7021, #7034)
* Pri navigácii po tabuľkáchv MS edge NVDA neignoruje interaktívne tabuľky (ARIA grids). (#6977)
* Ak v režime prehliadania označíte text smerom dopredu (napr shift+šípka doprava), shift+home tento text odznačí po začiatok riadka. (#5746)
* V režime prehliadania funguje označenie celého textu (ctrl+a) aj vtedy, ak je prehliadací kurzor uprostred textu. (#6909)
* Opravené ostatné chyby pri označovaní textu v režime prehliadania. (#7131)

### Zmeny pre vývojárov (anglicky)

* Commandline arguments are now processed with Python's argparse module, rather than optparse. This allows certain options such as -r and -q to be handled exclusively. (#6865)
* core.callLater now queues the callback to NVDA's main queue after the given delay, rather than waking the core and executing it directly. This stops possible freezes due to the  core accidentally going to sleep after processing a callback, in the midle of  a modal call such as the desplaying of a message box. (#6797)
* The InputGesture.identifiers property has been changed so that it is no longer normalized. (#6945)
 * Subclasses no longer need to normalize identifiers before returning them from this property.
 * If you want normalized identifiers, there is now an InputGesture.normalizedIdentifiers property which normalizes the identifiers returned by the identifiers property .
* The InputGesture.logIdentifier property is now deprecated. Callers should use InputGesture.identifiers[0] instead. (#6945)
* Removed some deprecated code:
 * `speech.REASON_*` constants: `controlTypes.REASON_*` should be used instead. (#6846)
 * `i18nName` for synth settings: `displayName` and `displayNameWithAccelerator` should be used instead. (#6846, #5185)
 * `config.validateConfig`. (#6846, #667)
 * `config.save`: `config.conf.save` should be used instead. (#6846, #667)
* The list of completions in the autocomplete context menu of the Python Console no longer shows  any object path leading up to the final symbol being completed. (#7023)
* There is now a unit testing framework for NVDA. (#7026)
 * Unit tests and infrastructure are located in the tests/unit directory. See the docstring in the tests\unit\init.py file for details.
 * You can run tests using "scons tests". See the "Running Tests" section of readme.md for details.
 * If you are submitting a pull request for NVDA, you should first run the tests and ensure they pass.

## 2017.1

Prednosti tejto verzie zahŕňajú oznamovanie sekcií a textových stĺpcov v dokumentoch MS Word; podporu pre čítanie, navigáciu a poznámkovanie kníh v programe Kindle pre PC; vylepšenú podporu pre Microsoft Edge.

### Nové vlastnosti

* V programe Microsoft Word  si môžete aktivovať oznamovanie typov a čísel sekcií. Toto povolíte začiarknutím možnosti "oznamovať strany" v nastaveniach čítania textu. (#5946)
* V dokumentoch MS Word si môžete aktivovať oznamovanie textových stĺpcov. Toto povolíte začiarknutím možnosti "oznamovať strany" v nastaveniach čítania textu. (#5946)
* V programe Wordpad je podporované automatické prepínanie jazyka. (#6555)
* V režime prehliadania v programe MS Edge môžete odteraz použiť skratku na vyhľadávanie NVDA+ctrl+f. (#6580)
* V prehliadači  MS Edge sú podporované skratky rýchlej navigácie na prechod medzi tlačidlami (B a Shift+B). (#6577)
* Ak kopírujete hárok v programe MS Excel, skopírujú sa aj informácie o hlavičkách pre riadky alebo stĺpce. (#6628)
* Podpora pre čítanie a navigáciu v knihách v aplikácii Kindle pre PC od verzie 1.19. Toto zahŕňa možnosť pracovať s odkazmi, poznámkami pod čiarou, obrázkami, zvýrazneným textom a používateľskými poznámkami. Podrobnosti nájdete v kapitole Kindle pre PC v používateľskej príručke NVDA. (#6247, #6638)
* V režime prehliadania v prehliadači MS Edge je podporovaná navigácia v tabuľkách. (#6594)
* Ak v MS Excely stlačíte skratku na oznámenie pozície aktuálneho objektu (desktop: NVDA+numpadDelete, laptop: NVDA+delete), NVDA oznámi názov hárka a súradnice aktuálnej bunky. (#6613)
* V dialógu, ktorý sa zobrazí pri ukončení NVDA, pribudla akcia "reštartovať a nastaviť najvyššiu úroveň záznamu". (#6689)

### Zmeny

* Minimálna hodnota blikania kurzora na brailových riadkoch je 200 milisekúnd. Ak ste mali nastavenú menšiu hodnotu, bude automaticky zvýšená. (#6470)
* V dialógu nastavenia Braillu sme pridali začiarkávacie pole "blikajúci kurzor". Toto určuje, či bude alebo nebude kurzor blikať. V minulosti sa blikanie kurzora vypínalo nastavením hodnoty nula v príslušnom editačnom poli. (#6470)
* Aktualizovaná syntéza reči eSpeak NG (verzia e095f008, z 10 Januára 2017). (#6717)
* Vzhľadom na zmeny v systéme Windows 10 Creator, nie je viac v tomto systéme dostupná možnosť "vždy  stíšiť" medzi režimami automatického stíšenia. V starších systémoch je táto funkcia ponechaná. (#6684)
* Vzhľadom na zmeny v systéme Windows 10 Creator, nedokážeme pri funkcii "stíšiť, keď NVDA hovorí a prehráva zvuky" presne zistiť, či je zvuk dostatočne stíšený. Preto sme predĺžili čas, po ktorý sú ostatné zvuky stíšené, aby nedochádzalo k nadmernému kolísaniu hlasitostí ostatných zvukov. Toto sa netýka ostatných vydaní systému Windows 10. (#6684)

### Opravy

* Odstránili sme mrznutie, ktoré nastávalo, ak ste v režime prehliadania v dokumentoch MS Word prechádzali po odsekoch. (#6368)
* Tabuľky, ktoré ste do Wordu  skopírovali  z MS Excelu, nie sú viac spracované ako tabuľky formujúce vzhľad a preto ich NVDA viac neignoruje. (#5927)
* Ak sa pokúšate písať v chránenom režime do dokumentu v MS Excely, NVDA vás na to upozorní zvukom a nebude viac oznamovať znaky, ktoré v skutočnosti neboli do dokumentu napísané. (#6570)
* Ak stlačíte v Excely kláves Escape, NVDA viac automaticky neaktivuje režim prehliadania. Výnimku tvorí situácia, ak aktivujete režim prehliadania, následne aktivujete režim fokusu stlačením klávesu enter vo formulárovom poli. Vtedy vás kláves Escape vráti späť do režimu prehliadania.(#6569)
* NVDA viac nezamrzne v tabuľke MS Excel, ak sú všetky bunky v riadku alebo stĺpci zlúčené. (#6216)
* Oznamovanie pretečeného alebo orezaného textu v tabuľkách v MS Excely je presnejšie. (#6472)
* NVDA odteraz oznamuje, ak je začiarkávacie pole len na čítanie. (#6563)
* Inštalátor  viac nezobrazí varovné okno, ak nie je dostupná žiadna zvuková karta v dôsledku čoho nie je možné prehrať logo NVDA. (#6289)
* Prvky, ktoré v Ribbon ponuke MS Excelu nie sú dostupné, sú oznámené ako nedostupné. (#6430)
* NVDA viac pri minimalizovaní okien nehlási "panel". (#6671)
* Čítanie napísaných znakov funguje aj v univerzálnych aplikáciách (UWP) v systéme Windows 10 Creator (týka sa napríklad aj programu MS Edge). (#6017)
* Sledovanie kurzora myši funguje aj v prípade, ak sú k počítaču pripojené viaceré obrazovky. (#6598)
* NVDA sa viac nespráva nekontrolovateľne  ak ukončíte Windows media player a fokus ponecháte  na posuvníku. (#5467)

### Zmeny pre vývojárov

* Profily a konfiguračné súbory sú automaticky aktualizované aby spĺňali požiadavky po zmenách schém. Ak sa počas tejto aktualizácie vyskytne chyba, bude zobrazené upozornenie, konfigurácia bude obnovená na predvolené hodnoty a informácie o pôvodnom nastavení budú uložené do logu NVDA na úrovni 'Info'. (#6470)

## 2016.4

Prednosti tejto verzie zahŕňajú vylepšenú podporu pre Microsoft Edge; režim prehliadania v aplikácii Mail operačného systému Windows 10; grafické  úpravy v dialógoch NVDA.

### Nové vlastnosti

* Odteraz si môžete nastaviť oznamovanie odsadenia riadka pomocou pípania. Pozrite  nastavenia čítania textu. (#5906)
* Pridaná podpora pre brailový riadok Orbit Reader 20. (#6007)
* Pridaná možnosť spustiť zobrazovač reči po štarte NVDA. Nájdete ju v dialógu zobrazovača reči. (#5050)
* Pri zatvorení a následnom neskoršom otvorení zobrazovača reči ostane zachovaná veľkosť a pozícia okna. (#5050)
* Polia s krížovou referenciou v tabuľkách MS excel sú spracované  ako hypertextové prepojenia. NVDA ich oznamuje ako odkazy a môžete ich aktivovať. (#6102)
* Pridaná podpora pre riadky Baum SuperVario2, Baum Vario 340 a HumanWare Brailliant2. (#6116)
* Prvotná podpora pre výročnú aktualizáciu Microsoft Edge. (#6271)
* Pri čítaní správ v aplikácii Mail v systéme windows 10 sa automaticky používa režim prehliadania. (#6271)
* Nová lokalizácia: Litovčina.

### Zmeny

* brailová Tabuľka liblouis aktualizovaná na verziu 3.0.0. obsahuje tiež novú prekladovú tabuľku pre slovenčinu, vypracovanú podľa pravidiel zápisu slovenského Braillovho písma. (#6109, #4194, #6220, #6140)
* Tlačidlá na povolenie a zakázanie doplnku v správcovy doplnkov majú klávesové skratky. Zakázať =alt+k, povoliť =alt+p. (#6388)
* Opravené grafické zobrazenie dialógov NVDA. (#6317, #5548, #6342, #6343, #6349)
* Dialóg nastavenia čítania textu bol upravený tak, aby sa automaticky roloval. (#6348)
* Rozloženie dialógu "Výslovnosť interpunkčných a špeciálnych symbolov" upravená tak, že zoznam symbolov je zobrazený po celej šírke. (#6101)
* Skratky E, F, shift+E a shift+F v režime prehliadania teraz prechádzajú aj po editačných poliach iba na čítanie. (#4164)
* Premenovaná položka "oznamovať zmeny formátovania pri pohybe kurzorom". Toto sa týka len anglickej lokalizácie NVDA, keďže pôvodne tam bolo "povedať". NVDA totiž oznamuje zmeny formátovania aj na brailovom riadku. (#6336)
* Upravený vzhľad dialógu Vitajte v NVDA. (#6350)
* Všetky dialógy NVDA majú tlačidlá OK a Zrušiť zarovnané vpravo. (#6333)
* Pre číselné vstupy sa v dialógoch NVDA používajú kruhové editačné polia, v ktorých môžete údaje zadať číselne, alebo nastaviť šípkami. Týka sa napríklad nastavenia "zmeniť výšku hlasu pri čítaní veľkých písmen" v dialógu Nastavenia hlasu. (#6099)
* Typ prvku Iframe (stránka vložená do stránky) je vo všetkých prehliadačoch oznamovaný rovnako. Aj v prehliadači Mozilla Firefox je hlásený ako "rámik". (#6047)

### Opravy

* Opravená chyba, ktorá nastávala, ak ste sa pokúsili ukončiť NVDA a súčasne bol spustený zobrazovač reči. (#5050)
* Klikateľné mapy sú správne spracované v prehliadači Mozilla Firefox. (#6051)
* Ak v dialógu rečové slovníky stlačíte enter, automaticky sa uložia zmeny a dialóg sa zatvorí. Doposiaľ sa nestalo nič. (#6206)
* Pri  zmene vstupnej metódy sa informácia zobrazí aj na brailovom riadku (režim plných tvarov, čiastočný alfanumerický a podobne.) (#5892, #5893)
* Pri zakázaní a následnom povolení doplnku sa správne zobrazuje súčasný stav. (#6299)
* V programe MS word je možné čítať hlavičku s číslom strany. (#6004)
* V dialógu s rečovými slovníkmi sa dá presúvať medzi prvkami aj myšou. (#6312)
* Ak je v dokumente nesprávny hypertextový odkaz, NVDA dokáže aj v takomto prípade zobraziť zoznam prvkov. (#5886)
* Ak je zobrazovač reči zatvorený skratkou alt+f4 alebo cez správcu úloh, automaticky sa odčiarkne políčko v nástrojoch v ponuke NVDA. (#6340)
* Odstránená chyba, ktorá vznikala pri znovu načítaní pluginov (týkalo sa to profilov, prezerania obrazovky a dokumentov v režime prehliadania). (#2892, #5380)
* V dialógu všeobecné nastavenia NVDA sa správne zobrazujú všetky jazyky aj v systéme Windows 10. (#6259)
* Emulované systémové klávesy (napríklad tlačidlo na brailovom riadku, ktoré simuluje stlačenie klávesu tab) sú prezentované v jazyku NVDA. Týka sa to dialógu klávesové skratky a nápovedy vstupu. Doposiaľ boli oznamované v angličtine. (#6212)
* Zmena jazyka NVDA v dialógu všeobecné nastavenia sa začne prejavovať až po reštarte NVDA. (#4561)
* Nie je viac možné nechať pole "nahradiť s" prázdne pre nové výrazy vkladané do slovníka. (#6412)
* Opravená zriedkavá chyba pri skenovaní sériových portov, ktorá spôsobovala nefunkčnosť brailových riadkov. (#6462)
* V dokumentoch MS Word sú oznamované číslované zoznamy pri pohybe v bunkách tabuľky. (#6446)
* V dialógu klávesové skratky je možné priradiť funkcie na tlačidlá pre brailový riadok Handy Tech. (#6461)
* Ak v dokumente MS excel stlačíte enter alebo numerický enter, NVDA správne oznámy prechod do ďalšieho riadka. (#6500)
* Program Itunes viac nezamŕza v režime prehliadania v obchode Itunes, Apple Music... (#6502)
* Opravené pády v 64-bitových aplikáciách postavených na prvkoch Mozilla alebo Chrome. (#6497)
* Ak je v prehliadači Mozilla Firefox povolené použitie viacerých procesov, správne funguje režim prehliadania a editácia textu. (#6380)

### Zmeny pre vývojárov (anglicky)

* It is now possible to provide app modules for executables containing a dot (.) in their names. Dots are replaced with underscores (_). (#5323)
* The new gui.guiHelper module includes utilities to simplify the creation of wxPython GUIs, including automatic management of spacing. This facilitates better visual appearance and consistency, as well as easing creation of new GUIs for blind developers. (#6287)

## 2016.3

prednosti tejto verzie zahŕňajú možnosť samostatne povoľovať a zakazovať doplnky, podporu pre formuláre v dokumentoch MS Excel, výrazné zmeny v oznamovaní farieb, úpravy pre niektoré brailové riadky a vylepšenú podporu pre MS Word.

### Nové vlastnosti

* Od výročnej aktualizácie systému Windows 10 je možné pdf dokumenty čítať aj v prehliadači Microsoft Edge. Používa sa režim prehliadania. (#5740)
* prečiarknutie a dvojité prečiarknutie je hlásené  v dokumentoch MS Word. (#5800)
* Ak má tabuľka v dokumente MS Word názov, NVDA ho prečíta. Ak je k tabuľke pridaný popis, dá sa zobraziť v režime prehliadania skratkou na zobrazenie dlhého popisu (predvolene NVDA+D). (#5943)
* Pri presúvaní odsekov v dokumente MS Word (skratky alt+shift+šípky hore-dole) NVDA hlási pozíciu presunutého odseku. (#5945)
* NVDA odteraz dokáže oznamovať riadkovanie. Toto funguje, ak zmeníte riadkovanie pomocou príslušných skratiek v aplikácii MS Word, alebo ak sa presuniete na text s odlišným riadkovaním a je zapnuté oznamovanie riadkovania v nastaveniach čítania textu. Riadkovanie je tiež možné zistiť  skratkou na zistenie formátovania NVDA+f. (#2961)
* V prehliadači Internet Explorer sú správne spracované html5 prvky na rozlišovanie štruktúry stránky. (#5591)
* Oznamovanie komentárov sa dá odteraz vypnúť v nastaveniach čítania textu. (#5108)
* V správcovy doplnkov môžete zakázať jednotlivé doplnky. (#3090)
* Pridané klávesové skratky pre brailové riadky ALVA BC640/680. (#5206)
* Pridaná možnosť presunúť brailový riadok na fokus. V súčasnosti je skratka priradená len pre riadok ALVA BC640/680. Môžete si ju ale pridať pre vlastný riadok v dialógu Klávesové skratky. (#5250)
* V dokumentoch MS Excel je odteraz možné pracovať s formulármi. Medzi prvkami formulára sa presúvate skratkami f a shift+F. Zoznam formulárových prvkov sa dá zobraziť cez zoznam prvkov (NVDA+f7). V oboch prípadoch je potrebné mať aktivovaný režim prehliadania. (#4953)
* Odteraz si môžete nastaviť klávesovú skratku na vypínanie a zapínanie jednoduchého režimu objektovej navigácie. (#6173)

### Zmeny

* NVDA odteraz oznamuje farby pomocou deviatych základných farieb a troch odtieňov, pričom rozlišuje svetlosť a tmavosť. Tento spôsob je uprednostnený pred subjektívnymi farbami, ktoré nemusia byť každému zrozumiteľné. (#6029)
* Zmenilo sa správanie skratiek NVDA+F9 a NVDA+F10. Po stlačení NVDA+F10 na konci bloku textu je tento text označený. Dvojité stlačenie NVDA+F10 skopíruje text do schránky. (#4636)
* aktualizovaná syntéza reči eSpeak NG na verziu   Master 11b1a7b (22. jún 2016). (#6037)

### Opravy

* Ak v dokumente programu MS Word v režime prehliadania kopírujete text do schránky, skopíruje sa aj formátovanie textu. (#5956)
* NVDA správne oznamuje pohyb po tabuľkách v dokumentoch MS Word, ak používate navigačné príkazy Wordu (alt+home, alt+end, alt+pageUp a alt+pageDown) a takisto správne oznamuje označovanie (tie isté skratky, ale so shiftom). (#5961)
* Zlepšená objektová navigácia v dialógoch programu MS Word. (#6036)
* V niektorých aplikáciách (napríklad Visual Studio 2015) sú správne oznamované klávesové skratky (napríklad ctrl+c pre kopírovanie). (#6021)
* Opravená zriedkavá chyba, ktorá pri prehľadavání sériových portov spôsobila na niektorých systémoch nefunkčnosť ovládačov k brailovým riadkom. (#6015)
* Oznamovanie farieb v programe MS Word je presnejšie, lebo sa zohľadňujú zmeny v použitej téme. (#5997)
* Režim prehliadania pre Microsoft Edge a podpora pre návrhy vo vyhľadávaní v ponuke štart sú opäť podporované v systéme Windows 10 od verzie z apríla 2016. (#5955)
* Zlepšilo sa Automatické oznamovanie hlavičky tabuľky  v dokumentoch MS Word, ak pracujete so zlúčenými bunkami. (#5926)
* V aplikácii Mail v systéme Windows 10 NVDA už dokáže prečítať obsah správy. (#5635)
* Ak je zapnuté čítanie príkazových skratiek, niektoré klávesy (napríklad Capslock) už nie sú hlásené dvakrát. (#5490)
* Vo výročnej aktualizácii Windows 10 je správne prezentovaná zabezpečená obrazovka. (#5942)
* V plugine na webové konferencie (používa sa napríklad na stránke out-of-sight.net) NVDA viac neoznamuje kryvku hlasitosti mikrofónu. (#5888)
* Ak v režime prehliadania pri hľadaní nastavíte rozlišovanie veľkých a malých písmen, zohľadní sa to aj pri použití tlačidiel hľadať ďalej a hľadať predošlé. (#5522)
* Ak pri vkladaní výrazu do slovníka vložíte nesprávny regulárny výraz, NVDA na to upozorní. NVDA viac nezamrzne, ak   súbor so slovníkom  obsahuje nesprávne regulárne výrazy. (#4834)
* Ak NVDA nemôže komunikovať s brailovým riadkom (napríklad ak je odpojený), automaticky prestane na riadok posielať text. (#1555)
* Mierne zrýchlené filtrovanie v dialógu zoznam prvkov, ktorý je možné vyvolať v režime prehliadania (NVDA+f7). (#6126)
* v programe MS Excel NVDA správne oznamuje vzor pozadia. (#6092)
* Vylepšená podpora pre prihlasovaciu obrazovku v systéme Windows 10. NVDA oznamuje upozornenia a umožňuje dotykom aktivovať editačné pole na zadanie hesla. (#6010)
* NVDA správne deteguje sekundárne tlačidlá smerovania na riadkoch ALVA BC640/680 (#5206)
* NVDA opäť správne číta  dlaždicové upozornenia v aktuálnych verziách systému Windows 10. (#6096)
* NVDA viac náhodne neprestane rozpoznávať stlačené tlačidlá na brailových riadkoch Baum a HumanWare Brailliant B. (#6035)
* Ak je zapnuté oznamovanie čísla riadku, toto sa prejaví aj pri zobrazení v brailly. (#5941)
* Ak je nastavený hlasový výstup na bezreči, v zobrazovači reči sa správne zobrazuje oznamovanie objektov (napríklad pod skratkou NVDA+tab). (#6049)
* V programe Outlook 2016 nie je viac pre každú správu oznamovaná informácia o priradenej rozpísanej správe. (#6219)
* Režim prehliadania funguje v Google Chrome a prehliadačoch postavených na Chrome aj v prípadoch, ak je jazyk aplikácie nastavený na iný, ako Angličtina. (#6249)

### Zmeny pre vývojárov (anglicky)

* Logging information directly from a property no longer results in the property  being called recursively over and over again. (#6122)

## 2016.2.1

Táto verzia opravuje pády pri používaní aplikácii Microsoft Word:

* NVDA viac nespôsobuje pád aplikácie Microsoft Word hneď po spustení v systéme  Windows XP. (#6033)
* Odstránené oznamovanie gramatických chýb, pretože to spôsobuje pády v aplikácii Microsoft Word. (#5954, #5877)

## 2016.2

Medzi prednosti tejto verzie patrí zvukové oznamovanie pravopisných chýb pri písaní; oznamovanie gramatických chýb v programe MS Word; opravy chýb v podpore pre balík MS Office.

### Nové vlastnosti

* V prehliadači Internet Explorer a ostatných MSHTML prvkoch skratky a a shift+a presúvajú kurzor na doplnený a odstránený text. (#5691)
* V tabuľkách programu MS Excel NVDA oznamuje úroveň skupiny buniek a tiež oznamuje, či sú zbalené alebo rozbalené. (#5690)
